<?php
/*
 * Plugin Name: ThemetechMount Brivona Demo Content Setup
 * Plugin URI: https://www.themetechmount.com
 * Description: Brivona Demo Content Setup Plugin By ThemetechMount
 * Version: 1.0
 * Author: ThemetechMount
 * Author URI: https://www.themetechmount.com
 * Text Domain: brivona-demosetup
 * Domain Path: /languages
 */
 
 
 
/**
 *  Version and directory
 */
define( 'BRIVONA_TMDC_VERSION', '1.0' );
define( 'BRIVONA_TMDC_DIR', plugin_dir_path( __FILE__ ) );
define( 'BRIVONA_TMDC_URI', plugins_url( '', __FILE__ ) );



/**
 *  Demo Content setup
 */
require_once BRIVONA_TMDC_DIR . 'one-click-demo/demo-content.php';



/**
 *  Translation
 */
function brivona_demosetup_load_plugin_textdomain() {
	$domain = 'brivona-demo-content-setup';
	$locale = apply_filters( 'plugin_locale', get_locale(), $domain );
	if ( $loaded = load_textdomain( 'brivona-demosetup', trailingslashit( WP_LANG_DIR ) . $domain . '/' . $domain . '-' . $locale . '.mo' ) ) {
		return $loaded;
	} else {
		load_plugin_textdomain( 'brivona-demosetup', FALSE, basename( dirname( __FILE__ ) ) . '/languages/' );
	}
}
add_action( 'init', 'brivona_demosetup_load_plugin_textdomain' );



/**
 * Load plugin textdomain.
 *
 * @since 1.0.0
 */
function brivona_demosetup_load_textdomain() {
	load_plugin_textdomain( 'brivona-demosetup', false, dirname( plugin_basename( __FILE__ ) ) . '/languages' ); 
}
add_action( 'plugins_loaded', 'brivona_demosetup_load_textdomain' );







function brivona_demo_content_scripts_styles(){

	wp_enqueue_style(
		'tm-one-click-demo-style',
		plugin_dir_url( __FILE__ ) . 'style.css',
		time(),
		true
	);
	wp_enqueue_script(
		'tm-one-click-demo-set-js',
		plugin_dir_url( __FILE__ ) . 'functions.js',
		array( 'jquery' ),
		time(),
		true
	);
	


}
add_action( 'admin_enqueue_scripts', 'brivona_demo_content_scripts_styles', 20 );



/**
 * HTML Output for the one click demo setup
 *
 * @since 1.0.0
 */
if( !function_exists('themetechmount_brivona_one_click_html') ){
function themetechmount_brivona_one_click_html() {
	?>
	
	<div id="import-demo-data-results">
				
		<div class="import-demo-data-text-w">
		
			<div class="import-demo-data-layout">
				<!-- <h3>Select demo data type  <small>(select below)</small>: </h3> -->
				
				<div class="tm-import-demo-left">
					<div class="tm-import-demo-left-inner">
						
						<select id="import-layout-type" name="import-layout-type">
							<option value="Classicinfo">Classic Info Site</option>
							<option value="Overlay">Overlay Site</option>
							<option value="Infostack">Infostack Site</option>
							<option value="rtl">RTL Site</option>
							<option value="landing">Landing page</option>
							<option value="demo2">Child Doctor</option>
							<option value="demo3">Dentist Site</option>
							<option value="elementor-classicinfo">Classic Info Site (Elementor Builder)</option>
							<option value="elementor-overlay">Overlay Site (Elementor Builder)</option>
							<option value="elementor-infostack">Infostack Site (Elementor Builder)</option>
						</select>
						
						<br><br><hr>
						
						<div class="import-demo-data-text">
						
							<strong><?php esc_attr_e('NOTE:', 'brivona'); ?></strong>
							<?php esc_attr_e('This process may overwrite your existing content or settings. So please do this on fresh WordPress setup only.', 'brivona'); ?>
							<br /><br />
							<?php esc_attr_e('Also if you already included demo data than this will add multiple menu links and you need to remove the repeated menu items by going to "Admin > Appearance > menus" section.', 'brivona'); ?>
							
						</div>

						
					</div>
				</div>
				
				<div class="tm-import-demo-right">
				
					<!-- classicinfo -->
					<span class="import-demo-thumb-w import-demo-thumb-classicinfo">
						<div class="tm-import-demo-preview-text">Preview:</div>
						<a href="http://brivona.themetechmount.com" target="_blank">
							<img src="<?php echo plugin_dir_url( __FILE__ ) ?>images/layout-classicinfo.png" alt="ClassicInfo">
							<span class="tm-import-demo-link-text">View demo online</span>
						</a>
					</span>
									
					<!-- Multi purpose -->
					<span class="import-demo-thumb-w import-demo-thumb-overlay" style="display:none;">
						<div class="tm-import-demo-preview-text">Preview:</div>
						<a href="http://brivona.themetechmount.com/brivona-overlay/" target="_blank">
							<img src="<?php echo plugin_dir_url( __FILE__ ) ?>images/layout-overlay.png" alt="Overlay">
							<span class="tm-import-demo-link-text">View demo online</span>
						</a>
					</span>
					
					<!-- infostack -->
					<span class="import-demo-thumb-w import-demo-thumb-infostack" style="display:none;">
						<div class="tm-import-demo-preview-text">Preview:</div>
						<a href="http://brivona.themetechmount.com/brivona-infostack" target="_blank">
							<img src="<?php echo plugin_dir_url( __FILE__ ) ?>images/layout-infostack.png" alt="Infostack">
							<span class="tm-import-demo-link-text">View demo online</span>
						</a>
					</span>
					
					<!-- Rtl -->
					<span class="import-demo-thumb-w import-demo-thumb-rtl" style="display:none;">
						<div class="tm-import-demo-preview-text">Preview:</div>
						<a href="http://brivona.themetechmount.com/brivona-rtl" target="_blank">
							<img src="<?php echo plugin_dir_url( __FILE__ ) ?>images/layout-rtl.png" alt="rtl">
							<span class="tm-import-demo-link-text">View demo online</span>
						</a>
					</span>
					
					<!-- Landing Page -->
					<span class="import-demo-thumb-w import-demo-thumb-landing" style="display:none;">
						<div class="tm-import-demo-preview-text">Preview:</div>
						<a href="http://brivona.themetechmount.com/brivona-landing" target="_blank">
							<img src="<?php echo plugin_dir_url( __FILE__ ) ?>images/layout-landing.png" alt="landing">
							<span class="tm-import-demo-link-text">View demo online</span>
						</a>
					</span>
					
					<!-- Child Doctor -->
					<span class="import-demo-thumb-w import-demo-thumb-demo2" style="display:none;">
						<div class="tm-import-demo-preview-text">Preview:</div>
						<a href="https://www.themetechmount.com/wordpress/brivona/demo2/" target="_blank">
							<img src="<?php echo plugin_dir_url( __FILE__ ) ?>images/layout-demo2.png" alt="demo2">
							<span class="tm-import-demo-link-text">View demo online</span>
						</a>
					</span>
					
					<!-- Dentist Doctor -->
					<span class="import-demo-thumb-w import-demo-thumb-demo3" style="display:none;">
						<div class="tm-import-demo-preview-text">Preview:</div>
						<a href="https://www.themetechmount.com/wordpress/brivona/demo3/" target="_blank">
							<img src="<?php echo plugin_dir_url( __FILE__ ) ?>images/layout-demo3.png" alt="demo3">
							<span class="tm-import-demo-link-text">View demo online</span>
						</a>
					</span>
					
					<!-- Demo 01 -->
					<span class="import-demo-thumb-w import-demo-thumb-elementor-classicinfo" style="display:none;">
						<div class="tm-import-demo-preview-text">Preview:</div>
						<a href="https://www.themetechmount.com/wordpress/brivona/elementor/" target="_blank">
							<img src="<?php echo plugin_dir_url( __FILE__ ) ?>images/layout-classicinfo.png" alt="demo1">
							<span class="tm-import-demo-link-text">View demo online</span>
						</a>
					</span>
					
					<!-- Demo 02 -->
					<span class="import-demo-thumb-w import-demo-thumb-elementor-overlay" style="display:none;">
						<div class="tm-import-demo-preview-text">Preview:</div>
						
							<img src="<?php echo plugin_dir_url( __FILE__ ) ?>images/layout-overlay.png" alt=
							
						</a>
					</span>
					
					<!-- Demo 03 -->
					<span class="import-demo-thumb-w import-demo-thumb-elementor-infostack" style="display:none;">
						<div class="tm-import-demo-preview-text">Preview:</div>
						
							<img src="<?php echo plugin_dir_url( __FILE__ ) ?>images/layout-infostack.png" alt="demo1">
						
					</span>
					
				</div>
				
				<div class="clear clr"></div>
				
			</div>
		
			
			<br /><br />
			<input type="button" class="button button-primary" id="themetechmount_one_click_demo_content" value="<?php esc_attr_e('I agree, continue demo content setup', 'brivona'); ?>" /> &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; 
			<a href="#" class="tm-one-click-error-close"><?php esc_attr_e('Cancel', 'brivona' ); ?></a>
		</div>
	
	</div>
	
	<div class="clear"></div>
	
	<?php
}
}