<?php
namespace Elementor; 

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly	
}

/**
 *  Steps Box
*/
 
class Brivona_Pricelistbox_Widget extends Widget_Base{

	public function get_name() {
		return 'tm_pricelistbox_element';
	}

	public function get_title() {
		return esc_attr__( 'Pricelist Box', 'brivona' );
	}

	public function get_icon() {
		return ' eicon-menu-toggle';
	}

	public function get_categories() {
		return [ 'brivona_category' ];
	}

	public function __construct($data = [], $args = null) {
		parent::__construct($data, $args);
	}

	protected function register_controls() {


		$this->start_controls_section(
			'data_section',
			[
				'label' => esc_attr__( 'Boxes Content', 'brivona' ),
			]
        );

		$repeater = new Repeater();

		$repeater->add_control(
			'label',
			[
				'label' => esc_attr__( 'Box Title', 'brivona' ),
				'type' => Controls_Manager::TEXT,
				'default' => esc_attr__( 'Box Title', 'brivona' ),
				'placeholder' => esc_attr__( 'Box Title', 'brivona' ),
				'label_block' => true,
			]
		);

		$repeater->add_control(
			'box_price',
			[
				'label' => esc_attr__( 'Price', 'brivona' ),
				'type' => Controls_Manager::TEXT,
				'default' => '',
				'description' => esc_attr__( 'Like $250).', 'brivona' ),
				'placeholder' => esc_attr__( '$250', 'brivona' ),
				'label_block' => true,
				'separator' => 'before',
			]
		);

        $this->add_control(
			'boxes',
			[
				'label'		=> esc_attr__( 'Boxes', 'brivona' ),
				'type'		=> Controls_Manager::REPEATER,
				'fields'	=> $repeater->get_controls(),
				'default'	=> [
					[
						'label'		=> esc_attr__( 'This is first box', 'brivona' ),
						'box_price'	=> esc_attr__( '$250', 'brivona' ),
					],
				],
				'title_field' => '{{{ label }}}',
			]
		);

		$this->end_controls_section();
	}

	protected function render() {

		$settings	= $this->get_settings_for_display();
		extract($settings);
		$return = '';

		?>

		<div class="themetechmount-pricelistbox-wrapper">
			<div class="tm-pricelist-block-wrapper">
				<ul class="tm-pricelist-block">
		<?php

		foreach( $settings['boxes'] as $box ){

			$box_price	= ( !empty($box['box_price']) ) ? '<span class="service-price"><strong>'.esc_html($box['box_price']).'</strong></span>' : '' ;
			$label_html		= ( !empty($box['label']) ) ? '<span class="service-label"><strong>'.esc_html($box['label']).'</strong></span>' : '' ;
					
			$return .= '<li> '.$label_html .''.$box_price .'</li>';
		}		
		
		echo themetechmount_wp_kses($return);
		
		?>
				</ul>
			</div>
		</div>

	    <?php
	}

}
// Register widget
Plugin::instance()->widgets_manager->register_widget_type( new Brivona_Pricelistbox_Widget() );