<?php

/* Options for ThemetechMount Blogbox */


$postCatList    = get_categories( array('hide_empty'=>false) );

$catList = array();
foreach($postCatList as $cat){
	$catList[ esc_attr($cat->name) . ' (' . esc_attr($cat->count) . ')' ] = esc_attr($cat->slug);
}


$heading_element = vc_map_integrate_shortcode( 'tm-heading', '', '',
	array(
		'exclude' => array(
			'el_class',
			'css',
			'css_animation'
		),
	)
);

$boxParams = themetechmount_box_params('blog');

$allParams = array_merge(
	$heading_element,
	array(
		array(
			"type"        => "dropdown",
			"holder"      => "div",
			"class"       => "",
			"heading"     => esc_attr__("Show Sortable Category Links",'brivona'),
			"description" => esc_attr__("Show sortable category links above Blog boxes so user can sort by category by just single click.",'brivona'),
			"param_name"  => "sortable",
			"value"       => array(
				esc_attr__('No','brivona')  => 'no',
				esc_attr__('Yes','brivona') => 'yes',
			),
			"std"         => "no",
			'dependency'  => array(
					'element'            => 'boxview',
					'value_not_equal_to' => array( 'carousel' ),
				),
		),
		array(
			'type'        => 'textfield',
			'heading'     => esc_attr__( 'Replace ALL word', 'brivona' ),
			'param_name'  => 'allword',
			'description' => esc_attr__( 'Replace ALL word in sortable category links. Default is ALL word.', 'brivona' ),
			"std"         => "All",
			'dependency'  => array(
				'element'   => 'sortable',
				'value'     => array( 'yes' ),
			),
		),
		array(
			"type"        => "dropdown",
			"holder"      => "div",
			"class"       => "",
			"heading"     => esc_attr__("Show Pagination",'brivona'),
			"description" => esc_attr__("Show pagination links below blog boxes.",'brivona'),
			"param_name"  => "pagination",
			"value"       => array(
				esc_attr__('No','brivona')  => 'no',
				esc_attr__('Yes','brivona') => 'yes',
			),
			"std"         => "no",
			'dependency'  => array(
				'element'    => 'sortable',
				'value_not_equal_to' => array( 'yes' ),
			),
		),
		array(
			"type"        => "checkbox",
			"heading"     => esc_attr__("From Category", "brivona"),
			"description" => esc_attr__("If you like to show posts from selected category than select the category here.", "brivona") . esc_attr__("The brecket number shows how many posts there in the category.", "brivona"),
			"param_name"  => "category",
			"value"       => $catList,
		),
		array(
			"type"        => "dropdown",
			"holder"      => "div",
			"class"       => "",
			"heading"     => esc_attr__("Order by",'brivona'),
			"description" => esc_attr__("Sort retrieved portfolio by parameter.",'brivona'),
			"param_name"  => "orderby",
			"value"       => array(
				esc_attr__('No order (none)','brivona')           => 'none',
				esc_attr__('Order by post id (ID)','brivona')     => 'ID',
				esc_attr__('Order by author (author)','brivona')  => 'author',
				esc_attr__('Order by title (title)','brivona')    => 'title',
				esc_attr__('Order by slug (name)','brivona')      => 'name',
				esc_attr__('Order by date (date)','brivona')      => 'date',
				esc_attr__('Order by last modified date (modified)','brivona') => 'modified',
				esc_attr__('Random order (rand)','brivona')       => 'rand',
				esc_attr__('Order by number of comments (comment_count)','brivona') => 'comment_count',
				
			),
			'edit_field_class' => 'vc_col-sm-6 vc_column',
			"std"              => "date",
		),
		array(
			"type"        => "dropdown",
			"holder"      => "div",
			"class"       => "",
			"heading"     => esc_attr__("Order",'brivona'),
			"description" => esc_attr__("Designates the ascending or descending order of the 'orderby' parameter.",'brivona'),
			"param_name"  => "order",
			"value"       => array(
				esc_attr__('Ascending (1, 2, 3; a, b, c)','brivona')  => 'ASC',
				esc_attr__('Descending (3, 2, 1; c, b, a)','brivona') => 'DESC',
			),
			'edit_field_class' => 'vc_col-sm-6 vc_column',
			"std"              => "DESC",
		),
		array(
			"type"        => "dropdown",
			"holder"      => "div",
			"class"       => "",
			"heading"     => esc_attr__("Show Posts",'brivona'),
			"description" => esc_attr__("How many post you want to show.",'brivona'),
			"param_name"  => "show",
			"value"       => array(
				esc_attr__('1','brivona')=>'1',
				esc_attr__('2','brivona')=>'2',
				esc_attr__('3','brivona')=>'3',
				esc_attr__('4','brivona')=>'4',
				esc_attr__('5','brivona')=>'5',
				esc_attr__('6','brivona')=>'6',
				esc_attr__('7','brivona')=>'7',
				esc_attr__('8','brivona')=>'8',
				esc_attr__('9','brivona')=>'9',
				esc_attr__('10','brivona')=>'10',
				esc_attr__('11','brivona')=>'11',
				esc_attr__('12','brivona')=>'12',
				esc_attr__('13','brivona')=>'13',
				esc_attr__('14','brivona')=>'14',
				esc_attr__('15','brivona')=>'15',
				esc_attr__('16','brivona')=>'16',
				esc_attr__('17','brivona')=>'17',
				esc_attr__('18','brivona')=>'18',
				esc_attr__('19','brivona')=>'19',
				esc_attr__('20','brivona')=>'20',
				esc_attr__('21','brivona')=>'21',
				esc_attr__('22','brivona')=>'22',
				esc_attr__('23','brivona')=>'23',
				esc_attr__('24','brivona')=>'24',
			),
			"std"  => "3",
		),
		array(
			"type"        => "dropdown",
			"holder"      => "div",
			"class"       => "",
			"heading"     => esc_attr__("Blogbox Design",'brivona'),
			"description" => esc_attr__("Select Blogbox design.",'brivona'),
			"param_name"  => "view",
			"value"       => themetechmount_global_blog_template_list( true ),
			"std"         => "",
		),
		array(
			"type"        => "dropdown",
			"heading"     => esc_attr__("Box Spacing", "brivona"),
			"param_name"  => "box_spacing",
			"description" => esc_attr__("Spacing between each box.", "brivona"),
			"value"       => array(
				esc_attr__("Default", "brivona")                        => "",
				esc_attr__("0 pixel spacing (joint boxes)", "brivona")  => "0px",
				esc_attr__("5 pixel spacing", "brivona")                => "5px",
				esc_attr__("10 pixel spacing", "brivona")               => "10px",
			),
			"std"  => "",
		)
	),
	$boxParams,
	array(
		themetechmount_vc_ele_css_editor_option(),
	)
	
);

	


$params = $allParams; 


// Changing default values
$i = 0;
foreach( $params as $param ){
	$param_name = (isset($param['param_name'])) ? $param['param_name'] : '' ;
	if( $param_name == 'h2' ){
		$params[$i]['std'] = 'Blog';
		
	} else if( $param_name == 'h2_use_theme_fonts' ){
		$params[$i]['std'] = 'yes';
		
	} else if( $param_name == 'h4_use_theme_fonts' ){
		$params[$i]['std'] = 'yes';
			
	} else if( $param_name == 'txt_align' ){
		$params[$i]['std'] = 'center';
		
	}
	$i++;
}




global $tm_sc_params_blogbox;
$tm_sc_params_blogbox = $params;


vc_map( array(
	"name"     => esc_attr__('ThemetechMount Blog Box','brivona'),
	"base"     => "tm-blogbox",
	"class"    => "",
	'category' => esc_attr__( 'ThemetechMount Special Elements', 'brivona' ),
	"icon"     => 'icon-themetechmount-vc',
	"params"   => $params,
) );