<?php

/* Options */

$allParams = array(
	array(
		"type"        => "dropdown",
		"holder"      => "div",
		"class"       => "",
		"heading"     => esc_attr__("Show Pagination",'brivona'),
		"description" => esc_attr__("Show pagination links below Event boxes.",'brivona'),
		"param_name"  => "pagination",
		"value"       => array(
			esc_attr__('No','brivona')  => 'no',
			esc_attr__('Yes','brivona') => 'yes',
		),
		"std"         => "no",
		'dependency'  => array(
			'element'    => 'sortable',
			'value_not_equal_to' => array( 'yes' ),
		),
	),
	array(
		"type"        => "dropdown",
		"holder"      => "div",
		"class"       => "",
		"heading"     => esc_attr__("Show Events Item",'brivona'),
		"description" => esc_attr__("How many events you want to show.",'brivona'),
		"param_name"  => "show",
		"value"       => array(
			esc_attr__('All','brivona') => '-1',
			esc_attr__('1','brivona')  => '1',
			esc_attr__('2','brivona') => '2',
			esc_attr__('3','brivona')=>'3',
			esc_attr__('4','brivona')=>'4',
			esc_attr__('5','brivona')=>'5',
			esc_attr__('6','brivona')=>'6',
			esc_attr__('7','brivona')=>'7',
			esc_attr__('8','brivona')=>'8',
			esc_attr__('9','brivona')=>'9',
			esc_attr__('10','brivona')=>'10',
			esc_attr__('11','brivona')=>'11',
			esc_attr__('12','brivona')=>'12',
			esc_attr__('13','brivona')=>'13',
			esc_attr__('14','brivona')=>'14',
			esc_attr__('15','brivona')=>'15',
			esc_attr__('16','brivona')=>'16',
			esc_attr__('17','brivona')=>'17',
			esc_attr__('18','brivona')=>'18',
			esc_attr__('19','brivona')=>'19',
			esc_attr__('20','brivona')=>'20',
			esc_attr__('21','brivona')=>'21',
			esc_attr__('22','brivona')=>'22',
			esc_attr__('23','brivona')=>'23',
			esc_attr__('24','brivona')=>'24',
		),
		"std"  => "3",
	),
	array(
		"type"        => "dropdown",
		"heading"     => esc_attr__("Box Style", "brivona"),
		"description" => esc_attr__("Select box style.", "brivona"),
		"group"       => esc_attr__( "Box Design", "brivona" ),
		"param_name"  => "view",
		"value"       => array(
			esc_attr__("Default Style", "brivona")  => "top-image",
			esc_attr__("Detailed Style", "brivona") => "top-image-details",
			esc_attr__("Style1", "brivona") 		=> "style1",
		),
		"std"         => "default",
	),
	array(
		"type"        => "dropdown",
		"heading"     => esc_attr__("Box Spacing", "brivona"),
		"param_name"  => "box_spacing",
		"description" => esc_attr__("Spacing between each box.", "brivona"),
		"value"       => array(
			esc_attr__("Default", "brivona")                        => "",
			esc_attr__("0 pixel spacing (joint boxes)", "brivona")  => "0px",
			esc_attr__("5 pixel spacing", "brivona")                => "5px",
			esc_attr__("10 pixel spacing", "brivona")               => "10px",
		),
		"std"  => "",
	),
	
);


/**
 * Heading Element
 */
$heading_element = vc_map_integrate_shortcode( 'tm-heading', '', '',
	array(
		'exclude' => array(
			'el_class',
			'css',
			'css_animation'
		),
	)
);

$boxParams = themetechmount_box_params();
$params    = array_merge( $heading_element, $allParams, $boxParams );


// Changing default values
$i = 0;
foreach( $params as $param ){
	$param_name = (isset($param['param_name'])) ? $param['param_name'] : '' ;
	if( $param_name == 'h2' ){
		$params[$i]['std'] = 'Latest Events';
		
	} else if( $param_name == 'h2_use_theme_fonts' ){
		$params[$i]['std'] = 'yes';
		
	} else if( $param_name == 'h4_use_theme_fonts' ){
		$params[$i]['std'] = 'yes';
		
	}
	$i++;
}


global $tm_sc_params_eventsbox;
$tm_sc_params_eventsbox = $params;


vc_map( array(
	"name"     => esc_attr__("ThemetechMount Events Box", "brivona"),
	"base"     => "tm-eventsbox",
	"icon"     => "icon-themetechmount-vc",
	'category' => esc_attr__( 'ThemetechMount Special Elements', 'brivona' ),
	"params"   => $params
) );

