<?php

$heading_params = vc_map_integrate_shortcode( 'tm-heading', '', esc_attr__('Content','brivona'),
	array(
		'exclude' => array(
			'txt_align',
			'seperator',
			'heading_style',
			'el_class',
			'css_animation',
			'css',
		),
	)
);
if ( is_array( $heading_params ) && ! empty( $heading_params ) ) {
	foreach ( $heading_params as $key => $param ) {
		
		if ( is_array( $param ) && isset( $param['param_name'] ) ){
			
			if( $param['param_name'] == 'content' ){
				$heading_params[$key]['value'] = esc_attr('');
				$heading_params[$key]['type'] = 'textarea';
				
			} else if( $param['param_name'] == 'reverse_heading' ){
				$heading_params[$key]['std'] = 'no';
				$heading_params[$key]['value'] = 'no';
				
			}
			
			
		}
	}
}

$btn_params = vc_map_integrate_shortcode( 'tm-btn', 'btn_', esc_attr__('Button','brivona'),
	array(
		'exclude' => array(
			'style',
			'shape',
			'color',
			'size',
			'font_weight',
			'align',
			'i_align',
			'gradient_color_1',
			'gradient_color_2',
			'gradient_custom_color_1',
			'gradient_custom_color_2',
			'gradient_text_color',
			'custom_background',
			'custom_text',
			'outline_custom_color',
			'outline_custom_hover_background',
			'outline_custom_hover_text',
			'button_block',
			'css_animation',
			'css',
		),
	),
	array(
		'element' => 'show_btn',
		'value'   => 'yes',
	)
);

// Extra Class
$extra_class = themetechmount_vc_ele_extra_class_option();
$extra_class['group'] = esc_attr__( 'Content', 'brivona' );

$vc_map_add_css_animation = vc_map_add_css_animation();
$vc_map_add_css_animation['group'] = esc_attr__( 'Animation', 'brivona' );
	
$params = array_merge(
		array( 
			array(
				"type"        => "themetechmount_style_selector",
				"holder"      => "div",
				"class"       => "",
				"heading"     => esc_attr__("Box Design",'brivona'),
				"description" => esc_attr__("Select box design.",'brivona'),
				"param_name"  => "view",
				"value"       => themetechmount_global_iconheadingbox_template_list( true ),
				"std"         => "styleseven",
				'group'		  => esc_attr__( 'Box Style', 'brivona' ),
			),		
		),
		
		$heading_params,
		
		array(
			array(
				'type'       => 'dropdown',
				'heading'    => esc_attr__( 'Select Icon Type', 'brivona' ),
				'param_name' => 'main_icon_type',
				'value'      => array(
					esc_attr__( 'Icon', 'brivona' ) => 'icon',
					esc_attr__( 'Image', 'brivona' )  => 'image',
				),
				'std'         => 'icon',
				'group'		  => esc_attr__( 'Icon', 'brivona' ),
				'description' => esc_attr__( 'Want to show icon or image', 'brivona' ),
			),
		),
		
		vc_map_integrate_shortcode( 'tm-icon', 'i_', esc_attr__( 'Icon', 'brivona' ),
		array(	
			'include_only_regex' => '/^(type|icon_\w*)/',
			)
		),
	
	array(
		array(
			'type'        => 'dropdown',
			'heading'     => esc_attr__( 'Show button', 'brivona' ),
			'description' => esc_attr__( 'Show/hide button', 'brivona' ),
			'param_name'  => 'show_btn',
			'std'         => 'no',
			'value'       => array(
				esc_attr__( 'Yes', 'brivona' )	=> 'yes',
				esc_attr__( 'No', 'brivona' )	=> 'no',
			),
			'group'		  => esc_attr__( 'Content', 'brivona' ),
			'dependency'  => array(
					'element'            => 'view',
					'value_not_equal_to' => array( 	'styleeight','stylenine' ),
			),
		),
		array(
		'type'        => 'vc_link',
		'heading'     => esc_attr__( 'URL (Link)', 'brivona' ),
		'param_name'  => 'smallicon_link',
		'description' => esc_attr__( 'Add link to Bottom icon.', 'brivona' ),
		'group'		  => esc_attr__( 'Button', 'brivona' ),
		'dependency'  => array(
					'element'	=> 'view',
					'value'		=> array('styleone'),
		),
		),
		array(
			'type'        => 'dropdown',
			'heading'     => esc_attr__( 'Background shape', 'brivona' ),
			'param_name'  => 'icon_bg_style',
			'value'       => array(
				esc_attr__( 'Circle', 'brivona' ) => 'rounded',
				esc_attr__( 'Square', 'brivona' ) => 'boxed',
				esc_attr__( 'Rounded', 'brivona' ) => 'rounded-less',
				esc_attr__( 'Outline Circle', 'brivona' ) => 'rounded-outline',
				esc_attr__( 'Outline Square', 'brivona' ) => 'boxed-outline',
				esc_attr__( 'Outline Rounded', 'brivona' ) => 'rounded-less-outline',
			),
			'std'         => 'rounded',
			'group'		  => esc_attr__( 'Icon', 'brivona' ),
			'description' => esc_attr__( 'Select background shape and style for icon.', 'brivona' ),
			'dependency'  => array(
					'element'	=> 'view',
					'value'		=> array('styleten'),
			)
		),
		array(
			'type'       => 'dropdown',
			'heading'    => esc_attr__( 'Content alignment', 'brivona' ),
			'param_name' => 'content_align',
			'value'      => array(
				esc_attr__( 'Left', 'brivona' )   => 'left',
				esc_attr__( 'Right', 'brivona' )  => 'right',
				esc_attr__( 'Center', 'brivona' ) => 'center',
			),
			'std'         => 'center',
			'description' => esc_attr__( 'Select content alignment.', 'brivona' ),
			'group'		  => esc_attr__( 'Icon', 'brivona' ),
			'dependency'  => array(
					'element'	=> 'view',
					'value'		=> array('styletwelve','style15'),
			)
		),
		array(
			'type' => 'themetechmount_attach_image',
			'heading' => esc_attr__( 'Box Image', 'brivona' ),
			'param_name' => 'mainiconimage',
			'description' => esc_attr__( 'Select image.', 'brivona' ),
			'admin_label' => true,
			'group'		  => esc_attr__( 'Icon', 'brivona' ),
			'dependency'  => array(
					'element'	=> 'main_icon_type',
					'value'		=> array('image'),
			)
		),
	),
	
	$btn_params,
	
	array(
		$extra_class,
		themetechmount_vc_ele_css_editor_option(),
	)
	
	
);


global $tm_sc_params_iconheadingbox;
$tm_sc_params_iconheadingbox = $params;

vc_map( array(
	"name"     => sprintf( esc_attr__("ThemetechMount Icon Heading Box",'brivona') ),
	"base"     => "tm-iconheadingbox",
	"class"    => "",
	'category' => esc_attr__( 'ThemetechMount Special Elements', 'brivona' ),
	"icon"     => "icon-themetechmount-vc",
	"params"   => $params,
) );