<?php


/******************* Helper Functions ************************/

/**
 *
 * Encode string for backup options
 *
 * @since 1.0.0
 * @version 1.0.0
 *
 */
if ( ! function_exists( 'cs_encode_string' ) ) {
	function cs_encode_string( $string ) {
		return rtrim( strtr( call_user_func( 'base'. '64' .'_encode', addslashes( gzcompress( serialize( $string ), 9 ) ) ), '+/', '-_' ), '=' );
	}
}

/**
 *
 * Decode string for backup options
 *
 * @since 1.0.0
 * @version 1.0.0
 *
 */
if ( ! function_exists( 'cs_decode_string' ) ) {
	function cs_decode_string( $string ) {
		return unserialize( gzuncompress( stripslashes( call_user_func( 'base'. '64' .'_decode', rtrim( strtr( $string, '-_', '+/' ), '=' ) ) ) ) );
	}
}



/*************** Demo Content Settings *******************/
function themetechmount_action_rss2_head(){
	// Get theme configuration
	$sidebars = get_option('sidebars_widgets');
	// Get Widgests configuration
	$sidebars_config = array();
	foreach ($sidebars as $sidebar => $widget) {
		if ($widget && is_array($widget)) {
			foreach ($widget as $name) {
				$name = preg_replace('/-\d+$/','',$name);
				$sidebars_config[$name] = get_option('widget_'.$name);
			}
		}
	}
	
	// Get Menus
	$locations = get_nav_menu_locations();
	$menus     = wp_get_nav_menus();
	$menuList  = array();
	foreach( $locations as $location => $menuid ){
		if( $menuid!=0 && $menuid!='' && $menuid!=false ){
			if( is_array($menus) && count($menus)>0 ){
				foreach( $menus as $menu ){
					if( $menu->term_id == $menuid ){
						$menuList[$location] = $menu->name;
					}
				}
			}
		}
	}
	
	$config = array(
			'page_for_posts'   => get_the_title( get_option('page_for_posts') ),
			'show_on_front'    => get_option('show_on_front'),
			'page_on_front'    => get_the_title( get_option('page_on_front') ),
			'posts_per_page'   => get_option('posts_per_page'),
			'sidebars_widgets' => $sidebars,
			'sidebars_config'  => $sidebars_config,
			'menu_list'        => $menuList,
		);            
	if ( defined('THEMETECHMOUNT_THEME_DEVELOPMENT') ) {
		echo sprintf('<wp:theme_custom>%s</wp:theme_custom>', base64_encode(serialize($config)));
	}
}

if ( defined('THEMETECHMOUNT_THEME_DEVELOPMENT') ) {
	add_action('rss2_head', 'themetechmount_action_rss2_head');
}

/**********************************************************/




if( !class_exists( 'themetechmount_brivona_one_click_demo_setup' ) ) {
	

	class themetechmount_brivona_one_click_demo_setup{
		
		
		function __construct(){
			add_action( 'wp_ajax_brivona_install_demo_data', array( &$this , 'ajax_install_demo_data' ) );
		}
		
		
		/**
		 * Decide if the given meta key maps to information we will want to import
		 *
		 * @param string $key The meta key to check
		 * @return string|bool The key if we do want to import, false if not
		 */
		function is_valid_meta_key( $key ) {
			// skip attachment metadata since we'll regenerate it from scratch
			// skip _edit_lock as not relevant for import
			if ( in_array( $key, array( '_wp_attached_file', '_wp_attachment_metadata', '_edit_lock' ) ) )
				return false;
			return $key;
		}
		
		
		
		
		/**
		 * Added to http_request_timeout filter to force timeout at 60 seconds during import
		 * @return int 60
		 */
		function bump_request_timeout() {
			return 600;
		}
		
		
		
		/**
		 * Map old author logins to local user IDs based on decisions made
		 * in import options form. Can map to an existing user, create a new user
		 * or falls back to the current user in case of error with either of the previous
		 */
		function get_author_mapping() {
			
			if ( ! isset( $_POST['imported_authors'] ) )
				return;

			$create_users = $this->allow_create_users();

			foreach ( (array) $_POST['imported_authors'] as $i => $old_login ) {
				// Multisite adds strtolower to sanitize_user. Need to sanitize here to stop breakage in process_posts.
				$santized_old_login = sanitize_user( $old_login, true );
				$old_id = isset( $this->authors[$old_login]['author_id'] ) ? intval($this->authors[$old_login]['author_id']) : false;

				if ( ! empty( $_POST['user_map'][$i] ) ) {
					$user = get_userdata( intval($_POST['user_map'][$i]) );
					if ( isset( $user->ID ) ) {
						if ( $old_id )
							$this->processed_authors[$old_id] = $user->ID;
						$this->author_mapping[$santized_old_login] = $user->ID;
					}
				} else if ( $create_users ) {
					if ( ! empty($_POST['user_new'][$i]) ) {
						$user_id = wp_create_user( $_POST['user_new'][$i], wp_generate_password() );
					} else if ( $this->version != '1.0' ) {
						$user_data = array(
							'user_login' => $old_login,
							'user_pass' => wp_generate_password(),
							'user_email' => isset( $this->authors[$old_login]['author_email'] ) ? $this->authors[$old_login]['author_email'] : '',
							'display_name' => $this->authors[$old_login]['author_display_name'],
							'first_name' => isset( $this->authors[$old_login]['author_first_name'] ) ? $this->authors[$old_login]['author_first_name'] : '',
							'last_name' => isset( $this->authors[$old_login]['author_last_name'] ) ? $this->authors[$old_login]['author_last_name'] : '',
						);
						$user_id = wp_insert_user( $user_data );
					}

					if ( ! is_wp_error( $user_id ) ) {
						if ( $old_id )
							$this->processed_authors[$old_id] = $user_id;
						$this->author_mapping[$santized_old_login] = $user_id;
					} else {
						printf( __( 'Failed to create new user for %s. Their posts will be attributed to the current user.', 'brivona-demosetup' ), esc_html($this->authors[$old_login]['author_display_name']) );
						if ( defined('IMPORT_DEBUG') && IMPORT_DEBUG )
							echo ' ' . $user_id->get_error_message();
						echo '<br />';
					}
				}

				// failsafe: if the user_id was invalid, default to the current user
				if ( ! isset( $this->author_mapping[$santized_old_login] ) ) {
					if ( $old_id )
						$this->processed_authors[$old_id] = (int) get_current_user_id();
					$this->author_mapping[$santized_old_login] = (int) get_current_user_id();
				}
			}
		}
		
		
		
		/**
		 * Install demo data
		 **/
		function ajax_install_demo_data() {
		
			// Maximum execution time
			@ini_set('max_execution_time', 60000);
			@set_time_limit(60000);

			define('WP_LOAD_IMPORTERS', true);
			include_once( BRIVONA_TMDC_DIR .'one-click-demo/wordpress-importer/wordpress-importer.php' );
			$included_files = get_included_files();


			$WP_Import = new themetechmount_WP_Import;
			
			$WP_Import->fetch_attachments = true;
			
			// Getting layout type
			$layout_type = 'default';

			$filename = 'demo.xml';
			if( !empty($_POST['layout_type']) && $_POST['layout_type']=='rtl' ){
				$filename = 'rtl-demo.xml';
			}
			else if( !empty($_POST['layout_type']) && $_POST['layout_type']=='landing' ){
				$filename = 'landing-demo.xml';
			}
			else if( !empty($_POST['layout_type']) && $_POST['layout_type']=='demo2' ){
				$filename = 'demo2.xml';
			}
			else if( !empty($_POST['layout_type']) && $_POST['layout_type']=='demo3' ){
				$filename = 'demo3.xml';
			}
			else if (!empty($_POST['layout_type']) && $_POST['layout_type']=='elementor-classicinfo' ) {
				$filename = 'demo-elm.xml';
			}
			else if (!empty($_POST['layout_type']) && $_POST['layout_type']=='elementor-overlay' ) {
				$filename = 'demo-elm.xml';
			}
			else if (!empty($_POST['layout_type']) && $_POST['layout_type']=='elementor-infostack' ) {
				$filename = 'demo-elm.xml';
			}
			else {
				$filename = 'demo.xml';
			}
			
			$WP_Import->import_start( BRIVONA_TMDC_DIR .'one-click-demo/'.$filename );
			
			
			$_POST     = stripslashes_deep( $_POST );
			$subaction = $_POST['subaction'];
			if( !empty($_POST['layout_type']) ){
				$layout_type = $_POST['layout_type'];
				$layout_type = strtolower($layout_type);
				$layout_type = str_replace(' ','-',$layout_type);
				$layout_type = str_replace(' ','-',$layout_type);
				$layout_type = str_replace(' ','-',$layout_type);
				$layout_type = str_replace(' ','-',$layout_type);
			}
			$data      = isset( $_POST['data'] ) ? unserialize( base64_decode( $_POST['data'] ) ) : array();
			$answer    = array();
			echo '';  //Patch for ob_start()   If you remove this the ob_start() will not work.
			
			
			switch( $subaction ) {
				
				case( 'start' ):
				
					$answer['answer']         = 'ok';
					$answer['next_subaction'] = 'install_demo_cat';
					$answer['message']        = __('Inserting Categories...', 'brivona-demosetup');
					$answer['data']           = '';
					$answer['layout_type']	  = $layout_type;
				
					die( json_encode( $answer ) );
				
				break;
				
				
				case( 'install_demo_cat' ):
					wp_suspend_cache_invalidation( true );
					$WP_Import->process_categories();
					wp_suspend_cache_invalidation( false );
					
					// Output message
					$answer['answer']         = 'ok';
					$answer['next_subaction'] = 'install_demo_tags';
					$answer['message']        = __('All Categories were inserted successfully. Inserting Tags...', 'brivona-demosetup');
					$answer['data']           = base64_encode( serialize( $data ) );
					$answer['layout_type']	  = $layout_type;
					
					die( json_encode( $answer ) );
				break;
				
				case( 'install_demo_tags' ):
					wp_suspend_cache_invalidation( true );
					$WP_Import->process_tags();
					wp_suspend_cache_invalidation( false );
					
					// Output message
					$answer['answer']         = 'ok';
					$answer['next_subaction'] = 'install_demo_terms';
					$answer['message']        = __('All Tags were inserted successfully. Inserting Terms...', 'brivona-demosetup');
					$answer['data']           = base64_encode( serialize( $data ) );
					$answer['layout_type']	  = $layout_type;
					
					die( json_encode( $answer ) );
				break;
				
				case( 'install_demo_terms' ):
					
					wp_suspend_cache_invalidation( true );
					ob_start();
					$WP_Import->process_terms();
					ob_end_clean();
					wp_suspend_cache_invalidation( false );
					
					// Output message
					$answer['answer']         = 'ok';
					$answer['next_subaction'] = 'install_demo_posts';
					$answer['message']        = __('All Terms were inserted successfully. Inserting Posts...', 'brivona-demosetup');
					$answer['data']           = base64_encode( serialize( $data ) );
					$answer['layout_type']	  = $layout_type;
					
					die( json_encode( $answer ) );
				break;
				
				
				case( 'install_demo_posts' ):
					//wp_suspend_cache_invalidation( true );
					echo '';  //Patch for ob_start()   If you remove this the ob_start() will not work.
					ob_start();
					echo '';  //Patch for ob_start()   If you remove this the ob_start() will not work.
					$WP_Import->process_posts();
					ob_end_clean();
					
					// Output message
					$answer['answer']         = 'ok';
					$answer['next_subaction'] = 'install_demo_images';
					$answer['message']        = __('All Posts were inserted successfully. Importing images...', 'brivona-demosetup');
					$answer['data']           = base64_encode( serialize( $data ) );
					$answer['layout_type']	  = $layout_type;
					$answer['missing_menu_items']   = base64_encode( serialize( $WP_Import->missing_menu_items ) );
					$answer['processed_terms']      = base64_encode( serialize( $WP_Import->processed_terms ) );
					$answer['processed_posts']      = base64_encode( serialize( $WP_Import->processed_posts ) );
					$answer['processed_menu_items'] = base64_encode( serialize( $WP_Import->processed_menu_items ) );
					$answer['menu_item_orphans']    = base64_encode( serialize( $WP_Import->menu_item_orphans ) );
					$answer['url_remap']            = base64_encode( serialize( $WP_Import->url_remap ) );
					$answer['featured_images']      = base64_encode( serialize( $WP_Import->featured_images ) );
					
					die( json_encode( $answer ) );
				break;
				
				
				
				case( 'install_demo_images' ):
					$WP_Import->missing_menu_items   = unserialize( base64_decode( $_POST['missing_menu_items'] ) );
					$WP_Import->processed_terms      = unserialize( base64_decode( $_POST['processed_terms'] ) );
					$WP_Import->processed_posts      = unserialize( base64_decode( $_POST['processed_posts'] ) );
					$WP_Import->processed_menu_items = unserialize( base64_decode( $_POST['processed_menu_items'] ) );
					$WP_Import->menu_item_orphans    = unserialize( base64_decode( $_POST['menu_item_orphans'] ) );
					$WP_Import->url_remap            = unserialize( base64_decode( $_POST['url_remap'] ) );
					$WP_Import->featured_images      = unserialize( base64_decode( $_POST['featured_images'] ) );
					
					
					ob_start();
					$WP_Import->backfill_parents();
					$WP_Import->backfill_attachment_urls();
					$WP_Import->remap_featured_images();
					$WP_Import->import_end();
					ob_end_clean();
					
					// Output message
					$answer['answer']         = 'ok';
					$answer['next_subaction'] = 'install_demo_slider';
					$answer['message']        = __('All Images were inserted successfully. Inserting demo sliders...', 'brivona-demosetup');
					$answer['data']           = base64_encode( serialize( $data ) );
					$answer['layout_type']	  = $layout_type;
					
					die( json_encode( $answer ) );
				break;
				
				
				
				
				case( 'install_demo_slider' ):
					
					$json_message		= __('RevSlider plugin not found. Setting the widgets and options...', 'brivona-demosetup');
					
					if ( class_exists( 'RevSlider' ) ){
						$json_message	= __('All demo sliders inserted successfully. Setting the widgets and options...', 'brivona-demosetup');
						
						// List of slider backup ZIP that we will import
						$slider_array	= array(
							BRIVONA_TMDC_DIR . 'sliders/home-mainclassic-slider.zip',
							BRIVONA_TMDC_DIR . 'sliders/home-maincorporate-slider.zip',
							BRIVONA_TMDC_DIR . 'sliders/home-mainslider-overlay.zip',
							BRIVONA_TMDC_DIR . 'sliders/home-shopclassic-slider.zip',
							BRIVONA_TMDC_DIR . 'sliders/home-mainclassic-slider-two.zip',
							BRIVONA_TMDC_DIR . 'sliders/home-vectorpage-slider.zip',
							BRIVONA_TMDC_DIR . 'sliders/home-childemo-slider.zip',
							BRIVONA_TMDC_DIR . 'sliders/main-dentist-slider.zip',
						);
						
						$slider			= new RevSlider();
						foreach($slider_array as $filepath){
							if( file_exists($filepath) ){
								$result = $slider->importSliderFromPost(true,true,$filepath);  
							}
						}

					}
					
					// Output message
					$answer['answer']         = 'ok';
					$answer['next_subaction'] = 'install_demo_settings';
					$answer['message']        = $json_message;
					$answer['data']           = base64_encode( serialize( $data ) );
					$answer['layout_type']	  = $layout_type;
					
					die( json_encode( $answer ) );
					
				break;
				
				
				
				
				
				case( 'install_demo_settings' ):
					
					
					/**** Breacrumb NavXT related changes ****/
					$breadcrumb_navxt_settings						= array();
					$breadcrumb_navxt_settings['hseparator']		= '<span class="tm-bread-sep">&nbsp; &#124; &nbsp;</span>';  // General > Breadcrumb Separator
					$breadcrumb_navxt_settings['Hhome_template']	= '<span typeof="v:Breadcrumb"><a rel="v:url" property="v:title" title="Go to %title%." href="%link%" class="%type%"><i class="themifyicon ti-home"></i>&nbsp;&nbsp;Home<span class="hide">%htitle%</span></a></span>';  // General > Home Template
					$breadcrumb_navxt_settings['Hhome_template_no_anchor']	= '<<span typeof="v:Breadcrumb"><span property="v:title"><span class="hide">%htitle%</span></span></span>';  // General > Home Template
					
					// Getting existing settings
					$bcn_options    = get_option('bcn_options');
					if( !empty($bcn_options) && is_array($bcn_options) ){
						// options already exists... so merging changes with existing options
						$breadcrumb_navxt_settings = array_merge($bcn_options, $breadcrumb_navxt_settings);
					}
					update_option( 'bcn_options', $breadcrumb_navxt_settings );
					
					/**** Finish Breadcrumb NavXT changes ****/
					
					
					
					/**** START CodeStart theme options import ****/
					
					$theme_options = array();
					
					$theme_options['classicinfo']	= 'eNrdPWtz20aSn89V_g-zTG1VXFxcJ1B48RlZe1rbl01V_DhLrtzWlYs1JIYkXCIQwAFDyYrjH3R_437Zdc-LAxCEaFu0pUtiiwJ6erp7evo1PQwd-2Ew_liOR-NOeRmnsyzJis5P5Xgw7vzgulGfBvhbf9xJ6E225vhLOO5cXMcRw4_ecNyZr5Nkgg8mLGErlvKy8xMde-OP8diVQ5eMRgywfoIBgHeRZFOaTKZ0drkosnUaIfxcMInojTvxii4EanfcUXSIR3FkPQScBcsZ5dYzoCTPypjHWWo99eBcJ-WczpZImfUCmCjjP-yZYPIK93Pxj6QaJozTlBUPiWhY0SRDwcerhY18uHkOJE5m65JnKxvAhyViwCys0TzD-SlS9FFwMKerOLlR7LybrlO-FmOCcQdFs86dDYQPIBd0ma3oEfkZEF7Bz5KmpVPC3HNF8RUtYiqZHKCAFuuECm48YJazD9zhBYyZZ4VNI_CGpDlaGkCy1xOjPOAuTpmzZPFiydU7v6cxJoxzVjhlTmdxKsQCA9wmSY5cIjqlcy0QmiQOkirVWyCVSxZKSpREFlm2SJjUGVdQcunYWCM2p-uEm3Uw7x2L81BsPUEUKp4FtMyumCFwwKbUFbvTA9qX3gS3GTBlFm20tWZcMHdO44LuXjIg6gwWJDlcIv9gyRXj8eyWRQMsfUXrZy5Y6O5esPALFswNgmlI29cEBeU_NEEFLZoduocTVPDgBNWiUcEBNSp8aILyWzQqOKBG9R6coNzvI6j-QxNUq_c9kKB8GVn-f7Hk_sHUqVxcT7-LoPYJ6EBK6zxnxYyWbJduhS265e2WGjDhdXvtsV2rds3gDQR8LULbIwg-iNS-Rxi8W1SeSAgXjD8Ysx60CGl4mH0IY6drzrPUCKl_j4S0k1-vnStAr7L-CY85Pv12fPW-0FUNb2VpPqWFY1wn5sBAoXVEA0ymi4nRAqA_osXlomA3OiOTMO31ghGMW3Kej4-Pp0V8laW0y5cgTs4g94dRvDvLVvqVE1FOj69zR9mlYwFa6tfHAmt5PIfsnsMCXCIP00X393yxX0kCRJVmzub3L69NiO2hMtX6VtFZ61wnS0i4ehtRwtPrZczlcvkVEFGqmFTwRVFcMP8IygYKdknTKGHFJJ4h5RQo-yhgk3ha0OJGjUThxXO5WiPzUmxOes3KbMV0Aj6nZE4dWhTZtRNl1-kmMZdD0IbAVKXO6q9m8IiIv53pejpNmFYJPaI2t_oV6SU8dkCwayEgP2jgaDJLspJ9NV9hla91fqdcXPnuFleKbHvdJTtN627WcsrTyj6rlyn9sAbYoFwiHhsEU6lOemblrlwwbL1KXCeb0iZay0nfaJ69kwpGL_MsTnUJ1POl-fFHu1wwnU1pzYJHR1Aus-sJz_Ip-vjp2FOClE_a7ApSZUHVmMX1LoCIH90jPwiPgt6R2x0Nn2iBqoEtuy2sAdXw-57BT-A_v9eDn12_90TrjhqcsDkXGKQqXDDWk3VCZgkty6cIIwwYnfHO6UkSn57E5lVVY5JsRtH6OHmcAuhxfApcXJGLXCJer_LlEfk1K8lZulww91MekWc0icH0pzG4jXfnXCfHiLcNN49XYJ8EUvISHjnknHIy7LoufPTwZ5ecg9WmN-TZr6_PXzyXKI_XyWlNnMIvGG49lOF_8ZVTZjNwZw4W70rCsyzhcf4UDGxH_zLRxvVpZ5px1JP3OA70mAhP-rTz84sLckbO3rx5_curi5cvXl38pUPKJc3hVfnfa1qwDkH0TzvrXCIZ_9UP_vzzz877KnUtahs2wOzQWESHJNWVE1Z8M0AYMgN1i9vr3b3b03Pfpc9DVz-DKVlB1Bp9pQfETaJ2kPi363pPpE20pdeyQz0L7F4mvyidGc1jDhvyj10ZXTjYHX_3vqBa4Lv-yG9PUoS-a8l9r4Q4wKqRe7hk2L09lP9a0aGxiGbFejW9h2nxXsrntSR_3ujzla8_7EOAcWtOYSR4FbNrBY2OUkdR1rbWBAWYjZrYVkp-vdptgvHAzVqfpgihbn967hPjDQwBeJa7waNEA65LUUqjqwlHQHDPtJhp4_-McrbIihtyVsyW8RUrx2RrBKcLPVwixMPBRQ0YI14DDJaYC-8dz2MWaTLfwNOSbJ4TcDKsUHMNreF0zZdZoacDAZ6JB3XyAn0-XRW85_rmaE2-tsVez1EskF0xGUZL-o8SOiwG-AhU_WSiMdyX8-XP9mBBgPOXOaQMIN3JPhLxjuR_EKX2n2iroAZaqKppQigjYsVdki0yfpNrko2g9CsVloHA_i7DBWUU8GW77QfrtMruTVnP77eY_cEXeUxXuoudRmsgpSS6B-hYNInAZBWVE7krmAgHXCJQIfUDlDOQhm4uuVHdJt9mOpWpCk1Z0Q-T6uHPQKtGCUt_eTPRPS4ym8P8t2JVJhJMjR642nBURu82MaMmyP33ldANuZaGkD2XdGNIbMmLp58kCzUBVTkN_JqRLRlY5KXJelEE4skkTnOZgyPOC9jS5LesiMjFkqXkBYbg3a62P3IEbhpddJSu4R8x7MbsGpLBlPzGcGPm5J_Z-m9660gSSn6jahfwSPoR2C3zrAplMjolXDBrRXW2vwUy2AaBLI3WHIs_quHDes9kV7UR4ZC6Esz1pS5YZKnqvgJ8XCdRfKWTXFyJ0BGFr1P7hXpismFZ-llmpYiVnExmwlwnxzBE_f34UQNitXU68PZfTpbB6StQFMiNPJC6xHRyDE_Fy97pLyl5l4ICR-ScQ2hQwrveKQG8Av9O3vi1XFyJwaiFN3I7c2uww84q-kLO3oCegFVIQJemYHC5zdh_rLHYEEvG5vMGvvwmvpYFU6s2-DrOxP4snQyLdl_G3c-Mk7esXFxcJ5y8TtGh2Oydg-aWgr038Akbnpo5tLbOJF-CSpr9MIR1PQFcJ5S28yEGaQ4Q_PRcIksS8u8gXCcyBqXy_ICEvT4ZDEeeu60v1Tn1HgzNtlI1vvbisrUFa1vVx0S3aae2lecG26C3ReCB90QPrZr42yYLwp0j6nU7V80Jtgf8Qu-o34eJB09UMIAGvGSZjgyX3jJbsSxNzEmGxLurkoSh9YotKEI5GDIWojlUOUJ_a_iOXCITAtI4ReCHV9Dw-nebU-5xoOib2MMW2w4smGposAmdcQyrsXZYCauxsC4kEuwCbiiu64ZTqdlRkeV4RNK-iocoD9xWWmk5D2yrB3zBYfBgPnJHYfvaKVHtXo5KXo8L0gzeviAja9hdJZa3VUxdUzHlWX4XB4ZWR7MfbDRMGruS5bSg3KiwMcTexiYZR6DPp-97K1X_m7dSobgaNGXi3b8md5N57CDZf3gkBw-P5PDhkdx7eCT3Hx7Jg4dH8vDhkTy6xyT7O1xciXt_afaEF87An05mnE6m2Ye23iH0zPVumt2NNph7yXR3tmSzS0ee3DtZa7tNr9puw-mirYNIHB5VuyXESrhbXFyZalkIY35jZIkVsmxdkFxcZfoQtJGCQVBZMEIJRAgRwNCEL_XhTA1huZ4anAEI4SW9hIEpOctFqoerga0ZCXl3TiD7DCCdh2zenH7UsKn-SNNLMVQIzzRCvbq7x2JYrIKhH4z48YKiAm_r2RtugQLlh42WN_0F8sfXBsxmF6KA4qLkmpmtTlwnGBVOwkmoo-UKdFvHldgsNeBvKKe76cMwcgpqzLRUi7BAg1s02ilTgAgm4l9T3q8MsMWKVkQkBJDAaK12GwbsEu0oOEDnqJj1QA00d6PgXCIj7M2Hc2paE6pcImsv90ntaVqP6kG621wwek-MAbYwxh_kefjt94FdLwjwjqCSVZWp9j4jo-X5jexxM90KLkz2TD8m__s_xHe9ETmhZFmw-VPZ_gaI8LDofefU_Co8xfuTY3raJWfgE8TwEv0NK65Y1H38CEHltBg-vDd9mHVKzOmI9v99UcWM01sbz_yDnBjG6Z1umkPWUDBamALJcvGTeBVzu3gQePK1Ku5PRKcqyER0-KfiuMec3Q0VJuwUWUHEYBw38Pf2xdlz8vL12xfqdwGoO18G5vBAVzPwNXpxaVJV_USfcvmb9xqDuFxcDeromJXV1Igwp8Ianrmp84NACJpPZHMmMEeRah3AINJzfESwx0RvA1saoCgUEJeirumr0JCldJqwyJyowlLL1hO17mfmF9zglOupVL9MzEotEylmpRHP5G-lWDUMVeLSzCOmFo0QcrvCx-fqI3YayXBRNtjg-E_Se21xgsOxHkXrXCcoW5CAUkZWqqrfBAOsVWCaZpSCscG8wWbdbhOvfrRLULtlvy1CsVRtC9IgyGaZf1JxRIWLZtG6Nai6WOvv61wirc-yLU7scM-zgs-zJM4meZH9zmZ8EgFwnJS2xRzZcLitzLG41ZeGxncDJWxBwRJgLbJJ2kCol9aWgjV4Kx-SN5KYchuxHqZ390i0Jm_2NqrbNvTGVmACpE9XmzEj6crMmW9MyOdaLlwi-VI3l_BLS3RrhLcFZHEWIGeyE4G8optkrz7izjJJtIMyk1xcsehSme0dGeRIJZC3pY6uSB1TcK85jcQ2kRpOayHRpxhWex-xwC7Tx8aHF4hJrfGsvzWhdrU8DGSzQESnuwJqE4a_lzBgzPNsxjeHsIcTRTCutT18S2kE-6qGbhE9vDwGWh4lZ2AjS4gd2X4ymSVx3rZlRAe-M82yy5VoQ2wTTLiXYCzvfVihmDtfM5qwNKLteyY0ErGhW6WygWyTSm9fdflVlbQOLxlzy29FcwfXle0pm8RcIrHdyFwiZopf_bNbNCpOq3lcXDtYNW53WAFrDGd7KpoVwYxbgY_TRcLwApq4NmdG6DBl1AKsC2xW5TWfgwx2Om90WxKi2WFvMFhOemSa0hldTSCcL2hl6UsVDtreerQTumKRzy_jRIZCKMRdI-7i7ihwyVY5v7nb-6K-tD8Qps7lNZH9nPY-0kHcZ1EECXlJflEdkV8opAPvv0NKTX35AzJt67W6ein02pF1FN1WZw755Ygdem7hrGs6uitWFFkRuuFkGi_uULKjcb1r8LYrzHpnf95pwxYLVjFcMB6RF2_fvn6rDbkBhEg2Xq8M7FwwwpiLZVxckhyETFb0hizpFSNTxlKyyq4gicgKErGEQUzfJX9npFxcQ7bOM1wizlbIDR5llDlLgJ1FV1NrJqu2HqN1Ma9wvu9xaRHmdnKhUPe45mqu_VausHT1zcVQN2SnWSF6SqW2wyDRXCKc8SWsBpmjXFxFm-lJfnqeFcXNEZmuOUnVe8iUYREjtYYyrcI6YNklbxIGW5bw4obQBY1Tch3zJUENXCdRPJ8zrJ-TS3ZznRVR2T05zk_1fivjiOmbRFtf42C_V0tcXHk_2rwXBnDFZPWrmiH3GqEmqEd5_ZbXwKZI-dfK7So8ttmCwCqAiZptdOEGWKu2fVPLov86y0TNpJhts2kxMJ3maPu3QKyJ2JUutVQgkDMZhKDlKk0RXCfULlqUbgRJKlZhxVU8Y5NUZc549kZnDMNqQ3wVsnqyp3zbbWjRV4O26E2wB1Z_D6zorZJ4drk30mA_CeA4MIjpLWjl4ZXaetczx-4ft2qz1qI7G5ekKyB-DVwiL7JoPeNODpj0djCBmC_mkZGgg87LqZeBQhtCvWyaNWiGW6e8Up7Bi7CoSLxcMJrizIpRsUAtXFwEHikQ-PkOr_-RZxawjhCqGJZ8lcgd61fb79epg92u0g5bnfI1mKbX4mwD26ffNzXflywXhaVNZ_7SsxvzsW_v9N2r5y_ekmevX51fvH337OKX16_ASHoCODSIzHXlDphO8DjCYiovTzhK4xp8JawlA3N5zuEzX6cs-gugCk91336lfz-si-cW51wnznzu2vtVKPjWXCcoO87R9m1F9esCnJUlRH6ROpyFof8Wr9CGk3WR_ChEV4LsMDwru7L1kuZxKaQGQ_8me02fvs5Z-q_nNMWUzT2CP_FRCB9C_NCHD338MIAP8Fwn7jz56fGjaRbdfHz8KKcRKsiYuPAMXCLoRZzKz5_I40ddpT5HpLvRpY_wQvSeyqnHpNPB2QnO3jlcIm3trjW0HxVcIpThmPTd_ANcMFjNq_CsB89gRLVrdUw8AWqTKz-rXDB7_PgRXCIj1YfEG4phYs5rPYOLo-v4fQEoFnFMfvCHQdQbwgNcIqi3RFFhwA-2GQjcCqahP5yN-j_tw1CFyhSPBBItvibLg6uiVXlM6LQEG8qZmGkOCHruX-EzKPWYhD386FxcomHb9BaPifiIhvU_f3RcMPzJ5sE_5QMctcr--LwxBAeVnz1P9rkjPhOcfAI54gHzTNhhlF5NWUK5clFcXOYJBS2PxYVcJ2cKGcwlLoQOmfP5BC8SbzzNCO-a21GaXwMSpRF9obcO7VnQZbJeKJi8AQYzws09RtdCRKpHUqpeZuArBKDH2xpoMkY1TFPi2fUjxw4wRX6HgWxVGEjqBTwmL0V8W1bqMztEgvNaY-w0uSoXUT2Ep84mxBbfJoSAXCKQtujQOH_G56UOweugVTpcXHtMhUk5xNDhKjpM9I7XZuJUpL4qsArQNy2EpUAd2tyN7okvQZSdcta9JvH199b1z6Grb13PCuma4OENk8e8uCwV7I4M9humgFGD_vDzZxjUZxAOcscEfiMLvTDckwVL25tnGDYLqd_GgrgFqGeoqE3zHOGwmQv5TZk7uMAbnDPRT6gKL6bcqCN1VS-JhVrYNUHVZKHv5lhhgfVdi-rt79svzVC06-JmX-0E2XqLvr_ktOC17_evgbC0gsPTzTItJI62GJioSGoTjsn4psYYZJDy_y6gilxcUyEyT7ZzyDpLKZqM5IuR-kI2G1gcg2--xgSDU9X0p5CZe_OyMcg8D-tdoQZjv6nxQ-VVpYbC1GJHUb0Oai2wyowrpbOgFhwaOvB2Kn67SsRWkNerr5fN8g3Mp_8Dc8MxSQ';
					$theme_options['overlay']	= 'eNrdPWtz20aSn89V_g-zTG1VdCtQePEZWbta25dNVWL7LLlyW1cu1pAYkohAXDALgFIUxz_o_sb9suueFwYgXDDRtuhIl8QWBfT0dPf09Gt6GDp1fW_6IZ9Opr38KowXSZRkve_y6Wja-8a2gyH18LfhtBfR22Rb4C_-tHcTBgw_OuNpb7mNohk-mLGIbVhcXOS97-jUmX4Ip7YYumY0YID1IwxcMLyrKJnTaDani6tVlmzjXDDhR0jEYNoLN3TFUdvTnqSDPwoD4yHgzFjKaGE8A0rSJA-LMImNpw78pEVBF2ukzHgBTOThb-ZMMHmF-yX_R1ANE4ZxzLLHRDSsaJSg4MPNykQ-Lp8DibPFNi-SjQngwhIxYBbWaJng_BQp-sA5WNJNGN1Kdt7Nt3Gx5WO8aQ9Fs02tEsIFkEu6Tjb0mHwPCK_hZ07j3Mph7qWk-JpmIRVMjlBAq21EOTcOMFuwXwuryGDMMslMGoE3JM1S0lwwkp0BH-VcMHdhzKw1C1frQr5zBwpjxIqCZVae0kUYc7HAXDC7SZKTgM7pUgmERpGFpAr15kjFkvmCEimRVZKsXCImdMbmlFxcWSbWgC3pNir0Ouj3lsG5z7ceXCcKFc9cMFpcJ9dMEzhic2rz3elcMO1rZ4bbDJjSizbZWTOAu6BhRtuXDIg6hwWJjsk_WHTNinBxx6IBlqGk9RMXzLfbF8z_jAWzPW_u0-41QUG5j01QXodm-_bhBOU9OkF1aJR3QI3yH5ug3A6N8g6oUYNHXCco-48R1PCxCarT-x5IUK6ILP-_WHL3YOqUb-d_iKD2CehASts0ZdmC5qxNt_wO3XLapQZMOP1Bd2zXqV0LeAMBX4fQ9giCD1witT9cIgxuF5XDE8IVKx6NWfc6hDQ-zD6EsfNtUSSxFtLwAQmplV-nmytAL7P-WREW-PTr8TX4TFc1vpOl5ZxmlpmYAwOZ0hEFMJuvZloLgP6AZlerjN2qjEzAdNcLJjBuXRTp9ORknoXXSUz7xRrEWTDI_WFU0V8kG_XKCmhBT25SS9qlEw6aq9dcJxxrfrKE7L6ABUQe5qv-L-lqv5IEiCpOrPL3z69N8O0hM9X6VlFZ60dDSLh6pSjh6c06LMRyuRUQXqqYVfAFgQf_cMpGEnZN4yBi2SxcXCDlFCj7wGGjcJ7R7FaOROGFS7FaE_2Sb056w_Jkw1QCvqRkSS2aZcmNFSQ3cZmYiyFoQ2CqXFxl9dcLeET439Z8O59HTKmEGlGbW_6K9JJcIrRAsFsuINdr4Gi2iJKcfTFffpWvbXqvXFy59g5Xkmxz3QU7Teuu13JexJV9Vi9Tun4NsEFFHDby5kKd1MzSXQHYdhPPytImWsvZUGueuZMyRq_SJIxVCdRxhflxXCdtgFZZWjPgkftcIknrBmSHMbcCVmMLVzaD6b61j13PP_YGx3Z_Mj5SopMDO_aVXwOq4XcdjZ_Af-5gXDA_--7gSGmJHByxZcExiEUHrKfbiCxcIprnzxCGmyq6KHpnp1F4dhrqV1XdiJIFRTtjpWEMoFwn4RlwRS6zcLtJ18fkxyRcJ-fxChxNfkye0ygEIx-H4CDeXZyeIN4u3EW4AUvEkZKf4JFFLmhBxn3bho8O_uyTC7DP9JY8__H1xcsXAuXJNjqriZN7XDDNrYMy_O9iY-XJAhyXhWW6nBRJEhVh-gxMaU_9MlNm9FlvnhSoEe9xHGgs4T7zWe_7l5fknJy_efP6h1eXP718dfmnHsnXNIVX-b-2NGM9guif9bZZNP2z6_3----991XqOhTUb4Bp0U1EhyTVtRNWvBzATZaGusPBDe7fwam579O7oVNfwJQsI3KNvtDX4SaRO4j_27edI2H9TOl17FDHXDB7kGkuSmdB07CADflbW-7mj9oj7cFn1AVcXNuduN3pCNd3Jbk_KvX1sD5kHy7tte8O2r9UdGgsgkW23cwfYAK8l_I5HWmeM_l05RuOhxBK3Jk9aAleh-xGQqOj1N6_3NaKIFSX4UCZYCH57abdBOPRmrE-TRFC3f4M7CPtDTQBeGpb4pGiAdclKaXB9axAQHDPNFso4_-cFmyVZLfkPFusw2uWT8nOiIKu1AgfjwFXNWCMbTUwWOKCe-9wGbJAkfkGnuakfE7AybBMzjU2htNtsU4yNR0I8Jw_qJPnqZPoWUUTJmN9hibetkvdrcDUJT7SEvfcYx9l7h-pxQIPgYofzdT4h3KO_Mn-y_Nw_jyF1FwwZDtrl0e1MIJmQMIao9szXDB-Sr1KittUkamFo17JQAzm-bsIEKQZwJfd1h7s0SZ5MCU7d9hh6Eef5SNt4SBazdRISIl3BtApb1wwgckqasbzUjAKFsSc_Hf__iM5pMHiS95PBU-yn-RrTiozUq41G_pr1Th4rlKTHNTg6namelnmU0fmuRWbMhNgcvTIVmajMrqrcoTp5C5wW_rnOsfiP0j_hkdaVcTSalr2XFzh0paYS8CffhRcXNRkVGVWigqZZWCL17MwTkVWjUMvYSOTn5MsIJdrFpOXGGr3-8rSiBG4VVQZUbiAf4SwB5MbSPpi8jPD7ZiSfybbv6oNI0SUF7dlNUL4i4WFRg0S-yqkzt4GsKKna_fs2784R2NIBR3XI_5gSE5P4OHp2jsL42XytyDZ0DCO6YahnsE776xXXXWV-WvEIxsR-2eQpkbE9f99BKP8s9MgvFb5KS9LnZEyYRV1mHSdxEzkqadcJ1wwLmYa7c4E6SCthg6OO6mRhSWkWVsBE-GQvRw8w5WqgeDk3K-iYAxqBUJLEL3LRp2LdZLzoMxKTFbE30-fNCCWe7UHb_8N5f4KFBKSMAeWXWDiUucvB2c_xORdDBs3IBcFxCA5vBucEcBbCqyJt-JGGPvRpIM3cjdzWzD_1ib4TM7egKKCGYpAmedg5wuTsf_cYlUjFIwtlw18uU18rTMmV230ZZxxO5BbCdYBP4-771lB3rJ8GxXkdYx-zGTvAjQ35-y9gU_YQ9XMody7yOiM7we9rca4rcD3xd18VDYRgp9dJrAP_wPkRKagVGqbj8YTx97Vl-qc0h6iHZLbSpYNu-vVxhasbVUXM-qmndrlD0a7oHeF-p5zpIZWXcldk3l-64h6gdCWc4LtAf8zOB4OYeLRkYxB0FHkLFFB6NpZXCcblsSRPhwReNtKVhhKb9iKXCIUN-QZ7zeVPtfdGd5SzUJAsN8I_PgqXCfO8H6TV9UZ2pX-6zDHFFsLFsxqFNiMLgoM57FIWeqIL0raXFxcIl4bcEPSUM6Bmh1kSYqnLt2reIg6xF01nI4jxq7Cw2ecL4-WE3vid6-dFFX7clRSWVxckGbw7gWZGMPuK4e9qzRr69JskaT3cQZpNEm7XqlhwtjlLKUZLbQKa0PslDZJOwJ15P3Qu7OGX707C8XVoCkz5-H1zesMp4Vk9_GR7D0-kv3HR_Lg8ZE8fHwkjx4fyePHR_LkAZPstrgS--HS7HAvnIA_nS0KOptcJ792tSOhZ6436LT37mDuJdLdxZotrizRXCJgJZ0dPINqB09BV11NSfyUqtqWwVfC3uFKl-t8GPMzI2ss0SXbjKQy04egjWQMgsqMEUogQghcMIZGxVqdAtUQ5tu5xumBEH6iVzAwJucpT_VwNQgvrr27IJB9epDOQzavD1pq2GTLpW7aGEuE5wqhWt32sRgWy2DoGy1-vPMowbvaXDDHO6BA-WGj5bKRQfz40oBZ70IUUJjlhWJmp3kKRvkzf-araLkC3dXrxDdLDfgryul-Gj60nLwaMx3VXCIs0OAWDVplChDejP-rTxIqA0yxohXhCQEkMEqr7YYBbaKdeAdoRuWzHqhT534UnGeEg-V4SXUPRFVk3eU-oT1N61E9O7YbQB-IMcCuyPBXcfB-9xVj2_E8vHYoZVVlqruhSWt5eiua6XRbhA2TPVePyf_-D3FtZ0JOKVlnbPlM9NkBXCI8lHrfO9O_ck_x_vSEnvXJOfgEPjxHf8Oyaxb0nz5BUDEthg_vdWtnnRJ9OqL8_5BXMcP4zg439yBHlGF8r5vmkDUUjBbmQLJY_CjchIVZPPAc8VoW92f5OrkBwW_4pYGYH_eo0i76S44JW1I2EDFoxw38vX15_oL89PrtS_k7B1QtNiN9eKCqGfgavbgwqbJ-ok653PK9wsDva4M6WnplFTU8zKmwhmdu8vzA44IuZqILFJijSLUKYBDpBT5cItjMoraBKQ1QFAqIc17XdGVoyGI6j1igT25hqUWPi1xc93P9C25wWqipZGNOyHIlEyFmqRHPxW85XzUMVcJcXM_Dp_YxfBHbFT6-kB-xpUmEi6KTB8d_FN5rhxMcjvUoWj9B2YEElFwispJV_SYYYK0C0zSjEIwJ5ozKdbtLvOpRm6DaZb8rQr5UXQvSIMhmmX-UcUSFi2bR2jWouljr7-tcIq3PsitObJpPk6xYJlGYzNIs-YUtillcMMBhlJsWc2LC4bbS5_JGAxwa3xKK24KMRcBaYJJUQsiXxpaCNXgrHpI3gph8F7Eapnb3hPdAl3sb1W0XurQVmFwwqdPVZsxIujRz-ksY0qWSC0--5GUo_B4U1YLh7FwwGZx5yJlohSCvaJns1UfcWyaJdlBkkhsWXFxJs92SQU5kAnlX6mjz1DEG95rSgG8ToeG0FhJ9DGG19xEL7DJ1bHx4gejUGs_6OxNqW8lDQzYLhLfUS6AuYbh7CQPGvEgWRXkIezhReNNa28PXlIa3r2qoXtTDy2Ok5JEXDGxkDrEj208miyhMu7YMb_W35klytaHZVbdg_L0EY3jvwwpFXyNb0IjFAe3eM76WiAndKZUSsksqg33V5UdZ0jq8ZPTFwQ1NLVxcV7anbFwig8RuI4uYKX6bULtoZJxW87hmsKrd7rgC1hjODmQ0y4MZuwIfxqsIIJOU38TTI1SYMulcMFYFNqPymi5BBq3OG92WgGh22CUGw0lPdPc7o5sZhPMZrSx9LsNB01tPWqErFvniKoxEKIRCbBtxH9dRgUu2SYvb-72C6gr7A2HqUtxH2c9p7yMdxH0eBJCQ5-SHeJl8gZAOvP8OKTX5fRLItKnX8o5cJ9drS9RRVFudPuQXI1r03MBZ13R0VyzLksy3_dk8XFzdo2RcJ9N61-Bdt6LVzv6004YdFoxiXDA8XCIv3759_VYZcg0IkWy43ZT9uBDGXFyuw5ykIGSyobdkTa8ZmTMWk01yDUlEkpGARQxi-j75OyP5FrL1XCIh_GyF3OJRRp6yCNhZ9RW1ejIRrJs5rH6F8_0RtyNhbivlCvWAa676fjHeLFZ_7L66XCLpq47wOMl4T6nQdgdbq72zV0mxhtUgS5QrbzM9Tc8ukiy7PSbzbUFi-R4yZVjEQK6hSKuwDpj3yZuIwZYlRXZL6IqGMbkJizVBDVwnQbhcXDKsn5MrdnuTZEHePz1Jz3RvexgwdWVp55shzPdyiSvvXCfle25cMDdMVL-qGfKgEWqGepTWr5ONTIqkf61cXOPCY5sdCKwC6KjZROeXwEq1zSthBv03ScJrJtlil02Dgfk8Rdu_A2JMxK5VqaUCgZyJIAQtV66LOL5y0bx0w0mSsQrLrsMFm8Uyc8azN7pgGFZr4quQ1ZM96dvuQou-GrRFbYI9sLp7YEVvFYWLq72RevtJXDDHgUGM70ArDq_k1rtZWGb_uFGbNRbdKl2SqoC4NYg0S4LtorBSwKS2gw7EXFw-j4gELXReVr0M5JsQ8mXTrF4z3DYuKuUZvHGLilRkQFOYGDEqFqi5i8AjBQI_3-E9Q_LcXDBWEUIVw7rYRGLHutX2-21sYbersMNGp3wNpuk1P9vA9un3Tc33OUt5YanszF87ZmM-9u2dvXv14uVb8vz1q4vLt--eX_7w-hUYSYcD-xqRvhfdA9MJHodbTOnlSYHSuAFfCWvJwFxcXhTwudjGLPgTv86i-vYr_ft-XTx3OD9-5nPf3q9Cwdc-QWk5R9u3FdWtC3CR5xD5BfJwFob-LdygDVwn2yz6losuB9lheJb3ReslTcOcSw2G_lX0mj57nbL4Lxc0xpTNPoY_4bEPH3z8MIQPQ_wwgg_wXCfsHX339Mk8CW4_PH2S0lwwFWRKbHgGEfQqjMXnj-Tpk75Un2PSL3XpA7zgvadi6inp9XB2grP3jklXu2sN7QeJCGU4JUM7_RVcMIzmVXg2gGcwotq1OiUOBzXJFZ9lgD19-gSRkepD4oz5MD7njZrBxtF1_C4H5Is4Jd-4Yy8YjOEB4dQboqgw4Hq7DHh2BdPYHS8mw-_2YahCZYxHApESX5PlwVVRqjwldJ6DDS0Yn2kJCAb2n-EzKPWU-AP8aF2hYSt7i6eEf0TD-l_fWlwwflQ--Kd4gKM2yW-fNobgoPyT50k-dcRcJ4KTjyBHPGBecDuM0qspiy9WLgjzNKKg5SG_8GTNIYO5woVQIXO6nOH95dLTTPBSuxmluTUgXhpR94jr0I4BnUfblYRJG2AwIywvUtoGXCJSPZKS9TINXyFcMD3ezkCdMcphihLHrB9ZZoDJ8zsMZKvCQFIv4TH5ice3eaU-01wiEpzXGGOmyVW58OohPLXKEJt_bREC8kDaoEPh_B6f5yoEr4NW6bDNMRUmxRBNhy3p0NE7XpsJY576ysDKQ9-04pYCdai8kj3g36soOuWMe038G_WN659jW132XmTCNcHDWyaOeXFZKtgtEew3TAGjRsPxp88wqs_AHWTLBG4jCwPf35MFQ9ubZxg3C2nYxQK_BahmqKhN8xz-uJkL8eWbLVxc4A3OBe9cJ5SFF11uVJG6rJeEXFwtzJqgbLJQd3OMsMD4-kb59pfdl3oo2nV-s692gmy8Rd-fFzQrav_LgBoIiys4HNUs00HiZIeBmYykynBMxDc1xiCDFP_DAlnkmnOROaKdQ9RZct5kJF5M5He8VYCBQF75Fl-EpR7z0_Hya1QwZpW9gOUc8lwiZFnpsVWmz2_KiUZcIv3cr3eR6qmGTY1cIjIPyxUUplwiLUX4OqihEDKTrpTavFowqenA26z4tS8B2yQz9Q23SVrCfPw_47ZdKw';
					$theme_options['infostack']	= 'eNrdPWtz20aS313l_zDL1FZFdQKFF5-Rtat1fNlUrR9nyZXbukqxhsSQRAQCOGAoWXH8g_Zv7C-77nlhXDCSEOWIjnSxZYGDnpnunp5-TQ9Dx34YjD-V49G4U17F6SxLsqLzXTkejDvfuG7UpwF-6o87Cb3N1hw_hOPOTRwxfPSG4858nSQTbJiwhK1YysvOd3TsjT_FY1d2XTIaMRj1M3SAcRdJNqXJZEpnV4tcIlunEcIPEIneuBOv6EIM7Y47Cg_RFEdWI4xZsJxRbrUBJnlWxjzOUqvVg9-UczpbXCJm1gsgoox_tWeCyWvUz8V_EmuYME5TVjwlpGFFkwwZH68W9uDDqh1QnMzWJc9WNoAPS8SAWFijeYbzU8Tok6BgTldxcqvI-TBdp3wt-gTjDrJmnTsVhA8gl3SZregx-QEGvIbfJU1Lp4S55wrja1rEVBI5QAYt1gkV1HhALGcfucML6DPPChtHoA1RczQ3XDBlr1wnenlAXZwyZ8nixZKrd35Pj5gwzlnhlDmdxalgC3Rwt3FyFNEpnWuG0CRxEFUp3mJQuWShxERxZJFli4RJmXEFJleOPWrE5nSdcLMO5r1jUR6KrVwnkELBs4CW2TUzCA7YlLpid3qA-9Kb4DYDosyijTbWDOAuaFxc0N1LBkidw4Ikx-TvLLlmPJ7dsWgwSl_hes8FC93dCxZ-wYK5QTANafuaIKP8p8aooEWyQ_dwjAqeHKNaJCo4oESFT41RfotEBQeUqN6TY5T7xzCq_9QY1Wp9D8QoX3qW_180uX8wcSrX0z-EUfs4dMCldZ6zYkZLtku2whbZ8nZzDYjwur12365VumbwBhy-Fqbt4QQfhGt_hBu8m1WeCAgXjD8ZtR60MGl4mH0IfadrzrPUMKn_iJi0k16vnSoYXkX9Ex5zbP16dPW-0FQN7yRpPqWFYwfmQEChZUQDTKaLiZECwD-ixdWiYLc6XCKTMO35ghH0W3Kej09OpkV8naW0y5fATs4g9odevDvLVvqVE1FOT25yR-mlEwFa6tdcJ2LU8mQO0T2HBUQapovuL_liv5QEsCrNnOrzl-cmxPZQkWpzq-io9bPFJFxcvYqV0HqzjLlcXC6_BlwiUhWT2nhRFMB_ArOBgl3SNEpYMYlniDkFzD4J2CSeFrS4VT2RefFcXK7WyLwUm5PesDJbMR2AzymZU4cWRXbjRNlNWgXmsgvqEJiq1FH99QyaiPjXma6n04RpkdA9GnOrj4gv4bEDjF0LBvnBFoomsyQr2e-mK6zTtc4flCrf3aBKoW2vuyRn27qbtZzytLbPmmlKP2xcMG4REY8NgqkUXCc9szJXXDC2XqWTKrWJ2nLSN5Jn76SC0as8i1OdAvV8qX780S5Ap0qtWfBoCMpldjPhWT5FGz8de4qRsqVNryBWFlSDWFxc7wKQ-NY99oPwOOgdu93R8EgzVHVs2W1hA6gxvu-Z8Qn89Xs9-N31e0dadlTnhM25GEHKDmB1uk7ILKFl-QJhhAKjM945O03is9PYvKpLTJLNKGofXCePU1wwPYnPgCpyWcTrVb48Jv_ISnKeLsD8lMfkJU1iUP1pDGbjw8XpCY7bNjaPV6CfxKCvocUhF5STYdd14dHD3105xsk6OWvwTxgCQ57fd7-QPLaicVwiUXiFj2NySsmyYPMXHfzIs3GczrO_so90lVwnDA0B_nTOmq2nXCf07G6CV9k0hi0rpgNmwWyeH5Cw11wng-HIcytq_4evnDKbgS12MPNYEp5lCY_zF2AdOvrDRFuGF51pxlHIf65zqWW_hFtgdmwVHA69iuauXDBRqzoIDWqg7rC3_Ye3t3puMLb-g1lbdDJmMFwnK4hi8O-0vbg91d4Vf7qudyS1sc2-um6osRk3v4F7lHE3smdG85iDLvh1VzAZDna7_r3DJCqExGvO_VGxeIAJK_dwcbh7dxTxBaFljXWoLqJZsV5NH2FEvpfweS1xpzc6THAeWBy8jtmNgkYbrR04a1trhKBX6A20EpacX692K2E867PWZ5tz0lRAPffI2AODXDAeI1fjKNaA4VGY0uh6whEQPANazLT6f0k5W2TFLTkvZsv4mpVjstGD04XuEeK55KIBjM62AQZVzIUdjecxizSa76C1JFU7ATPDCjXX0OpO13yZFXo6YOC5aGiiF-ij8TrjvaBvTvXka5vtzfDIAmlyfGA4HvjHIfI8PNKLBSYCBT-Z6P6P5WD73gYsCHD-ModYBXg72c2PurpGNaBgrd67QxJxbL7I-G2u0TTM0a-USwjz_E26CEoN4Mt2bQ_6aJU9mhyi329R9IP7qynfxT-tamoguSRKFehYVKTAZDUxE4EyKAVnXSSC6wfInSAO3VxcUqNKW77OdCosFpKyoh9cJ9sOeUE0Slj6q9uJLqiRoSMG2zU9MpFgqvfA1aqi1nu3Uhltg9wVavresfwLoWb_yMiGXFxLg8ieS1opD5vzovWzJKHBoDqlgd9QqyUDHbw0ITayQLRM4jSXAT-OeQlbmvyUFRG5XFyylLxCr7vb1TpH9sBNozOc0hj8PYbdmN1A5JmSnxhuzJz8M1v_RW8diULJbxPtDWDgVoLyu6qDmFBSUW8tp84rbIAMNkEoWM2GHfFHjfEwszTZlddEOIOiTo1kqUqDwZqcRvG1ji7lgI5IsZ0R-41squJQmWVag6JyVpGMP09PXDBe_7s5qNozXDC7DM7eAQ9hxyTA5ykoI356Ao2ny97Zf60x5EcrfMHpfA7tPTXkTmL4jdSxg_7vI0bIbOlkmDW7N0E_ME7es3KdcPI2Rf1qKLqAhSwFRe_gCSuNmkT524haFkxKGAgFBu9TjgE_SOqLzg-vLsn5u3dvf3xz-frVm8s_dYiQR6AjAWtNyiXN4UP5v2sQng4Rm_uFlV8jmFwweNGBbTj-sx_89ttvMspHNKQTNENsJvkSpMSI6BDzIWAU0nYeik6aewh-dpklCflPIIaMiVfPTmyuaH1OvS1CI-kqwdeeWbZ2RWP3-Bhqbts8bbm5wSboXT5w4B3prnWVe9dkQbizRzNp56o5QR2Anu4d9_sw8eBIGWdUqCXLtHe29JbZimVpYo4x5Li7sjnoY67YglwilINuWyEqQ5Vh8je670j0ICCNUwR-eikFr__FUZ3XVsPZFhcbX8Bm245R0N3XYBM64-jn4s7eEcqhP70dfIs_Xc2Csh0VWY5cJyTt63iIEP2u9EbLcWBbTP4FZ8GD-cgdhe2rp1h1jwXZDt6-ICOr20OFd3elLV2TtuRZ_hDnhVZBsx9UEibVXclyWlCe6bJZo4q9SisZU6CPpx97JVX_q1dSIbu2SMrEe3w17iYW2IGy__RQDp4eyuHTQ7n39FDuPz2UB08P5eHTQ3n0iFH2d5gS9_Hi7AkrnIE9ncw4nUyzj22lQ2iZm8U0u-tsMPqSAe9syWZXjoy1nay12qZXr7bhdNFWQCQOcOrFEmIl3A2qTP4qhD4_MbLEnFW2Lkiu8g3gtJGCgVNZMEIJeAgRwNCEL_UBSWPAcj01YwbAhNf0Cjqm5DwXwR6uBlZmJOTDBYH4M4CAHuJ5cwbRGE2VR1aFI2rAcz2gXt3dfdEtVs7QN4b9eD9RgbeV7A03QAHzw3rL1SG__PV7HWazC5FBcVFyTcxGoRP0Clwn4STU3nINuq3gSmyWBvBX5NPDFEMYPgUNYlryRZiiwS0a7eQpQAQT8cck3GsdbLaiFhEBAQQwWqrdLR12sXYUHKBwVMz6kDWjDy7gXCJcIuzNh3NqygPqLGtP-Enp2bYe9cNsdwvoI1EGWMEYf5Rn0ndfB3a9IMDTI8WrOlEtvPIqBZvlt7LizVQMuDDZS91M_v0v4rveqCpeEwVkMBAe3_zcOTMfhaX4GavVuuQcbILoXqK9YcU1i7rPnyGonBbdB5Nr3sDEHFlo-98Xecw4vbP8yz_IGV6cPuimOWQOBb2FKaAsFz-JVzG3kweBXCdfq_T-RBSqAk9EgX-6Xk2rU0e0l2IkrNZYgcdgDDfQ9_7V-ffk9dv3r9RnAairTwbm-EBnM_A1WnGpUlX-RB89-dV7PYK4Ww3i6JiV1dgIN6dGGh6EqROEQDCaT2R5IxBHEWvtwOCgF9hEsM5DbwObGyAoFAYuRV7TV64hS-k0YZE544SlluUfat3PzQfc4JTrqVTNSsxKzRPJZiURL-WnUqwauipxaeYRU4fovsjtCo_fq0es9pHuoixywf6fpfXaoAS7Yz6KNs9QNiBhSOlZqbz-NhggrQazbUbJGBvMG1Trdhd7ddMuRu3m_SYLxVK1LcgWRm7n-WflR9So2M5atwHVZGvzfZOlzVk22YkF7nlW8HmWxNkkL7Jf2IxPXCJcMI6T0taYIxsOt5U5qLZqw1D5VlBCFxQsAdJcIhulCkK9tLYUrMF72UjeSWTKzYF1N727R6JAuNrbKG6b0JWuwFwwSB-Cbh8ZUVdqznxhQj7XfBHBl7q4hN9ZoosVvA0gi7JcMCmTtQHkDa2CvWaPB4skUQ_KSHLFoiultndEkCMVQN4VOrpcInRMwbzmNBLbREo4bbhEn2NY7X3YArtMH14fniEmtMbigtaA2tX8MJDbGVwi6s0VUBsz_L2YAX2-z2a8OoY9HCuCcaPO4mtyI9hXNHSZ5uH5MdD8KDkDHVmC78j248ksifO2LSOq4J1pll2taHHVzphwL8ZY1vuwTDFXvmY0YWlE2_dMaDhiQ7dypYJs40pvX3H5h0ppHZ4z5pLfiuYOrivbkzeJhWK7ksWRKX7zz27WKD-tYXFtZ9WY3WENbKs721PerHBm3Bp8nC4ShvfPxK0500O7KaMWYJ1gszKv-Rx4sNN4o9mSENsNdjWCZaRHpjCc0dUE3PmC1pa-VO6gba1HO6FrGvniKk6kK4RM3NXjIa6OApVslfPbh70u6kv9A27qXFxe1djPaO_DHRz7PIogIC_Jj-k8-x1MOvD-OyTX1Hc_ING2XFyrm5dCrh2ZR9FlfeaQX_bYIefWmE1JR3PFilwiK0I3nEzjxQNydjRu1izedYNZ7-z7nTZskGAlA6CJvHr__u17rcgNIHiy8XplYAfgxlxcLuOS5MBksqK3ZEmvGZkylpJVdg1BRFaQiCUMfPou-Rsj5RqidZ4RcbZCbvEoo8xZAuQsuhpbM1m9GBi1i3mF892ZO-o9fO4I5nZyIVCPOOdqbv3ifV_943b19cFQl0inWSHKWqW0Q1wnrHZ9k_ElrAaZI19lpWt-dpEVxe0xma45SdV7iJRhESO1hjKswjxg2SXvEgZblvDiltAFjVNyE_MlQQlcJ1E8nzPMn5MrdnuTFVHZPT3Jz_R-K-OI6ds8G9_iYL9XS1xcez-q3gsFuGIy-1WPkHtboSYoR3nzptXAxkjZ19oNXCc8ttmAwCyA8Zrt4cIKWIu2fVvKwv8my0TOpJhtkmkRMJ3mqPs3QKyJ2LVOtdQgkDLphKDmKk0SXCfUJlqkbgRKyldhxXU8Y5NURc549kZnDN1qg3wdsn6yp2zbXcOirQZp0Ztgj1H9PUZFa5XEs6u9Bw3241ww9gOFmN4xrDy8UlvvZubY1etWbtZadKcySToD4jcg8lwii9Yz7uQwkt4OxhHzxTzSE3TQeDnNNFBoQ6iX22YNtsOtU15Lz-BlVBQkXlwwTnFm-aiYoBYmAo8UCPz-gFfwyEsLWHsI9RGWfJXIHevXi__XqYPVrlIPm0r9588aMNtei7MNLKD-Wdbo1zuVLBeJpTPzcunZFwOwbu_sw5vvX71cJy_fvrm4fP_h5eWPb9-AkvQEcGgGMleGO6A6weIIjamsPOHIjRuwlbCWDNTlBYdnvk5Z9FwnGCrEofT81UWCsMmeO4yfOPN5aOtXw-Brn6DsOEfbtxTVbzJwVpbg-UXqcBa6_jVeoQ5cJ-tcIvlWsK4E3qF7VnZl6SXN41JwDbr-Rdaavnibs_Q_LmiKIZt7DD_xcQgPIT704aGPDwN4gJ-4c_Td82fTLLr99PxZTiMUkDFxoQ086EWcyufP5PmzrhKfY9KtZOkTvBC1p3LqMel0cHaCs3eOSVu5a2PYT2og5OGY9N38I1wwWMWr0NaDNuhRr1odE0-A2ujKZ-Vgj58_w8FIvZF4Q9FNzHmjZ3Cxd3N8X1wwikUck2_8YRD1htBABPYWK2oE-MEmAYFbG2noD2ej_nf7EFTDMsUjgUSzb5vmwVXRojwmdFqCDuVMzDSHAXrun-EZhHpMwh4-Oleo2Kra4jERj6hY__tbB8CPqoZ_ygbstcp-vV8fgp3Ke8-T3bfHPcHJZ-AjHjDPhB5G7jWEJZQrF8VlnlCQ8ljcuXKmEMFcXOFCaJc5n0_wam9laUZ439v20vwGkEiN6Cu2TWjPgi6T9ULB5FtgMFwirG4WutZApH4kpfJlBr6GXDBavI2OJmJU3TQmnp0_cmwHU8R36MjWmYGoXkIzeS3827KWn9nBEpzX6mOHyXW-iOwhtDqViy2-TAgBhSNt4aHH_AHbS-2CN0HreLh2nxqRsovBw1V4GO8dL87EqQh9lWMVoG1aCE2BMlTdVu6J70CUlXLWzSbx7ffWncyhq-9BzwppmqDxlsljXlxcltrojnT2t0wBvQb94f1nGDRnEAZyxwT-VhJ6YbhcJwmWtG-fYbidSf02EsQ9QD1DTWy2zxEOt1MhvyhzBxV40XIm6glV4sWkG7WnrvIlsRALO1wnqIos9N0cyy2wvmpRvf1l86Xpinpd3O1rnCBbb9H2l5wWvPH1_g0QltbG8HSxTAuKow0CJsqTqtwx6d80CIMIUv7PBVSSaypY5slyDplnKUWRkXwxUt_HZgOLY_Dqq0TQOVVFf2owc5NdFgaZ9rBZFWpG7G8r_FBxVamhMLTYkVRvgloLrFwi41rqLGg4hwYPvJ-K33ASsRXE9erbZbO8gvn8fyWqQV8';
					$theme_options['rtl']	= 'eNrdPWuT20Zyn6Mq_YcxXU5ZlQUXLz692pxO53PugyVFkitJpVxcrCE5JOEFARxcMO5qT9YHny3FcfIfUhXXxbKd80XlXFylnF_C_TfpnhcGIInlyktJG72WHPTMdPf09Gt6INp3fa__OOv3-o3sKIhGcRinjfeyfqffeNu2x23q4bd2vxHS03iR4xe_3zgJxgw_Ot1-Y7IIwwE2DFjI5izKs8Z7tO_0Hwd9W3SdMTpmMOoT6Fww407DeEjDwZCOjqZpvIjGCN9BJFr9RjCnUz603W9IPHhTMDYaYcyUJYzmRhtgksRZkAdxZLQ68JPmOR3NEDPjARCRBb8zZ4LJS9RP-C-BNUwYRBFLrxLSsKJhjIwP5lNz8G7RDigORossj-cmgAtLxIBYWKNJjPNTxOgxp2BC50F4Ksn5aLiI8gXv4_UbyJpFYhUQLoA8pLN4TvfIBzDgMfzMaJRZGcw9kRgf0zSggsgOMmi6CCmnxgFic_Yot_IU-kzi1MQRaEPULMUNQNlp8V4OUBdEzJqxYDrL5TO3pUYMWZ6z1MoSOgpcIs4W6GCv42RvTId0ohhCw9BCVIV480HFkvkCE8mRaRxPQyZkxuaYHFnmqGM2oYsw1-ugn1sG5T7fehwpFDwDaBYfM41ghw2pzXenA7jPnAFuMyBKL1pvZc1cMO4BDVK6eclcMKlbsCDhHvkbFh6zPBids2gwSlviesEF8-3NC-a_xILZnjf0af2aIKPcq8Yor0ayfXt3jPKuHKNqJMrboUT5V41Rbo1EeTuUqNaVY5T9ehjVvmqMqrW-O2KUKzzL_y-a3N2ZOGWL4Wth1DYOHXBpkSQsHdGMbZItv0a2nM1cXANcIpxmq963q5WuETwBh6-GaVs4wTvh2utwgzezyuEB4ZTlV0atezVM6u5mH0Lf4Vwiz-NIM6n9BjFpI71OPVUwvIz6B3mQY-uro6v1kqaqey5JkyFNLTMwBwJSJSMKYDCcDrQUXDD-Y5oeTVN2qlwiMgFTny_oAVGzPE_6-_vDNDiOI9rMZ8DOnEHsD73y5iieq0dWmof7XCeJJdXSPofM1NN9Pmi2P4HgPof1QxKG0-ZcJ8l0u4wEcCqKreL7y6cm-O6QgWp1p6ig9YnBI1xcvIKT0HoyC3KxWm4JhGcqBqXxxmMPfnHMOhJ2RqNxyNJBMELMKWD2mMOGwTCl6ansicwLJmKxevoh35v0hGXxnKn4e0LJhFo0TeMTaxyfREVcXC66oAqBqTIV1B-PoInwf63hYjgMmZII1aMyt_yK-JI8sICxC84g11tD0WAUxhn72XT5ZboWyaVS5dorVEm0zXUX5Kxbd72WwzwqbbNqltL1K4BrRMRhHW8oxEnNLK0VgC3m0aDIbKKyHLS15Jk7KWX0KImDSGVAHVdoH7e3CdAqMmsGPNqBbBafDPI4GaKJH_YdyUjRUqdWECsDqkIsrncKSLxr77mev-e19uxmr3tDMVR2rNltfgWoMr7r6PEJ_HFbLfjZdFs3lOzIziGb5HwEwR94cLAIySikWXYTYbgCo6O8cXgQBocHgX5UlpgwHlHUPlYSRFwwuh8cAlVk-d3yxdlXZ1-ePT37jCz_lZx9cfbl8key_Prs2fI_1Rdo_nz5DXz76uwzaHlx9uzsq-U32M5bvzz7An5Cy_I70fAURv3j8k_Lbw_2EaM6rPJgDpqNo0NcMIdnfIDlH5bf4xz49Q8w3j-L1h-Xz2GGbtO2iUUc_NkUD77G2aD78n8B-Pdi0v1FeFhZKm5yNFwnnS6s7z_mcyuLR2ApLcwLZiSP4zAPkpugvBvqy0Ap7puNYZyjDH6M_WCPEG6kbzaA9D8u_3z2BVn-xNEFSr5cXP60_NNbDZLNaAIQ2W8XNGUNgrPcbCzSsI926h3v1jvur-HPZmuFD-P4yKIJ3wVoJqDp008_bXxcXCavZk_5a2A2bFwnHA5pqu4ckLqiA9eyGuock9y7oEm2xjSn59tlNf9lGmV0RUYwJUuJXFzon2micRfLLc5_N23nhlDaJgdrVIhjgL2RwTlyZ0STIKeh5MW61HRnc3zQ2k02g8u84tzrCtg9zGrZuwvW7fNDjZeIP0usQ4UxHqWL-fANDNu3Ej6nJjh1eruJ4D2Dg8cBO5HQaMmVm2dsa4WQh9Gydr4F5xfzzWoYDwSN9VnnwlT1T8u-oS2CRlwwz5qLcSRrwP5JTOn4eJAjIPgPNB0pA3Cb5mwap6fkVjqaBccs65OVHjmdqh4-Hl5OK8Dokmtg0MQ5dxKCScDGCs170JqRop2AoWGpnKtrdKeLfBanajpg4C3eUEXPU-fnZcY7dksf_YnHJturQZQBUuV4R3Pcc_d85Ll_Qy0WWAgU_HCg-r8pp98Xtl-eh_NnCUQ0wNvBZn6U1TWqAQlr9N4cuPCz9WmcnyYKTc0c9Uh6czDPL4WDINVcMD6s1_agj-bxG5NodNs1ir5zcTXl2vi7Vk11BJd4PQPt87IVmKwkZjycBqVggcfKv7u78eYQj2ZcIiiSNTCvbkoZRHOJmdNHg_KxVEeJSAZcInB0OlDVN1wi0MTQvKRPBgJM9u7YSmWUem9WLr11kJsCU9fZE38gMG3f0DJcItZUI7Ll0hZKxOQ-b31cIkioMKhMacFcJ4l4xkAXz3RAjizgLYMgSmR6XDCQhfjtc4gWn0OEyQPHbwmEfk8h_oTw8QcIqJpNpYdEb9xIKjUKrINRodMLiL6en_2LCElhIAhTCfzzFD4-gzj2GwwNf4QYDVwisuV3MN-_qa0mUM3y01DnSYSlGVkzIDHUOUoNq8NHyS5j_VXaYgWkswoCsSCtGCC3VxkPE1cDU6EbHgSCBdEEbCPoLZV4iSOZZIM1PBgHxyrkFuNZPIF3SMxcJ6KpCM5FDmsBCs6aj0VUfrAP8Orf1UHlHgPYmXd4D3gJOywkt-kQlFh-sA-NB7PW4d8uwEPj1vtBTlwnE2hvySE3EpOfCN3caf88YriMZ1aMObkLE_QBy8l9li3CnNyNUC9rih7AOmaconvwCcuYqkS564iapUxcJ6orOYQP3n9Ibt27d_c3dx5--P6dh5g6QLkEOkKw8tU8AlcGN43snZFZeMf1dH5cMNGQXCKN2AySGUiJltAucP5cMIxJVM9D3klxD8EPH8ZhSH4NxJA-cYjjesRvtUmn23Ps1RUtz6l2ha8FXaYP6_PWxqaobB4XQ9R1e6cu89dZBT3Pd_acG6prWUWfNxnquQ09qilBW84J2lww9Hprr92GiTs3pFFHBZyxWHl1M2cWz1kchfqMRIy7KQ-E6m3OphShLHT3Ul52Kg2Zu9J9Q4oIAWkQIfDVS0U47cuNBrdJRWjfwWTbJg-5XXB3QEc5-se4swsZ8UXOnnPE2wS8xgtXpaxCssdpnODpS_0q7lwisD8vKVJz0lgXyb_EMXNn0rN7fv3aSVZtXo5SRI4Lsh68fkF6RrfLCgrPy3XaOteZx8llnEUatdKuV0iYUHYZS2hKcy3CWhE7hU7ShkCdfL_pRVrtV16khexaIykD580rn9eRwwaU3auHsnf1UPavHsqtq4dy--qh3Ll6KHevHsq9Nxhld4Mpsd9cXJwdboVjsKeDUU4Hw_hRXVkSWuZqoc7mGh6MvUS4O5qx0ZElXCJtK66t5GmVK3lyOq0rTuLHPuVCDL4S9gpVOsPlQ5-_Y2TGwoTEi5QkMttcME4bSRk4lSkjlICHMAYYGuYzdaxSGTBbDPWYHjDhQ3oEHSNyqygrILcpBPUfPSAQfXoQzkM0r08uKqPJysuilEIOeEsNqFZ3c190i6Uz9LZmP159lOB11YDdFVDAfLfeclEZIH78XFyHWe9CZFCQZrlcImaliAp6-QN_4CtvuQRdV8zFN0sF-BXy6XIqKDSfvAoxNdlcIkzQ4BYdb-QpQHgD_lun50sdTLaiFuEBAQQwSqrtNR02sfbCNalbnl-ImXdU_nI5Qs6jwtakO6G6sKDMtvqUn5CgdWtSPga314C-IQoBKySDR-I0-_zbxrbjeXgDUfKqTFR9lZCW9ORUlLnpWgMbRrqtmslfXCLEe8S1nR45oGSWsslNUQUHg-Ghz8eNQ_2VW4yPD_bpYZPcAtvAh8jQ7rD0mI2b168hqJga3QidcV7BRld7Kz-gzbOZQXRu-Vh7Z6d_QXSpm2eX-RT0HIaAshCCMJgHuZlI8BzxWCb6B7wgFvjC7xFEi_mwOK9E28lHwnqPOXgPhRHv8NO43y9fLL_G-s_Pl98vX0jCeQ9VyFIckqkUBz5G0y70rEyqqNMot3iuRuB3uUE-Lb3MCi3u-5RoxKMxeajgcY7nA1GwCVRSRF95Nbgjl_--_GH5gmAx5vJbtTVMzoDgUBg74_lOV7qMLKLDkI31SSksuygmkTJwS3_BTU9zRYKsgAlYpthcIlgupeO2-JbxFUQXJsj0PHxqH90asYXh46_kR6wdEm6kKJnB_k-EVVuhBLtjnopWT1ZWIGFI4XHJbP86GCCtBLNuRsEYE8zpFEt3HntV0yZGbeb9Kgv5UtUtyBpGruf5E-lflKhYz1q7AlVla_V5laXVWVbZiUX1SZzmkzgM4kGSxp-wUT4YA3AQZqYG7ZlwuLP0MbZ5TuyaUFxcL6QsBNLGJkoFhHxY7Cr0T8-eLv97-Q3WiS9_XCLL_xJ13n8--0JuMXfdXDBqq_d46XGx0VHwVqELxYEhkjokXT8yEiGVn35bQzJRHOLhmbw1hS9MUcUPzgqQoTm45lv-iHUHWE7-HPTH92q5q70uLd5ExSjizTkbH0mFviHO7Mkw87xcMNPmAWYExjehY75phLzTitP0JIC134Y1sOdAlT7Hov_dM0QH4FiAUBt224ofGnI9Q3g1uwSqY4a7NTP-B5jx1fL57pnh9SvVGK-SH952-8bmHsMXZ58t_0Pqgp2ypKNYkuUM1GYG7iXbji2jMEjq9g0vs7fwnsWcpkf1vPG35813Umv-sHve6AtoIxqyaEzr94-vGWNC1zKngKxjTmtr5uAVGXA2fzr7fPfM0bcO5zSxcIXZluxRqbrzdS6OTPFNRJu5I524ijk2nVltk7slsLXuLiojYZU5Az271CWIpiHDO3H8Jp_upNyYXg2wSswZGdtkAmzYaNLRkAmI9Wa8GMEw3T1dhs7ofFwwHn9KS6ufSXfRtOG9jdCGaPGKwLN_Qs6go6LOhDd1vIxbrUAsm1wn-enl3mR1hU4Cb3ZcIu6HbGfNt2ESAoFT9xO_u_dU39uDhmdg6b85e_YzuLbjrblLNsrXVCDRprzLW6JcXN4tkZNRRYK6aED02CD_xpjVHYA2jaVpnPq2PxgG00vkbK9frYA877a12vEXO71YIUElFHr4Oi2fvH___t37SsdrQPB5g8VcXMN2wN15OAsyklwwk8mcnpIZPWZkyFhE5vExG5M4JWMWMohcMJrkl4xki5ThGQg_qyGneDSSJSwEcqZNha2erFxcioxaRz_C-V7XFUaY30q4UL3BOVxcfUsZ71wnq792U91j9FVhdhSnvFBWSDx0wvrZO3E-gxUhE-StqJ1NDh_EaXq6R4aLnETyOUTZsJBjuY58PII5xaxJ7oUMti3J01NCpzSIyEmQzwhKORkHkwnDnDw5YqdcJ3E6zpoH-8mh2nNZMGbqXtHKS1wnzOdymUvPe8VzrgTnTGTRytF1ay3UXDBlKane-eqYGEnbW7prhaH2CgRmEPg1q-pwfgGsxNu8t2XgfxLHPN-SjlbJNAgYDhNYwWwFxJiIHas0TQkCKRM-CmqvTFwngHxlvnnah6MkXRmWHgcjNojoXFz5MhM6Yuh_a-TLkOXTQmnwzhsWDThIi9oEW4zqbjEqWqwwGB1tPai3HQewHyjF6JxhxYGY3HpcJyPLrIc3crzGoluFWVI5E7cCkaTxeDHKrQRGUttBO2kun0d4iRYaMKuaQvJNCPlw3azeerhFlJcSOngtFgUpTwGnIDb8V0x0czOBxxMEfn6ElwHJbQNYeQnlEWb5PBQ71i1fXCdYRBZW0Ao9rGv_r1-rwKx7zM9JsCT7Y1H1X-6UsYSnog71w5ljXjXAWsDDj-786v375PbdOw8e3v_o9sPf3L0DStLhwL4eSF9eboDqBKvDNaa09CRHbpyAvYS1ZKAuH-TwOV9EbPwWDOXjUGr-4mqCX2XPZRvA821faf5XfQ6z4VRu2-JWt8q-UZaB71wnXuHc86DrL4I5anCySMN3OecyYB06aFlTFHPSJMg406DrX4vq1Zt3Exb91QMaYTBn78HfYM-HDz5-aMOHNn7owAf4GzRuvHf92jAenz6-fi2hYxSPPrGhDXzoaRCJz0_I9WtNKTx7pFlI0mN4wKtZxdR90mjg7ARnb-yRugLayrCP5UDIwz5p28kjXDAwymGhrQVt0KNcXAfbXCcOBzXRFZ-li92_fg0HI-VG4nR5Nz7niZrBxt7V8V0OyBexT952u9641YUGwrE3WFFcIsD1Vgnw7NJIXbc76rXf24agEpYRHiaEin3r9A6uihLlPqHDDDRozvhMExigZb8Dn0Go-8Rv4UfrCNVaUa3cXCf8I6rVv3_XAvAbRcM_iAbsNY9_d7E-BDtlF55cJ75ojwuCk1wnwEc8qh5xLYzcqwiLL1ZuHGRJSEHKA36HyxpCDHOEC6Ec5mQywCvGhZ3p4b1z00dzK0A8aaKu-lahHQM6CxdTCZOsgcGYsAjLbWMgUj7Mkvk0DV9CXDDt3UpHHTPKbgoTx0wuWaZ7ySM8dGPLzEBUH0Iz-ZB7t1kpc7OBJTiv0ccMlMt84dlFaLUKB5u_-ggBuRtt4KHG_Fww2zPlgFdBy3jYZp8SkaKLxsOWeGjfHS_iBBEPfqVb5aFtmnJNgTJU3Jpu8Rc2ito746YUf1W_ccWza6v72KNUmCZoPGXigBiXpTS6JVxc_TVTQK9Ou3vxGTrVGbiB3DCBu5aElu9vSYIh7etn6K5nUruOBH6vUM1QEpv1c_jd9VSIt3puoAIvbo54haJMvehEpPLTZcYk4GJhpgllqYa67WO4Bd0eSG_FawI99YiBXmVZHszjCGwuWQNhjVk2XCJcXGf9dhGD2wsWixBiGC2nIywstK4zXFygJn-B6RZK8KogyUYpZlVoNCbvzukji_MLrIsL0DceC5Uq30FpSRtpnaQU31ND8NnxaCD_OwP1dZRTbyBtmHgZGWCRmk-VhVvXJiMYMnMlZSZprjD3ZIW0rlwi7fWhiw-xFAqaXFyL41xcvNNCkgL_VIghbwnXkEY54C9-b1xcHTBlYnWcbsdWa8Pjbotf2sWv4JYoesGNtsDOAXKSkdIcpoJnYDdtzU3Z5vUck5G8KOdcIkMLz6Q0snRWfFcN_ARpbEJUsFwi3Vwin8CFHJOtlj5WsGS2eX0PhBcVZoDMX6wSaj8qMZnPryyQ3JqfFDvTyHqKh-hU8Yu6lcIP4yk63llO07zyH4FUQFhUGsNRNW9r9INR1VF5OpBhTBELCeIqb5tNIJ6OxYsXeI55yPWVIwqxRJoz4_WC4kFPvrrRBObVK8X7hDAulDW8cjD9GgvBfd3uV4u89YjtdSVbMqWRKSiM6jccd1VBDe0qk1KlzLVXicw0HnjZHF9zNGbzWO39QZwUME_-D80yM1U';
					$theme_options['landing']	= 'eNrdPWtv3EaSn8-A_0OfggVinKjha55RtOt1fNlcMJs4Z9nILQ4B0UP2zDDikDyyR7LW8A-6v3G_7Kr6QTY5JDVyNI50fmmmWd1dVV1dr66m6cL1vcXHcjFfnJRXcRpmSVacfFMupouTr2w7mlAPv00WXCcJvc12HL_4i5ObOGL40ZktTla7JAmwIWAJ27KUl1wn39CFs_gYL2zZdcNoxGDUT9ABxl1cJ9mSJsGShlfrXCLbpRHCTxGJ8eIk3tK1GNpenCg8RFMcGY0wZsFyRrnRBpjkWRnzOEuNVgd-Us5puEHMjAdARBn_05wJJm9QvxK_JNYwYZymrHhKSMOKJhkyPt6uzcFndTugGIS7kmdbE8BbnGQpC3J8CrjBdMuFgw9cXFg7BlxcgMVbZYgYRVQ_CtJWdBtcJ7eKzvfLXcp3ejDk2S63aggXQN7RTbalp-R7GPAafpY0La0SkFopUq5pEVNJ_RQ5t94lVJDpXDAXOPvALV5An1VWmMgD0YiapdkEKDtj0csBsuOUWRsWrzdcXD1zx3rEhHHOCqvMaRingl_Qwe5i8TyiSyqwRIbQJLEQVSn3YlC5lr7ERHFknWXrhElhsgUmV5Y5asRWdJfwaoGq55ZBuS_2pEAKJdJcMNpk16xCcMqW1Bbb1gHcN06A-w-IqhZtvrdmXDB3SeOC9i8ZIPUSFiQ5JX9jyTXjcXjHosEoE4XrPRfMt_sXzP-MBbM9b-nT4TVBRrlPjVHegGT79vEY5T05Rg1IlHdEifKfGqPcAYnyjihR41wnxyj7j2HU5KkxatD6HolRrnQ5_79ocrefSz1e4IHSVO6WfwifDvHngEm7PGdFSEvWXCda_oBoOf1MA1winLPxsGs3KFxcITwBf2-AaQf4wEfh2h_hBfezyhGB4prxXCej1b0BJs2Oo6yg73LHeZZWTJo8XCIm9dLrDFMFw6tsQMBjjq1fjq7xZ1qq2Z0krZa0sMyAHQgotIxogGC5DiopXDD8I1pcXK0LdqsDMgkznEeYQr8N5_liNFoW8XWW0jO-AXZyFm620Iufhdl2dJNbShWNdjnG9OXItZ35yHZHK_jK0zXiu1xcn_2Wr_fTEj56KnN_LzUBrEkzq_7eylEgmSFMyQpcIn8cmrEQm0OFqe2NokPWTwaLcO1qRkLrzUYkI2Cx3AaISGAEjfGiyINfArOpgt3QNEpYEcQh0kEBs48CNomXBS1u9cbHxac3rMy2MsE1ryCC9iMbRZmsqAXDl3VQLoFRgcBMpY7or0NoXCLiX2u5Wy4TpuVB98AFjldS7AEv9RXRJTwGXUQLbi2L7Iqlgk-u10FYECZZyR6GPEeTx-Mte2D67D36FOKmXDBIgroEoFrUJU8b262dxXT9FmCHrDhs6i2lXFzpmZXVArDdNg3qzFwnKs1gUokg7rFYbbKC0as8i1OdIXVcXKmF3HkfoFVn3gx4pJ5neVuPXDDna3Cc3IBp0YRrWsBcXF_bp67nn3rjU_vMdl5ovqmOA7vLbwG1xnedanwCf9zxGH6eueMXWkRU54StuBjBNFwnNQJCb1bPnQnI0PkuIWFCy_JbBBK6jYb85OI8iS_O4-pRU3BQOguAGcUX5Edossgl5WR2Ztvw0cGfZ-QS9Cy9Ja_-_uby9XfnIxxutEsu_otvrTILwbxYmEsrCc-yhMf5t6BcME_0l0Arv29PlhnHFfi1ScnA2vsdMD3LjsOhoRxcXHhcXNoaatiEOLZ7iA1Rj6xrFvKswJxvl1nBNHA5cqZgX1xce2TPR4AFcA3Q6Lct7tz7w20LiqOSVfFbboRPLU4290JzqzkG3KMMKpE9Ic1xPRQzulKq037HdnycKFxcCL_m3B8VaXro49jHizLtu33k38s61BxRWOy2y0cYbx4kfM5AVOXMjxNVeQYHr2N2o_rSJEGzVBnaemdrnFBiJmOtkiXzd9sBWzzRUGKJuuxxWweN7ReVdagQwPPTehzFHTBDClMaXQccAUPKaRFqY_CKcrbOilvysgg38TUrF2SvB6dr3cPHc7d1CxgdyQoYtDEXdjZexSzSaP4MrSWp2wkYHVaouWZGd7rjm6zQ0wEDX4qGNnqePhNuMt5RiYhx9XjQBTJg-lxcIHRO9F_FdRgGDAWKfxLoER7Loe69zZjn4fxlDo44sDfo5wjya58jZ_PJC60cVF9jtKb_7ctIVhGYZOuM3-Ya64pX-pFy64Bnf5UOhtIN-HDYBICS2maPJm3mTga0__T-ugv9XCdpNXp111RySZza04UozoDJKr_KnXoThSzfgKqwdkVcIuXLP4q_h_kEZ4QYWc7Y_jD1z3JJoir90PPPp0eeXs6rAkQhR1v6IWimyqdacEoQjKvbQFeeyAIGDDsbelwnkGCq99zWO6XReyifg9HdPnCvNnJO5Z9q4wnhkYtd4dKx5uBLu51rjkrlaD6-WHMRFoqVn497Vt6xvS-CRSVcMLhELQForqQ6TsGVZGCMNkGc5jKCx67vQG-RX7JcIlwi7zYsJa8x0Dg703pW9kDNoDOX0gb-LQaVk92QVzQlvzDUPjn5R7b7s9YPcv1LfltnPqTBDC1U6Qm9bUK2Q2NDOHW-YA9kug9CwWdoWVHHbo0HBmcX9KUtES5OV2DhQdfqlEeWqvIuGO88iq917C0HtEQO7cJ8oFqqIF1mjjZZKXxDK5MB-vkIuqh_nz_rGFhJwwk8_ZfzjXfxEwg7BIMOcF6OdD6CVvFwfPFDSt6nIBcRueTgB5XwbHxBYFxcMX4vbfxGmpfpfIA2cjdxOzA41jb6TMp-BlmB3ZCAPC3BsnCTsP_YgTst_CwgbLXqoMvtomtTMLVq099HmdAxpZVZu_wzqfuecfKWlbuEkzcpWk6TvEuQ3FKQ9zN8wsKpbgrV9kFCg3yDJWl6P8xgXc_B2qbDdIhOmgIEv3iXJQn5d-ATWYBQOa5H_PGETGfzes_UfG3OqfegX20rlSUczlMbW7C1VV0M7Lt26mBCc7oPe1e84cnkH3Zt2qo7Z_P83i5t_9JWkzruHCzc-HQygZmnL5Tfg9q6ZJn2gzfOJtuyLE2qQxE5bl9cIg0jiS1bU4QS2rQQ9afKqrt73XtybAhI4xSBn14Kx5l8dhTtDFWKDuUhKkfKZFvPKBhYabCAhhwjCMyq9gRwGLl0g3ek6OtZULijXCLLo-zmjnV8hEfwQ3mQzzhdnq7m6vyufwUVu-6xKN3gw4syN7o9VDB9V6rYrlLFPMsf4gzSKJ12vVrKpMorWU4LyqtQuApcMJxaM1UGQR947wvlFHMpeR6rc7NHIZWTL16ghUzrkJfAeXw19aJpXDBl9-mh7D09lP2nh_L46aE8eXooT58eyrOnh_L8EaPs9pgS-_Hi7AgrnIE9DUJOg2X24eGKktyqKCncsPDKKv8bw04rGyzfGTfLdzhdD9TuyHMzK8lCimyxwJmRK2HvUVXlz3zo8wsjG8yZZbuC5CruB9eNFAxcXMuCEUrAQ4hcMIYmfKPPpVoDlrtlNaYHTPiRXkHHlLzMRdiHq0FeUQjx318SiEQ9CO4htq_OfVqjqbLLqgRlpgZ8qQfUq9vfF51j5Qx9VbEf70Mq8KFSwNkeKGB-XFyf-aHLK6pdiAyKi5JrYvYqp6CXH_iBr33mBvRQCkJslhbwF-STKvl5KD55LWIGckeYrcEtGvXyFCC8QPyuzi0aHUy2ohYRAQGEMVqq7Y4Ofaz9nQWpzkhOYS3X1pbmvUVD7ngyfxQFqavxaraiVTVGk0_DGT8pMl2L0DzBtjtAH4kGwDrI-AOLDrtzbDueh9cNFa-aRA3wyqm1apbfynrAqjrDBsxf6Wbyv_9DUJCIOkzGg5stI8tbck7JpmCrb4VwliCdHVJ5cvFON_6IjecjevH8GRb_yenRd_i1KupsY1QdlGjjPxHpzDi9K9Mxv1f9XUQ5NfePXDAt9eORGLUciYl7K7ofWxoFXYUloCyFIIm3MTczB54jH6s8f1Bushtg_FbcGkjFyU919XymRsIKmS24C5XVBvrevn75HfnxzdvX6rtcMDSKftT4OpWBj9GES32q8rP6wMutn-sRxH1tEEurLq2c1VBN0ozjN08wmgeywBSIo4i19l5w0EtsXCJYW6OdjP0OJSuu45CVyjmUr1RAz4GGbJll4HzEgkFYPnoTc7Gj44Ur12WdXCe7Er97qjIDvBUWaX-txX0QTAqElFwineoqP5SldJmwqHJNAUdZ4qPk7GX1BRUL5Zo0VZcUy7pxXFwDuaxKAl_Jb6XqqBxOWZ1UCuzQWYrLanIHXCcXFShSd8DH78THT5-kqdyjBCEx-UXbhzd7kDC7dOPUcUIXDJDWgOmaUTLGBHOmtZzcxV7d1M-oPt7vc0vUDwwtSAfPB9jrtajoZq3dgmqztf28zdL2LPvsxPL8PCv4KkviLMiL7DcW8iAC4DgpTQ09N-FwG1en8r7cylrZ11BC9xQsAdJcIhOlGkI9NLYwrMFb2Uh-lsiU-wPrblqbzEVJeK1LUNz2oWvdhNGWPtjtHhlRV2q1eulDvtJ8EZGeun2F2kNXlzh7QAZlHlImCyHIT7SOLNs9Hu4ujavD1i2LrpSZ6AlX5ypavStOtUWcmoI5z2kktomUcNpyxT6hBj2ELbDL9In18RlSxfFYZjAYvduaHxVkN0PEDQMFNMQM9yBmQJ_vspDXp7_HY4W3aFVcXHxJbniHioYuxT0-P6aaHyVnoCNL8FXZYTwJkzgf2jLisoOFfsVWlHoOMcY_iDGVJTk2U_wq70UTlkZ0eM_4FUdM6EGu1JBDXFwZHyouf1f5s-NzZlKpVppbuK7sQN4kBorDShZHpvj2on7WKD-tZXFNX7cyu7MGWKf7PFbesw4jeuCP5z17dmPSOF1cJ4BelouLhhWa2jeaD1ww6xSikVvOV8D4Xo8BbaWE6PYS6hEMz2Be3ThgdBtAzFLQhryVygc1XYR5L3TDDFxcXsWJ9L9w5fp6DMhzfdn1DlEGKtk257cPehcV2YlKD3zjlbwGdJincAh3cOyXUVSwsiQ_pKvsdzDpyJv-mFxcU2_NQKJNuVa3WIVcXFsyaaTLCKsyBtmjR86NMduSjjaSFUVW-LYfLOP1A3J2vmhXSWKVyBBz9c6-33nKHglGxgOayOu3b9-81dajAgT3Od5tK9gp-E7vNnFJsNyabOkt2dBrRpaMpWSbXUPkkhUkYgmDQOKM_JWRclcwPJURp0fkFg9rypwlQM76TGNbTSYjBDNwrh6JlwfelSAbP3yCDOa2ciFQD5gje-gEc3WDunkZR19N9XURepoVooZWSjt0EiXRGd_AapAV8lWU1Z7nF5dZUdyekuWOk1Q9h_AcFjFSayhjOUx2lmfk54TBliW8uCV0TeOUgO3bEJRwEsWrFcMTAnLFbm-yXCIqz85H-UVVTh9HTF8T23v_hflcXC1x4_m8fi4U4JbJFF8zLB93QgUoR3kLFrdIjZGyr42rc5hU24PA1EPlqpvD-TWwFm3zGp6B_02WiURNEe6TaRCwXFzmqPv3QIyJ2LXO7zQgkDLpyaDmKqvMka9NtMgXCZSUwyNdnSBV4XrDy-mEbJ5dKtt217Cmp3TYqO4Bo6J_FOPOYiU_dFxc7zAm1F7b4LDyhE7tvpvQMkvmjRy0se5WbZV05sVtQeRFFu1CbuUwkt4RlS_minmkM2ih_bLa6Vwn34RQD7tm9brhdilvpIXwrjPKEi9cMKc4M9xU9KCFlcDLNwR-vsfrneSVAaydhOYIG75N5KZ1mzcOdqmFxb1SFRuXA1owXY_FWxmwXvzXrvsGJctFQqu-jLBxzLsIWJx48f6n716_Ja_e_HT57u37V-9-ePMT6ElHXDD71UDVjfQT0J5gdITSVIaecOTGDZhLWEsGGvOSw2e-S1n0rzCUf6GvKjSuLPht9tz5hgb74Q1gA4MvfVLUc254aNWt22ZgWJbg_MlXTc896PqXeItqnOyK5OvqyA89tPJM1pfSPC4F16Drn2VR7bdvcpb-2yVNMWqzT-FvfOrDBx8_TODDBD9M4QP8jU9efPP82TKLbj8-f5bTCAVkQWxoA1wneh2n8vNcJ_L82ZkSn1NyVsvSR3ggCmzl1AtycoKzE5z95JQM1fW2hv2oBkIeLsjEzj9cMIBRoQttY2iDHs3S3AVxBKiJrvysfOzF82c4GGk2Emcmuok5b_QMNvZuj-8KQLGIC_KVO_Oi8QwaiMDeYEWDXDDX21wnwLMbI83cWTiffHMIQQ0sUzyKSDT7ujQProoW5QWhyxJ0KGdiphUMMLb_BJ9BqBfEH-NH6woVW11AvSDiIyrW__zaAvAXdcM_ZAP22mb_vF8fgp3Ke8-T3bfHPcHJXCfgI74aXCcUehi51xIWX65cXBSXeUJBymNxx8taQhBzhQuhveZ8FeAl8drSzLH-3XTU3BaQyI7oUvY2tGNAl8lurV2HDhgMCuvrm7YxEGkehak8XQXfQFwwLd5exypoVN00Jo6Zt7JMH1OEeOjLNpmBqL6DZvKjcHHLRoqmhyU4r9HHjJSbfBFZS2i1ai9bvJsJAYUvbeChx_we20vthbdBm3jYZp8GkbJLhYet8KgceLxcJxSnXCL6VY6Vh7ZpLTQFylB9730sXiApywGNi1xc4r8UMG68zmx9oz4spGmCxlsmT5JxWRqjW9Lf75gCek1cJ7P7zzBtzyAMZM8EblwnCWPfP5AEQ9q7Z5h1M2kyRIK4-KhnaIhN9xz-rJsK-ZbRHirw0mooiiZV7qXKOGpPXaVM6qSsTpOoYhJ9DclwCxx0uv-CaQ9Kvga5sgSaYDRAVvIPL8hHqcuUP69uYoPJxlvtshEfL9fyPfpyggXE0F-fxWVQ8l149WJBV-j1wEgEfimbstilJeOo7LS-8yv8fqvRM3I_8iFaFnGZsnV2bjxF76PktOCt_7WhBcLSxhiOLkvqYJJxMN56GihfrnYIpYfVegUohLHy_4xQmbalWLS5el2e2YbKRKT25YvPdLM4_q9fk4POsaqsVN3qV8LUWSVbZxXEHURZmVW1--2a3OpJLSgqyC5b_7tFw8msMMSLvfgWnohts0C_4jfLa5hP_webpLoZ';
					$theme_options['demo2']	= 'eNrdPWtz20aSny9V-Q-zTG1VXFxcJ1B48RlZu17Hl01VYvss-XJbVy7UkBiSiEBcMAeAorWOf9D9jftl1z0vDEBcMKJtySVdZEfkoGemu6enX9MD07k78uYfivlsPiiuomSZxmk--KGYT-aD75jjMdfGb-P5IKY36a7EL_58sI9Chh-d6Xyw2sVxgA0Bi9mWJWUx-IHOnfmHaG6LrhtGQwajfoQOMA8Nr2myZEG5AXA-YcHH8qpHGg0HJitcMCgJaX5TQ8718YfDzAwYa52zOuDKwR_85trzwVwipsurqNgEi11ZpknXkPB1HacLGgcLgF_n6S4JkawJ8mo0H0RbuuYcgCFld94UhUYjkJ6zjNHSaAOGZWkRlVGaGK0O_KZlSZcbZKDxXDDJj_5pzgST18nj_wnmwoRRkrD8MSENixenKB_Rdm0OPq3aAcVguSvKdGsCuLBEDIiFNVqlOD9FjD5wClZ0G8U3crbXaZZFiZYx5M0usyoQFzpcXNJNuqVcJ-RcJxjxGn4XNCmsAiZfyUGuaR5RQeUEObTexVRLaMnel1aZQ59VmptIAnGIm6XYATg7QsAcIC9KmLVh0XpTymfuRI0Ys7JkuVVkdBklnC-AuT1025g5nuCP4gmNYwuRFRuRDytWzRe4yDVep-k6ZkJsbI7LlaVHhecVv_lK6MeWQXpjz4xrcJv0mrVoEgew3zgBqgQgTK_c7GDhYNb_iEIap1e0e-VcMOgZrEt8Qv7O4mtWRst7XTvf7l47f9S9dtDBblu5inndi4P8ch8pv7xRD7_s--OX91j51SNf3j3Kl_9I-eW6Pfxy749fo8fKrz75usf9OH6k_HJ69Jd7T_xyhb_8-Jg16hGu8f0JV7Fb3M6vY7zAT2aXh3TZ3awCHu2yjOVLWrDPcQb9XmfQGY7auFZ5Wr1cIgbRUgke4tdm2T1ux88wj5Xj3M0rhwe7a1b-PzKN7vR-diP0FVG15tX4AfEKw5wlzaKSxpJN_RzopNP1NZ1lmi1S-LQNMhqGclwwLakufNqyMNptA4MvpkBPFA9k6iQooxJneVicu82h6JYIwHG1oLllZg9AsnIljAogWKyrnA_QENL8ChM5KmIUMP1JjRn025RlNj89XeTRdZrQIc8wlWy52UKvcrhMt-qRFdKSnu4zSyrCUw5aqMenfNTidBWntIRlRRoW6-Hv2fq4vAmwKkmt6vvnXCdQ-D6UkXRzT07YgtqetoScSbh6FSuhdb-JSqak0Vww4fF9UBsvDD34T-W_OOyGJmHM8iBaXCLmFDD7wGHjaJHTXFwZCmRetLpRyTj5kEs73bNcIt0ylSBYUbKiFs3zdG-F6T6pEgeiCyormKpQiYfrJTQR_n9rsVssYqZEQvVozC2_XCK-pIwsYOxObFqvhaJgGacF-2K6_Dpdu-xOqcKsZYMqiba57oKctnXXa7kok9o-a6Z8Ua_VXDBbRMRhE28hxEnNLM0jgO22SVClidE9CsZa8sydlDN6laVRotLJjiv8KHfWBWhV-SgDHqlHFdxQIAeEuTWwBlm4sjlM97194nr-iTc6sYez6RPFOtmxZ1_5DaDG-K6jx1wn8McdjeD30B09UVJcIjvHbFXyEcSiw6hnu5gsY1oUTxGGqyq6LAfnZ3F0fhbpR3XZiNMlRT1jgesGoKfROVBFLnOwQtnmhPySFuRZsgZ7U5yQ52AKQclcJxEYibcXZ6c4bt_YZbQFTcQHJb9Ck0UuaEmmQ9uGjw7-HpIL0M_0hjz_5dXFix_FkKe7-LzBTm4BNLUO8vC_yq1VpEswXhamEQtSpmlcXEbZU1ClA_UlUGr06UAY3sE77AcSS7jpfDr46cUleUaevX796ueXl7--eHn5pwEpNjSDR8V_72jOBgSHfzrY5fH8z673xx9_DN7VsesRUL8FpkM2cThEqSmd9eTqzITqN3COPRIWrlwwE7ff79vM2z7NwyxnRWXJQrZNXdPS7TLMqxenwEewcO6pa7vOqT05VWh0GjogDszD9FONHdr4JUzMclwil-wLTR9qUL6hvPGJ-GMPXCdP9PGSZmfPlnUMsIccbR_6rG1Z6Um3qz_6nMDbdmfu6lYXWDPwqAj8gfPwzjM9n8hD1CbhMt9tFw8xJD-OhT25DGf2GdH5dAzOxq3xhWbhdcT2EhpNqfYPqn2uEIJe3niklLRgPcZoXUoaDwiNBWrzIcbaxvOf4ch-ou2FRlwwz8ircSRrwLhJTGl4HZQICAac5ktlHp7Tkq3T_IY8y5eb6JoVc3LQo6Rr1cPHw8x1A9j1DGBQziW379EqYqFC8zW0FqRqXCdghlgu55oa3emu3KS5mg4Y-Iw3NNHz1Ll_UJOE2VSfAoqn3Vxcd2swXV4b-lPqr2Q6DANmA0U_DtQID-VAvNOoNSXIdoRJ8zycv8ggfFww7gbdHKlnaVARSFijd3eUwI_b12l5kyk0NXPUI-mswTx_E76FVAT4sEdrjbhG2qYPXCdpMf68E_geXW_fkgiZCC7xEgc65wU3MJkQMxh2JDEtN6AXLHBMBYKf6-41cxt1j8_THh_s1zi0EDHLGdnv4e8wE6TKsh6Nij35aqgIFGRoy0VrS9_XdYjvKVkqQFaubgJVYLSYOzJgrqmeQIDJ3hNbaZda774UFMalh8CdGsk5EX8gjhw_0fIk1l_j0hSDSl5rUlApHHNBeOtHQUWDR3Vi5alxpYwLBpp7o1iFRwGiJYiSTMTtOOYlqAHyG6woudywhLxA7304VHpK9MCNpvKVwoT8PYIdnO4hrEzIbww3c0b-ke7-orabQKEob2KdDxL2ZmmhSozpjVsH1QGiZwPsWRhd68B0a10vMVHhibAYNnJOjMYowb0NoSqt95AVQwao2QuVhLUNa00YOlpcInKstSMVVrorcR7zwZ6vgpWkNXRcMEkLvRJSQxzrZIQGJpucrZ4OvhuoMHZgRuH1gYhINoF1Y1jyJuLxZxmPRdHwnJ1SaAJmnQ_qu0GlVjRbpXC5k0MQIJfWXSbHnTXGw-Ra0JXaRbgoWYFXAfpeZYfSRJYNevXlFANy6oAc44Fs0awQpG_SgjujViqIF9SK_3_7TcvAUv0M4Om_nG2885eww0BgHBBXMdLZKbTyh6PznxPyNoFFCclFCb5XAc9G5wTGrfH0gLZyL0zcZNZDG7mduB0YPRDCz6TsNWwwUL4xbMIFSGZpEvbvO8z3RIKw1aqFLreNLhBNuWqTL6OMK7bCSjFD-nnU_cRK8oYVu7gkr_gON8m7XDDJLTh5r-ET1r-1Uyh1DhIaZBsQSb0fprCuZ2Dxk346eFwnRQGCn1-mcUz-DfhE5iBUjusRfzQmk-nMsQ_lpT6n2oO-3lYyodqfyTe2YGOr6uP25k7tM3CTQ9DbQhzPeaK61m3jbZN5fmePZurUlnOC7gGDOjoZq1xcj3apCpYq13vjbNItS5NYHxuJcbuSeRi7bNmaXCIUN0A5r2qWToR70L0jz4eAYH8Q-PGmP3pSSK57S1Gq11fh25dcMNEOnMm_jlEwqFNgAV2WGM1gHrcSFl9k_TlaXhdwS8xUzYFcIh7maYYHU_3L-RCLI_rSL9N7KY5wJb-616QW0OOqtIP3r8rM6HZXcfxtOWtb56zLNLuLs1qj4t31KjETqq9gGc1pqeVYq2Wn0lDaLKgKgdZI-4JGOf2KNU498ji-24yq7XkLn_bLo9MqKYHz8C5B6FwwrgNl9_Gh7D0-lP3Hh_Lo8aE8fnwoTx4fytPHh_LsAaPsdpgS--Hi7HArnII9DZYlDRbp-76yLbTMzUKm7hpcJ4zEZNppw5ZXMiFmpb2VTqN6pVNJ133FW_ysrl6-wlfCPqBKXCcdfejzGyMbTDSmu5xkMu4Hp43kDJzKnBFKwEMIAYbG5UadhTUGLHYLPaYHTPiVXkHHhBhJNayVicnbCwKxqAfBPcT2-rCpMZqqDVXFLVM54DM1oFrd7r7oFktn6DvNfrxnK8HN6BoXkvtk4EPKgfW13AocsO8oKvHus6hEIHBLSYn_BSUl4teXeuh62-OKRHlRKs61VbVNA1855zXY2xZldgjftSp3Fsfcde2NZpTXIKZcJ1s1UdezO5kKEF7Af_TRTK3DLZzF3XHQ4Suy9m5kkEeJo9V0RXV5SJ2obhZ7wLEFbFKknJV7xhLZR8aMmCE8WJaZ7nNcMBuo-_3GVX-Xz8Fr3VtWpX5yb7eAPpD1wKrV6D0Lj7un7kzwp6r6rxHVX1-mZT27EcWOqihlBlQ9V63kf_-HYAHjcpejNFs3jObvyBmV50G8JhIGxXO_d4Nz_ZVbq3d40DMkz8Au8bEKtHksv2bhUFfdNpGoKu9HouJSQKCb805tVikVdAFSanRVQuTjOiRNuWuDbhMj7iyk6yh5xKkc-UIJeUa9XDByhCzE0TYqzRyG54jH8sQhKDbpHni05Vc9En4GpU9ip3IkrA_aguOi_Qeg7w20kV-hUX7ngKreaaJPNFRSBR-jMyH0rLRa6ujNrZ6rEfgLXDBAOq3KK5hWUHXS8CBQHmp4nNFlIIp2gTiKWCs_Cge9wCaClUXK3TnsgBIbLVkh3VTx0hD0X-iSLdIU3KCIMwjLafdRyTd2NHfFuqyzeFfgd0_WqYDfxELlOTa4D24NBUIKntN1pUfMErqIWajP4wFHUeAk5eyZ_oL6RUgYkiarslwiVqg1EMsqJfC5-FZwRPD8Iyr0PHxqH89ESrU7fpQfsZ5NeMmijAv7f5S7skkJdsc0HG0eIx1AwpDCoZRHG20wQFoNpm1GwRgTzJlUcnIbe3vI_iT28WXqW4wWJnav60fpzNSoaGet3YBqsrX5vMnS5iyH7MQ7FVmal6s0jtIgy9Pf2bIMQlwwjuLCDBRnJhxuY11UYVQ_ogGooLjuyVkMpIUmShWEfGhs4TGqHt5IXgtkisOBVTelTWa8RL7SJShuh9CVbsK4Tx0xt4-MqEu16inbla0UX3jMKa_MofZQhTXOAZBBmYeUiToW8pJWMW6zx50F0Kh3RVwwvWXhlTQTHYHzTMbNt0XMNo-YEzDgGQ35VhHbizY8so-oQY9hC-w0dXZ-_wzRGQUseOjNI9iKHxqynSH8xoUE6mOGexQzoM-P6bKsTqLvjxXevFH78TW54R0rGqoQ-f75MVH8KEoGOrJcMLeSHceTZRxlfVuGX_yw0K_Y0vyqnzH-UYwxzNj9MkXfMtSFX30c8TVHTOherlSQfVxcGR0rLr_ITN79c0bfK93SzMJ1ZUfyJjZQ7FeyODKNyz7WSD-tYXFNX1eb3WkNrNV9HknvWVQ_1uCjZB0zvHrOL2rqHspNmfVcMKu8opFwzlbAg07jjWZLQLQb7GoEw0jP9NUHRrcBhA85rS19Id1B01rPOqFrGvniKoqFK4RM7OpxF7eVgUq2zcqbu72h7Ar9A67qSrwW5DijfQx3cOxnYYh5WvJzskq_gEn3vP_uk2vy_SZItCnX8gowl2tLpHFUbaGubRA9OuTcGLMp6WiuWJ6nuW_7wVwiWt8hZ2fzZunkbZfm1c7-tEOWAxKM5AM0kRdv3rx6oxS5BpTvttAXQ8CNudxEBcmAyWRLb8iGXjOyYCwh2_Qagog0XCchixn49EPyN0aKHdZUp4QfKZEbPMEpMhYDOeuhwlZPVi9cXEftoh_hfF8tnXQvaV8jo-Sr-vokzXmlqxA_kBteuJyWG2APWSGhvPj1LDu_SPP85oQsdiVJ5HMIXYGroWSqiHMwz1cMyeuYwR5cImV-Q-iaRgnZR-WGoMiRMFqtGOYhyRW7wVOfYnh2mp2rDVBEIVMXyA7e5GE-lzyvPZ9Vz7lG2jKR_qqHrKNWqFwwFzZrXu6bmBhJg1e7VIcJpwMIDMu1G2sO51fAStbMC3oG_vs05emKfHlIpkHAYsEPzQ5AjInYtXpNZw0CKRNeAaqSQmdVfGUzeS6FoySdB5FECxIZytbyZ62Q9RNGaWxuG9bMwR03qnvEqGg-4mh5dfSg3nEcqJKBvcOKIy259fZLy6xqN5KzxqJblY1QKQm3AZHlabhbllYGI6ntoD0jl88jXFwzC62J1czL-CaEfNg2q9cOt0vKWr4E30SGglTmgFOUGk4jZqi5zsZjBQK_3-KtT_LcXDBWJrs-wqbcxmLHuvVLAbvEwtJbTrVZv9-AaXvMzzewqPtd25WAgmXyTo96uHHM6wJYP3j-9uWPL96Q569eXlxcvnn7_PLnVy9BSToc2NcD6fvqA1CdWyY0pjS7pERu7MF4wVoyUJcXJXwudwkL_wRD-efqNkHtVoHfZM-tr3Kw7_5lRTUM7vJ1RcccoXScqx1bEus2GbgsCnDFxJnRzIOuf422qMPJLo-_1wUL_H1aQ1ECSrOo4Fxcg65_ETWvT19lLPnXC5pgDGWfwN_oxIcPPn4Yw4cxfpjAB_gbDZ788O03izS8-fDtN_J1XnNiQxu4tOsoEZ8_km-_GUrxOSHDSpY-wANeAyumnpPBXDBnXCc4--CE9JXdNob9IAdCHs7J2M7eA4BRRAttI2iDHvXq2TlxOKiJrvgsPd75t9_gYKTeSJwp78bn3KsZbOzdHN_lgHwR5-Q7d-qFoyk0EI69wYoaAa53SIBn10aautPlbPzDMQTVsEwwRx8r9rVpHlxcFSXKc0IXBejQkvGZVjDAyP4zfAahnhN_hB-tK1RsVY3znPCPqFj_83sLwJ9UDf8QDdhrm_7z0_oQ7FR88jzpp_b4RHDyEfiIh8xLroeRew1h8cXKhVGRxRSkXFxcXLS0FhBSXFzhQigfOVsFeJe8sjQzvDJhemluA4jnKtTthya0Y0AX8W4tYbIWGAzRqmuptjEQqZ8TyQSWhq8hgBbvoKMO4WQ3hYljJnQs08HkARc6snVmIKqX0Ex-5f5tUUuYdLAE5zX6mHFrnS88nQetVuVi89dMISB3pA081Jg_YXuhXFzwJmgdD9vsUyNSdNF42BIP7b3jHZ4o4bGodKw8tE1rcfEWD8f0Ad-IlwyIij3jthX_1ySMS6lTW128X-bCNEHjDRMHh7gstdEt4ey3TAG9JuPpp88wac7ADWTHBG4rCSPfP5IEQ9rbZ5i2M2ncRwK_m6hmqIlN-xz-tJ0K8QadDirwXumS1zXKTIjO_ylPXSYwqrN-lbSQVRbqjpDhFqhUh6-f_n74UHdFvc7vGzaOdI2naPuLkuZl49-haICwpDaGowpaelCcHRAQSE-qcseEf9MgDFwiSPGvYMis04KzzBH1HFwi8VHwoiPxYCbfyVcDBgR5Klq8uEw18-Pq6qU26LPKCkHZTb8gQZQI6Xa_WbSqnmAs0ZHWroo85CDVispQuJa88hreoMYZL8niW3Sw_jRQ7zBOswrm4_8B5C9TTQ';
					$theme_options['demo3']	= 'eNrtPWtz3EZyn-Mq_4fJulJlVQgSr32a4kVcJ_t8rtiWI0rlXFylXFyoWWB2FyYWQIBZUjyVflD-Rn5ZuueFARYLrijRIVOxLXM509Mz3dPTr-lZ0YU_Hi_e14v5YlRfpXlcXGRFNfqmXkwXo6-Y54fjEH-bLEYZvS12HH8JF6ObNGH40ZstRqtdlkXYELGMbVnO69E3dOEt3qcLVw7dMJowwPoBBsA8NLmmecxcIr4BcDFhLXAFTZdZhgeT1VwwlFwntLptLc73g0k4FjBzC8ZZV6wNuHJX49UMf_PdxWiZ0fgqrTfRcsd5kR9CCb-us2JJs2gJ8Ouq2OUJkjVFXo0Xo3RL14IDgFINF01pYjUC6RUrGeVWGzCsLOqUp0VutXrwk3JO4w0y0OpA8tO_2zPB5G3yxD-SuTBhmuesekqLhs3LCpSPdLu2kc-adlhiFO9qXmxtXDAftogBsbBHqwLnp7ii94KCFd2m2a2a-V9plVEtYciZXek0XDA-gL-hm2JLT8j3gO8aftY0r50apl6pBV_TKqWSxinyZ73LqJFPzt5xh1cwZlVU9hKBNFxcmaOZASv2JmKUB8SlOXM2LF1vuOrzxxpjxjhnlVOXNE5zwRUY4PYxchJOx7O55gfNMgeXKg-hQCp3LJQrUfu7Lop1xqTIuGIlV47BCv0Nr8UumG7HXCK8c14mLbhNcc16tIgHq994EaoDIMvs2nxv0xDdX4ChV-T1bpORH9NlxQ5vIKzxBWxPdkL-yrJrxtP4ji0ELGPXvc_2he7h7QvvsX0NBw_vEDLNf8pM8_0BmZ89HNOCp8y0YEDSggeUtPD_qqQF_sMxbfykmTYkae7DMW3ylJnmjQd02gMxzZee9FM1nbPDHBs_nBWod8u7mXa3k3gfRk2HGAUc2pUlq2Jas3v4it5cMMcO-NyNHzYoYhBHcfAf_1huPaBTPfkUp_owpzwRBK8Z_3-P7LizCGNlyG0YNnlsDMNgKKZlymmmeDXMhoPE-qEhlhflsoBP26ikSaIQGAPiw6ctS9LdNrKYY4v2VGc4llmxjipQZduiYlG9oSVTW6HifMkmlYOJeMpxMY-Qy3d5XCKHRQgwr5a0cuxcXATSr6VXA0TLdZNBgvVcJ7S6wrSQjkElzHCKZA7jNpyXi7OzZZVeFzk9FfkqzuLNFkbx07jY6i5cJ6Gcnt2UjlKeZwK01t1nAmt9tsoKykEEkIbl-vT3cn1cXBYGWJUXTvP7_dMx4uCq2Lx7iKdsSd3AGE7BJNy9hpXQerNJOdOSa4GIjEHUwpckAfyjs2kCdkPzJGNVlMa4cgorey9gMxBBWt2qkci8dHWrBV91ipNBb1hdbJmW4hUlK-rQqipunKS4yZtUhByC2g2mqnUq4zqGJlwi_u8sd8tlxrRI6BGdudWvuF7CUwcYu5MHPOihKIqzomafTFfYpmtXflaqMAfaoUot2953SU7fvpu9XFzyvHXOuglk1IEtwB4R8dg0WEpx0jMrowpgu20eNUlnYPgkmhjJs08SKMWrskhznZz2fKl-_PkhQKfJcFnwaKLqTXEjdDZ6XCLLhacYKVuG6fVbYB1qccMrWMXX7okfhFwnwfjEPZ3PnmmOqoEDxy3sXDB18PuewU_gP388hp-n_viZ2XNrcNfGmBSeAsrYigtIORimPt9lJM5oXT9HGKHmaMxHF-dZenGemq62XFxlRUxRRzllmgPoWXoBpJM3FVi7cnNCfixq8lwiX4PBqk_ISzC5YCDyFIzL28vzM8Q7hJunW9BiAin5CZocckk5mZ26Lnz08OcpuQTdTm_Jyx9fXX73rUR5tssuOjwX1sNQOwYu_AffOnURg81zMKdZE14UGU_L56CFR_qXSGvg5yNp30e_tREPyGXYA3NAJBEdWvKu9LWztHMbatiuee5UGrYaLNvNzU2fVbspqqSsWN0YsIRti8A2cLsSk_P1GfBcMAxbeOa7vnfmTs_0MsC-OV6_hQPygsnE_Vgrh8Y9hqlZRRTDP9HmoeoURwbO4zg8mczhSOKJ_NBh6MCh9CywxxCaTz_Ou-2L0qcDUfp98hquP_dXdzrLhotHhesPzMhjgtGjmOkNMNMPH56ZqF2SuNptl48vmj-OgQNZNm9-j8B-NgGP484gwzDwOmU3ChptonarrDOvFxTg_Y9R2ZLxGNQdUtl462htT5_HMDEWXfx7OnafGethFoDX7g0exRowU2qlNLmOOAKCJaZVrI3FS8rZuqhuyYsq3qTXrF6QvRGcrvWIEG9I1x1gP7CAQVFzYajTVcoSvcxfoLUmTTsBo8QqNdfMGk53fFNUejpg4AvR0F1eoEsJ2oz3XFzf3C7K7sNs91swXVwnylcsR_dJ_wGjoLwowARmBMU_izSSx3LPftDIdaXI9aSJCwKcvy4hjlwwDkcfzZT55JlWDmqsha0dPoQyAlcEZsW64LcmeWF4pbuUIwY8-7N0PpRuwM5hNQZKals8mqSkP5SUnN5L-bt3JEimkkuikILCyXgvJmu8rqk7VYvlG9AWzq7K5Brdh3QJcUkOCoDjjd13E_-0lISq0iGzCjf4Q1Yhp1fBrhCqLX0XtW_yfS1FNUjJ1W2kC5hkQIjhVEsPRRJMjZ66-ti0RreUUsuLnPdBHooffe9E_meOoBAjue1mId3db8S0tfON2rF3QrR-kCR0GNSmNPA7arlmoMM3JnBGFoiWKM1LGcYjzjdw-smvsJXkzYbl5Dv06U9PtbaSI_B86RymNCZ_TeHgFjcQKebkV4ZnuCR_K3Z_0qdMLqHmt5lJD0nLEzuoGDN667dBmwg3BIrPk_TaxJpb5zrGvEUgI104vxWxGtMcjzREn7Q9QpUjWaD2KNQNzjZpNWEW1xH2o9WMRDirDFwi2qbxRmyAkxektTwstxE1bSOyqdjq-egrCFGRb89Ho4vvGVwnL8iLUkSYaDzOzygEwUDqxagtyDpPYpiiRMOf7oNQ8Dc6Ftifd_Bhpiw6lKdFuDRfgXdcMOvWqZ5cIlcVhUF7MyRCR6QML-wO1WIyBDJptilq4VQ6hcwOSGrl_7_8ogexUhwj6P2H801w8TOcD9huD4RNYjo_g1bROb74IVwnb3M4twm55OBD1dA3viCAt8XTPdr4jbRL0_lcMG3kbuJ2YKlAhO5J2S9wPEBnZnCEliC_3Cbs33aYgEklYatVD11-H10gcmrXpp9GmVBLtVNguvN-1KGsv2b1LuPklTifNnmXILm1IO8X-ITlcf0UKo2BhEblBkTSnIcZ6ggw0_kwHWKQplwwwS_eFFlG_gJ8XCILECrPD0g4npDpbO65-_LSnlOfwdAcK5UdHU7LW0ewc1Shc-L2ndSBCxNLAxjQu0KVwHumh7Yt212TBeHBEV231FVzgu4Bczg-mUxg4ukz5S6h3apZod3njbcptqzIM3MHJPEeStFhDLJla4pQwnxUouBZ2X9_b_iB7B0CgvVA4KedFvJmnzcQP-LC2Dful83CA1gwNtNgEY05BiGYu20FIZiuFxwJDgH3XFxR6EpluU9JVZR40TS8o4-vQGJ8v0qSTyiQ8BW3Du9IKzDHPekHH96TuTXscwXjdyWiXZOI5kX5OW5erWp4P2iETOq-mpW0otxIsdHLXqOijF3Ql_69MnlJ0-ozlzhN7lk9N_m81XNuECxDOiyPXq-kRN7jeyBh4q8DS_af3pKDp7fk8Oktefz0ljx5ekuePr0lz57ekuePeMn-AVPiPt41e8IKF2BPo5jTaFm8GyrCQsvcLUs6XFyxhKGYjH7jDYuvnPo_Me50isG6pXG7bonT9VAplrh0axeUiJ1w96gyOcMQxvzKyAbzhMWuXCKlCvzBaSMVA6eyYoQS8BASgKEZ3-hLrQ7Cerc0OANgwk_0CgbmdlYNq1cy8vaSQDAaQHQPwb25Mepg01WhKsLHWzCB8IVGqHf38Fh0i5Uz9JVhP77BVeB2eI0bKXwy8CEVYvNktwGH1T-sx9yUbsgfn-o0m5OITEqrmmti9srGYFQYhVGoPeYW9FA5lzgwHeA_kE-fp8TF8CnoEDOQQJrqx9TH8dTvgh--e3V7QA-x1MOqs4e7DZILcLa01LdRPTVKU_d_XdDtLIeq7miz8PBGBrAzS-AQ8pnxG8ZyNUbFipgaVKvIVe4db6LUkD3QSD_5t17_-2IKUdzes_ndPKLbA_xINA8Wn6bvWHLc43XXCwJ8CKwL_VtEDVeLmSNV3sq6Q11WMgeqXupW8t__RbAIMd5VqLWdW0ar38g5VTc8oj4RkOJ93W-jC_OrMFO_4RXPKXkBBkngqtHYseqaJaemeLa7CHMxY136KDmgSxBLC1RLzQFJ6wPvkxzhFhTrNH_CSRv1tRLqJlk8zxCbn6XblNvZisCT3epyIRI1xqDAxDuNXFxcXDeZK9NZ96GH9hSAvtfQRn4qKp2kFYC6RGlqLi90-gS70W2Q-lslbPQtm9_0awziq1wwQBydRgnPGqg2aXjnp-4vAsFoHsmKWXyYgqvWHhNcIr3EJoLFQPoY2NxcMK1OAXEtcqm-8kVZTpcZS8xFNmy1rBFS-_7C_IIHXFzuOE6lCptSVmueSDYriXgpf6vFrqF-Smszj5halKpwLa3fqo9YEib9U1kJheM_qGPSpQSHYwKMdm9w9iABpXTl1K1CHwyQ1oLpm1Eyxgbzps2-3cVe3XSIUYd5v89CsVVDG9LDyH6ef1BOS4uKfta6HaguW7v9XZZ2Z9lnXCe-TSiLiq-KLC2isip-ZzGPElwwTrPaDtHmNhweK1ONYBUQogZuoIQuqFgGpCX2khoI1WkdqQmqAtFIfpGLqfcR62H6dM9FzXlztlHc9qEbXYERl77d7ceMS1dqLtBBWrnSfBHRnnp_hl8EpCtSvD0gi7JcMCmTBSDkZ9pEl90Rny10RT0oQ9ctS66U2j4Qss5VxHpXrOqKWDUHG1vSRBwTKeG04xF_SGG3j2ELnDJ9bf3wDDGxPNYaDEbwruaHgexniHjCoICGmOEfxQwY820R8-YS-OFYESw6ZRd_JDeCY0VD1_I-PD-mmh81Z6Aja3Dz2HE8ibO0HDoy4h2FsyyKq60oFB1iTHgUYyzr_bBMMa_1Ypox_AayQY6EhiM29CBXGsghroyPFZcfVQ7t4Tlj3mdClO3gvrIjeZNZSxxWsoiZZnyINcpP61hcXNtZNWZ31gLrdWfHypsVzozbgk_zdcbw6aB48GhGaDdlPlwwrDN6Vqq3XFwBDxrX3FOvvC3f3NdA_Ta7QWLZ6bl5QMDoNgKPvqKt3a-VR2gb7PlB6JZSvrxKM-kNIR8PjfgcD3-BSrYt-e3nfezrSxUEnupKfiXHcXb7GO4g7hdJgpkq8kO-Kj6BSQ98BB-Sa-rrRZBoW7Sx4he95LCpI5BcMAfE2kLRFWw0UKyqiip0w2iZrj8jI-eLbp3iXc_N9Vn-uAuNPRKs8B-ayHevX796rVW3AVTfIGGeToDj8maT1qQEXUG29JZs6DUjS8Zysi2uIWwoKpKwjIEXf0r-zEi9g_icF0RcXN-QW7wtqUuWATnrU71aM1m7xhuVienC-f6whM5DpFrtnE6oS9HzohJlpVL8QG5ElXDBN8AeskJCRaXpeXlxWVTV7QlZ7jjJVT8Eq8DVRDFVRjaw2G19Sn7JGBwZwqtbQtc0zclNyjcERY4k6WrFMPVHrtgtprnr0_Oz8kIfgDpNmH51tfcdGHa_4nmrf970CwW0ZTIB1Q5Sx71QEW5s2X0RN7VXpExcXOslGl7T7EFgIG4cVxtd2Fwwa1mzX7VZ678pCpG2qOJ9Mi0ClktxS7AHYk3ErnW2owWBlEk_XDBVSW3yKKE2kVwie1wilqTcBVZdpzGLchW84l0bjRl6tmbxbcj2bZ6yLXehRVsJ0qKl_gis_hFY0VpkaXx1NNLgOA7gONBQ-R1o5WWVOno3sWOXkFvpUWvTncZG6CSE34Eoq1wi2cXcKQGTPg7GEfLFPNIZc9CaON1MTGhDqM6-WYN-uF3OWxkS_NIvFCRewZrSwnITMUcsdDZm8gn8fItPJclLC1hb6DaGDd9m8sT67Qr8Xe5gkaug2i6W78D0dYsrBayg_q2v_r5mpXr-ojs3nl2bj7V6F29__va71-Tlq58v37x--_LND69-BiXpCeDQIDJvvUegOrdMakxldglHbtyA8YK9ZKAuLzl85rucJf8IqMILXbrfKuEPu-x5RNcLBy6ZjrRHKKxt0uK6BlwnSd6nzAMY-i_pFrUr2VXZ1-buVHzXx6kshKRlWoubUxj6XCdZ-fn8Vcnyf76kOcYz7gn8SU9C-BDihwl8mOCHKXyAP-no2TdffrEsktv3X36hvs5qQVxcaAPfcp3m8vMH8uUXp2pjT8hps8vvoUNUgsqpF2Q0wtkJzj46IUPFpx207xVcIuThgkzc8h1cMFilpNA2hjYY0a4hXRBPgNrLlZ8deYu3-PILREbajcSbiWFizhs9g4uju_h9ASg2cUG-8mdBMp5BAxGrt1jRXCLAD_YJCNwWppk_i-eTb44hqLXKHPPlmWZfn07AXdGivCB0WYN240zMtAIEY_ef4DMI9YKEY_zoXFyhymkqfRdEfESV9-9fO1ww_qxp-JtswFHb4u8fN4bgoPqj5yk-dsRHgpMPwEe8cY2FhkTudYQllDuXpHWZUZBy-VrQWYKzf4Ubob3XchXhO-jGBszxxbztP_kdIJE30G9cMLrQngVdZ7u1gil7YDB4at5WuhZcItK-r1HJJAPfWlww2qK9gSa4UsP0Sjw7ueLYrp8IhdDFbDMDl_oGmslPwvOsW5mLAyzBea0xdkTZ5otIrUGr0zi_4uuPEFC4uNY6NM7vsb3WznEXtL0O1x7TXCJSDjHrcNU6jF-N71jSXFxEicrlCdA2reXrUbyoMhdtY3GdLuvWrEdH4u9bsN5mzlxc_Wg8rqRpgsZbJu9AcVta2B3phvdMge-Iwt4Zxt7QDNPuDMJAHpjA758gDI8kwZL2_hlm_UyajgdIEE_09AwtsemfI5wdYNN4gAp8XhmL6j6VozCJOO1Dq9RCKsTCzpapCgT9UsZyC3QSXCI0vb_vd5qhqNfFs7vO9arVi7a_5rTinb-poQPC8hYOTxd7DCxxvkdApDypxh2T_k2HMIjt5N8TofJBS8EyT9Y6yJRELQpVZMdcXH3PnA0s7oibL2NBt1GV3ylk5i2_LJ0x7WG3RtNgnPRVRaiIp9ZQ6PQfyDh3Qa0NVjFrK8sUdJxDsw6sosPviMHKuEh_tW9RNjAf_gcMIO-o';
					$theme_options['elementor-classicinfo']	= 'eNrdXXtz2ziS__tSle-A1dRVTepMiy89x_GuN5OdnarJ42Kn5raupliQCEkcUySPpOx4UvlA-zXuk103XgQpkla8cWJfXpbABtD9Q6PRaDQYOndHo_nHYj6bD4rLKFmmcZoPfijmk_ngO9sOx9TDb-P5IKY36a7EL_58cB2FDD860_lgtYvjXDALAhazLUvKYvADnTvzj9HcFlU3jIYMWv0EFaAfGl7RZMmCcgPkvMOCt-VVjzQbDnRWXDBREtL8ps6c5y18ymlmBo21zlmdcDVb0RVcJ3Tt-WAR0-VlVGyCxa4s06SrSfi6jtMFjYMF0K_zdJeEKNYEsRrNB9GWrjkC0KSszoui0CgE0XOWMVoaZVwwWJYWURmliVHqwE9alnS5QVwwjQcofvSH2RN0XheP_xLgQodRkrD8MTENgxenqB_Rdm02Pq3KgcVguSvKdGsSuDBEDISFMVql2D9Fjj5yCVZ0G8U3Upz3i11S7pSKITS7zKooXFwguaCbdEuPyE_Q4BX8LGhSWAX0vZIcX9E8okLICQK03sVUK2jJPpRWmUOdVZqbPIJsyJql0Fwwlp0Rr-WAdFHCrA2L1ptSPnNHqsWYlSXLrVwio8so4bBABbsNyVlIF3SlXDChcWwhq2IW8kbFkPmCE4nIOk3XMRM6Y3NOLi2z1ZCt6C4u9Tjo55Yhuc8tBGcKFc8g2qRXTDM4YQtqcyPiXDDvG1wnQGtcMELpQZvtjRnQndMop91DBkydwYDER-TvLL5iZbS8ZdCglbHk9TMHzLe7B8y_w4BVRqZ7TBAo97EB5fVotm_fH1DeowOqR6O8e9Qo_5sBNbobUG6PRnn3qFGjx6ZRrv1tgBo_NqB6V997AsoVDvD_F0vudqPU4ewdqE3FbvFNcDrEnwOQdlnG8iUtWJdq-T2q5XSDBkI4x6N-165XuWDjU4K_1wPaAT7wvaD2Lbzgbqgcvm1ds_LRWHWvB6Tp_RgrqCs2xhqk8UNcMKk5_zoFd3rFc30tXplmixQ-bYOMhqFsXDA1kwPrwqctC6PdNjDgMBXYU5GHRZyugxwM1zbNWVBsaMZkx8X_7GjOFEoyOBKUUYncfD1g7-h8CSA6ocQaC5qDwOn14IfF3JE8Y6FlBgtAqFxcKa5cIggW6yrEAzKFNL_EuI3aJQqa_hiGg7q6KcusmA-H19fXxzycVLLlZgt1yuNluh1ep3mY5awohos8ukoTOpSjkObD68ySlnO4yzDSUAyBaVYMR0PXdmZD2x2uoLhM1ijRYn38e7beD5pcMD7ubGrvBU5cMJ4ktarvjQgKArGErllOxI9D4yl8TsvddXN-q532XCcDRBzxCmoovd6AkErFDRIeXglq7YWhB79UOIzTbmgSxiwPoiXKQYGzj5w2jhY5zW-UvUKVodesSLdMTRNJETQf2TgByIpa0HxRxRIEMdo96KlQgYirJRQR_q-12C0WMVMao2qgEkQrMVmAL_kV2SVlBCaU5qW1yNNLlgiD4LUIFizjtGBfRjxHiVdGW_aF5bP35JOMmwogBGpTXDA9qIsyqU3IZigYrWaNsEVXHDbxFkKvVM9ysQWy3TYJqvAx2vpgrFUQ51gkXCcZmNHLLI0SFWZ2XFxhu9xZF6FVxQUNeoQdDRO38uihSPsErImSPgOEXFwZVA1hcbBzYOJ7-8j1_CNvdGQfz6bPFKCyYs-08xtEjfZdR7dP4I87GsHPY3f0TA-5Ubl9URpropitSk4pKkPXXCe7mCxjWhTPkYZbQLosB6dcJ3F0ehLpR3W1itMlRctlZVECpMPoFERcJxc5LI_Z5oj8khbkLFmDaS2OyAsaR7C4JBEsTO_PT4bYbl_bOC9y0Sh5BUUWOaclmR7bNnx08OcxOYc1gN6QF7-8OX_5o2hyuItPG5jzVUZL69mgZ_9dbq1cIl3CgmlheLIgZZrGZZQ9B-M8UF8CZZifD4RHMPjtJIyuNL9bCyYkqL5cJ9CCKZsTozBKcBaDBLReQ8amDVKzFo6atQ1rReg6WMJpqJWXNzGzVjHAYpRec2_QSlJSYxDDr9XkJZucrZ4PvgNZ0et4Phic_vTygpyRs7dv3_z8-uLVy9cXfzoZUsATJG5cMNozHf0Wmo6ZiM1h381JB0paVcBJVVHdsu7bs3tcXPenQ8cdKlZ6V33fH3_zVR-nujQW_Pex7TzTx2wa0B5j5BhkDzJIgegsaRaVYFb-6Np6-5PujdLoDlEd13Zn7urWnYRG7ltFLjyM7tn3F7Wwb99q_avQof0Il_luu3iA8YuDlM_p2aU7s89XvvF0DL5U_y7dMxC8iti1pMblXjmMxrRWDHkYNtD-vEAeN7hdVhkPRo3xaXOGmvZnZD_TC4RmXDBTA6p2JDSwXDBLTml4FZRICE4GzZdqPXhBS7ZO8xtyli830RUr5mSvRknXqoaPh7jrBrHrGcRgiUu-QkeriIWKzbdQWpCqnMC6w3LZ19SoTnflJs1Vd1ww4BkvaLLnqXSHOvCO7eojUPHYhL25LzNIutxPdAzVXwk6DAasEaj6caBaeCh5XDCfvYJ5HvZfZLA7AnSDQxBxjsQfcMjHz5RVkBWNpuo7XCJfOP9Sujhdp-VNpljWQKlH0rkEwP4qHAtpFPBhv-0H67RNH0z81R33mP3JnVZMWywXnUZrXCJQ4lkeFKbER96Z9qc8e-ZKZssNmAlrl8f37u65ztCeDZEtyxnZHyb-cSbklGlNFRPu12BC9C5371xcpbb0Q1A_zZsoHSpARy5vApVbJXa4uEGsmZ9AkMnaE1tZmFrtbls0a6M8fAJyJRKDrhlpjn2lpLVxryyOORC89JMQoQFQXVLPbVjjgoHp3uhIXDBCwEuCKMlEXFwC27yAuU9-hZEkFxuWkJfopB8fK0MlauDsUlFcXLGG_D2CaZtew943Ib8ynMEZ-Ue6-7OaY4IFvo9TRWLBgWm1SutUegMrATBGVEVA9kgm-ySwh6SNFcixG-2Bcu6CrlAt0iF3Bdj1SxXESROZ9QftmXtk0aDFo4Kn5gNZojf_XCIWtkkL7lRZqdj4i92n-Pfpk5aG5eQZwNN_O9l4p69BUWAT5Vww6qKlkyGU8oej058T8j4BBQ7JeQk-RAHPRqcE2tV73FbZymsxEpNZj2zkduF2YLBhZ39Hyd6CnoDtiEGXFmCZS1Ow_9xhbCUSgq1WLXK5bXJtciZHbfKvScbnZ2Gl1i67o3Q_sZK8Y8UuLskbHjYxxTsHzS24eG_hE2awtUtoTJ0g24BK6vkwg3E9gdUq6ZKj3FrSOHOpLV5dyYIVTy_SOCZ_A8TIHNTLcT3ij8ZkMp1Vs6dCuN67mo2-nmAyAtofgzcmY2PSurg3bpuzvcHayT7tbV675zxTVevW_tbePL-zSjOuactOHXcGa8ToaDyGnlwnz6QHgca8YKlyXCc3zibdsjSJ9ZGQaLcrXCKF_viWrSlSWehn5jxBWS6K7l71jmAVEtIoQeLHFwVxxnfeiDp3PC52tR9iwtbRCu5PFFlAlyX64hiVrfniqF0cEa-LuOXwQWUTC9UO8zQL0-tbRvEB5kT0BRLucNw_Wc3smd8_fhKu7iGpBQRwUNrJ-wdlZlT7UjvS20Kttg61lmn2JU5XjZR116u0TBi8gmU0p6VWY32W5FR2SS8HKgFgXylcJxiPyLIoKR6OVo6_esYcgtaiL4Hz8O4y6P1IB8vu42PZe3ws-4-P5dHjY3n8-FiePD6Wp4-P5dkDZtntWErsh8uzw1fhFNbTYFnSYJF--HLpVq5Ot1pu2PJSZhtYaW9i0qiemFTSdU9Wkjh7qqeM8JGw96TSMTQf6vzKyAbjZukuXCeZ3P-D60ZyBq5lzggl4CGEQEPjcqPOdhoNFruFbtMDEF7RS6iYkLOMb_pwNDA_JSbvzwnsQz3Y2sPOXh-eNFpTiaJye4-HQbzBM9WgGt3uuugcS2foOw0_XpeV5ObWGgeS-2TgScqG9e3aihy4v1-_-UunKOiZiCBFeVEqYfbywqCWH_iBr_zmGnVfEIJPmAbxV8RJJg19KZy8hjA90aOJuvfciSlQeAH_rQP_tQq3KCDq616FLmjvPSHXGQomrMXa2tKsOzVnNJ49iITc1Wg1xZvnMumhjmT3uHowTAtcMArhZuU1Y4msIzeQGCaUXFwkMlwijwc1ssoeaaAu6xv39l3eBU9_b9GEehaA3UL6QMwQpppGH1h42KVz2_E8vIiqLgLUhOpPktLzK7sRaYY61QKfvlDF5H__STDncLnLcQpZN4zmvxF5VIxHSltGFjfkhMrEPDVbWmbK4PRCFb7CQszSe_oEGxe8oEfzm06ibbKnj3GMI1wiqR90AepqkLZok6GAbdRtCsWdh3QdJfecvmeFtKSmqeDVK0LeTzHkrHSm7z20eBL6TPwaCVfCONpGpRlC8RzxWB588CsXMCRbfp0k4Udh-lxcc9q8kKLPRuaDdy_PfiSv3rx7Kb9zQpU-NNEHKyqmg4_RlxGLigxTqxNAt3quWuBvEoBpYVVjPa2o6qIZ55EeB7oMRJ4uXqBBrpUbh42eYxHBRB3lbe1XKFh-FS1ZIb1k8eoRdJ_oki3SFLywiAOE6ajXUcktSjR3xbiss3hX4HdPpnqA28ZC5bg20AdlpSBIwePKrnTIWUIXMQu1jw48inwhqWdn-gsaNqFhKJpMcorE1VwwHAMxrFIDX4hvhawoPW-R6lRw7jB3PSp05w52zlNaSjVDf-QfP32SRqApCVJiFJA2z7D2KKF34c_KU5U2GhCtRtPWo1wwxiRzJpWe3AavKuoGqgv7fbR4XCJC34C0YN4Dr9eQoh1au0HVhLX5vAlps5d9OPEGRpbm5SqNozTI8vR3tiyDEIijuDD3qTOTDqexTlEwkglxfamouO3JWQyihSZLFYV8aExhGIN3opC8FcwU-w2rasqazHiKeWVLUN32qSvbhNtOddLd3rK4qcbNqn4dSbZSuPAtr7yWh9ZDpak4e0SGZB5KJrJCyGtabbGbNb7cdSlX7d-3LLyUy0THvn0mt-23bdhtvmFPwIPIaMinidBw2nAFP6EFPQQWmGXqCP_-AdEBDcy76A1j2AoPTdkOCL-xIIn6wHAPAgPq_Jguy-oQ_P6g8OaNFJSviYZ3qGqovN77x2Oi8ChKBjayXDAvlh2GyTKOsr4pw69NWOhXbHnuaB8w_kHA6JXkvkHxdVwwkMYM35jWi4ivETGpe1GpKPtQGR2qLr_IQOL9IzPWppVmFo4rOxCb2GCx38hiyxTfq9UNjfTTGiuu6evqZXdaI2t1n0fSe1bbiA76-_OePbvWaZSsY4a3MvldUs2m8o1mPcQqlmoE2bMVXDDf6THgWiko2r2EqgXDM5jp6wuMbgPYs-S0pm-F9EFNF2HWSV1bBs4vo1j4XzhyXTV69Lm6z3yLKoOUbJuVN1_0ujHCiUYPfOOVuFB0mKdwCDrY9lkY4paf_CxTYu8I0j1P-vtETb7PBYU29VreR-Z6bYmglcqr1PkcokaHnhtt7mk6fGB5nua-7QeLaM2RXaZcIqbjQSudOaCY-1wiMlwn1Vpba8cIO0ARefnu3Zt3yoRrQvmGDX2rAhyYi01UkAwkJVt6Qzb0ipEFYwnZplewfUhzErKYgTd_TP7KSLHDm7Ip4WdZ5AaPjoqMxTBg62M1JrqzegI4TnH9CPu7_XUT7leIWwE3VsbH-QuGrr50aFtfUa_dQTpWV099lSifpDnP9dVxUp66nZYbGB-yQqR5-u9Jdnqe5vnNEVnsSpLI57BrhmEN5aiKLRaGPYtj8jZmMJNImd8QuqZRQmBJ2hCc0iSMViuGoVdyyW5wOIrjk2F2qqZBEYVMXQXbezeJ-VxcDnrt-ax6zu3SlonIW323PGqlClCzsuY1vYnJkVxc9mrX4zDWtUeBEQHtQZvN-RWxUnbzqp3B_3Wa8vhJvtwX0xBgseDavEdidMSuVNilRoGSCQcDDUqhAzq-Wjl5GIezJP0Q4YEEidxF15yPVsr62apcXHJua9Z0YA5r1T2gVXRbXCKcWawoD23XOwyEypnqbVacHsrZd720zNR-IzRsjLtVLRYqIOI2KLI8DXfL0sqgJTUj9MLh8n6Ej2bhsmI1o0K-SSEftvXqtdPtkrIWrcHLzKhLZQ48RanhPaJjy9cNPC4k8PM9XuEkLwxitXbXW9iU21hMWrd-M2KXWJh8LEyxcYmhQdP2-BSPaDCb_be2exEFy-TbXCLUw41j3pnA5MnT969_fPmOvHjz-vzi3fsXFz-_eQ120uHEvm5IXzkfgPWEhYgbTenZkBLRuIYFFMaSgcU8L-FzuUtY-FwnaMo_VVcqalcr_CY8DyhVt-Og79B8Xbcp2rIoAuXmzNDP-Uu0RQNLdnn8vV7m-etVjkVmKs2igi_yUPXPXCId9_mbjCX_cU4T3ObYR_A3OvLhg48fxvBhjB8m8AH-RoNnPzx9skjDm49Pn8hXjs2JDWXgda6jRHz-RJ4-OZYDe0SOq1H-CA94aq7oek4GA-ydYO-DI9KXEdxo9qNsCDGck7GdfVwwAiO3F8pGUAY16km9c-JwUpNd8Vk6pfOnT7AxUi8kzpRX431eqx5srN1s3-WEfBDn5Dt36oWjKRQQzr0BRU1cMNfbF8Czay1N3elyNv7hEIFqXFwmGLuPFXxtNgFHRanynNBFAdatZLynFTQwsv8dPoNSz4k_wo_WJZqcKvV6TvhHNHn_9b0F5M-qgn-IAqy1Tf_4vDoEKxWf3U_6uTU-k5x8AhzxlTxLbiERvYay-GLkwqjIYgpaLl6uYy3idHmJA6H82WwV4DXtag2YYea86UK5DVwiHk5QSfBNasegLuLdWi3qLTS4i6ouf9pGQ6R-diQDW5q-xlwwrkV7FfX-VVZTnDhmoMcyvT-ebIdeZh0MZPUCiskr7nwWtZhGByTYr1HH3FrWceFhPii1Kv-Xv3EKCbmXa_Ch2vwJywvlHzdJ63zYZp2akKKK5sOWfGjXGu8XRQnfeFfvI4y2a_GyJTw004d-I565IBIJjQtg_P-qMO7MTm11p32Zi6UJCm-YOHrFYam1bglPvKULqDUZTz-_h0mzB75AdnTgtoow8v0DRTC0vb2HaTtI4z4R-IVJ1UNNbdr78KftUogXxnZIgddelzzdUoaBdIhO-dAygFNFMVWERmZfqAtMhlug4oy-fvr7_kNdFe06vwLZOOo1nuLaX5Q0Lxv_y0WDhCW1NhyVV9PD4mxPgEB6UpU7JvybhmCwvRP_x4Z-jactpw1ebOVhkYJnQYkH_Gy6eiEMuogy91FW1C8WEAlJutxvJsjqXCcV9nJHWTug9hp-m2YE79jia2VCtoX9sHwBcppVNJ_-D2dVTRE';
					$theme_options['elementor-overlay']	= 'eNrdPWtz20aSn89V_g-zTG1VdCtQePEZWbta25dNVWL7LLlyW1cu1JAYkohAXDALgJIVxz_o_sb9suueFwYgXDDJtmRbl8QRBfTM9Gv6NT00nbuj0fx9MZ_NB8VFlCzTOM0HPxTzyXzwnW2HY-rhb-P5IKbX6a7EX_z54CoKGX50pvPBahfHAT4IWMy2LCmLwQ907szfR3NbDN0wGjKY9QMMgHVoeEmTJQvKDYDzBQs-l1e90mg4sFgBQElI8-s6cp638CmHmRkw1jpndcDVbEVXHNC154NFTJcXUbEJFruyTJOuKeHXdZwuaBwsXDB-nae7JESyJsir0XwQbemac1wwppTD-aMoNB4C6TnLGC2NZ8CwLC2iMkoT46kDP2lZ0uUGGWi8QPKj382VYPE6efwfwVxcWDBKEpY_JKRBeHGK-hFt1-bk0-o5oBgsd0WZbk1cMBdExIBYkNEqxfUpYvSeU7Ci2yi-luS8WeyScqdUDFmzy6wKwgWQc7pJt_SQ_AgTXsLPgiaFVcDaK4nxJc0jKoicIIPWu5hqBS3Zu9IqcxizSnMTR6ANUbMUN1wwZWfERzlAXZQwa8Oi9aaU79yRmjFmZclyq8joMko4W2CA3cbJWUgXdKUYQuPYQlTFLuSTCpH5AhPJkXWarmMmdMbmmFxcWOasIVvRXVxcajno95ZBuc8tBEcKFc9cMNqkl0wjOGELanMj4lww7htcJ0BrXDBEaaHN9mQGcGc0ymm3yFwwqVMQSHxI_sHiS1ZGyxuEBrOMJa4fKTDf7haY_wkCq4xMt0yQUe5DY5TXo9m-fX-M8h4co3o0yrtHjfK_GqNGn8Yot0ejvHvUqNFD0yjX_jqMGj80RvV633tilCsC4P8vlty9N3UqdouvwqjbBHTApV2WsXxJC9alW36PbjndXFwDXCKc4ag_tuvVLsh8Sgj4eph2iyD4Xrj2NcLgblY5PG9ds_LBmHWvh0nT-9mHMFZkxppJ42-BSc3910m400ue62vyyjRbpPBpG2Q0DOUEqJmcsS582rIw2m0Dgx2mAnuq9LCI03WQg-HapjkLig3NmFxcuPjXjuZMcUlWR4IyKhGbL8fYT4y-BCO6NQVmXi1obpmVASAgV0qqXDCCxbqq51ww_iHNL7BIo1JCAdNfsJjBuE1ZZvOjo0UeXaYJHfLqUcmWmy2MKofLdKteWSEt6dFVZknDeMRBC_X6iM9aHK3ilJYgd6RhsR7-lq1vVxMBViWpVf3-6cURvj9lqtzcqypt_mAwCaVXsRKeXm2ikil1NUB4rSSozReGHvyjalscdkOTMGZ5EC0RcwqYveewcbTIaX4tR1wi86LVtdJ2-ZJvB3rFinTLVAVgRcmKWjTP0ysrTK-SqjIghqARg6UKVVa4XFzCI8L_by12i0XMlEqoEY215a-ILykjCxi7E7vaa6EoWMZpwT6bLr9O1y67U6qwXCLZoEqibcpdkNMmdy3LRZnU9lmznIuGrwbYolwiDpt4C6FOamXpLwFst02CqgSM5joYa80zdxJYwossjRJVKnZcXGF-3FkXoFXV9gx4pB5tdMOA7BHm1sAaZKFkc1jue_vQ9fxDb3RoD2fTA8U6ObBnX_kNoMb8rqPnXCfwnzsawc-hOzrQwjUGNz3ISKmSBIrZquSQYjAsfbyLyTKmRfEEYbg9o8tycHIcR1wnx5F-VVegOF1SNEZWFiVcMHoUnVww6eQ8B1-WbQ7Jz2lBTpM1eKPikDylcQSeIInAi7w5Oz7CefvmLqMtmCs-KfkFHlnkjJZkOrRt-OjgzyE5AyNOr8nTn1-ePX8mpjzaxVwnDZ5zN6GpdZDR_11urVwiXYJ3s7CYWJAyTeMyyp6AvR2oXwJla58MhPsevMVxoNaEO9ZcJ4Mfn5-TU3L66tXLn16c__L8xfmfBoR75VwnyiETnP7JYJfH8z-73h9__DF4W8euR4v9FpgOBcbpEKWmCoPEqwHcrmmofi_oONINFuAHr66u2nzgVZqHWc6Kyt3JuCPN9_ziLsMKe3EEDAV_OD5ybWd65LhHCh9wi1Z5lba7Rh8z5snkY90jRgVLWJzlRMrvM50lbiC5Bfm_Q9s50EdNmrM9W9wxwL7JRB25s6RZVMJm_b0r-_RcJ925wugTKhuu7c7c1Y3BtObc10rePaxw2feXuNs3Zxufyzo0JOEy320X32AKfyvlc3oSVWf28co3no4hFrkx_dAcvIzYlYRGXCeqw4dqWyuEUF3GI2WeBecxx-syz3g4aMinLcRo2p-RfaA9hUZcMI_Hq3kka8CtSUxpeBmUCAium-ZL5Rie0pKt0_yanObLTXTJijnZG1HStRrh40HmugHsegYwWOKSe_ZoFbFQofkKnhakek7AAbFcXK41NYbTXblJc7UcMPCUP2ii56kj_6CmCbOpPgUUb7u57tZgmhyfaI577qGPPPcPlLDAQ6Dix4Ea_62chH-0__I8XFy_yCC3XDDeBt38qJd20AxIWGN0dwrBz9nXaXmdKTQ1c9QrGaTBOn8XMYU0A_iy39qDPdqm30zR0R33GPrJXCf5SFs4iE4zNRFcXOK9DRSsz3u-WBVBzca-RLbcgGGwICYVOPr3HenNjmznCHGznJH9buIPM0Gs7OjRmNiTL4aJQEFmvlxcubb0Xd2GeK7SpgK05eI6UL1Fi7kjU66a6QkEmBw9sZV1qY3uq1Bh2roP3JVmus6h-A_SzPGB1iihARqXplwiVBpbU4LK5JgC4U8_CCoaPKoTK1mFxDIw2ZsgSjKRvePQc9jv5FcQHDnfsIQ8x4h8OFQGSYzAHaXKlcJT_COCrZpeQd6YkF8Z7tqM_DPd_VXtK8Gioryuqh7CrSwttH0xva5D6gRwBBI93rhcJ9__xTmYQjbpuB7xR2NyfAQPjzfeSZSs0r-F6ZZGSUK3DPUO3nlcJ4O61FWFQU88sXFi_wQy3Zi4_r9PYJR_chxGlyrF5eWvE1LlvKLek23ShIlU9_gIwMVKk_2VIKOk9QjDcWcNtLBUFXQVShEOySvAgVxcqFoLLs7dLzLGwFZMaAmk98loUrFJCx67WalJivj_40ctE8t9OoC3_4Z8fwEKCbmaA2IXM3Gu85ejk58S8iaBjRySsxJClQLejU4IzFsxrI02yCmFH5_10EZuJm4HXsLahp9I2StQVLBVMSjzAtxBaRL2nzssjESCsNWqhS63ja5NzqTUJp9HGbcDhZVivfHTqPuRleQ1K3ZxSV4m6O5M8s5AcwtO3iv4hM1i7RTKvYuEBnw_6G01xW0FLjLpp6O2iRD85DyFffgfwFwnMgelUtt8Mp059r6-1NeU9hDtkNxWsjzZXxc3tmBjq7qYeLft1D5_MNkHvSkj8JwDNbTuSm5azPM7RzQLkbZcXBNsD_if0eF4DAtPDmSogo6iYKmKVTfOJt2yNIn1IYyYt6vqhRH3lq0pQnFDnvP-X-lz3b3hHQUxBAT7jcAPr8DijO82x1UtsH1VAh3mmGzrmAWTHwUW0GWJUT_WOSsd8UXpnHPE6wJuyS2qNVCzwzzN8HSnX4r3Ua64qdTTc5TZV5_4hIP0yWpmz_x-2UlWdYujlvGiQNrB-wUyM4bdVap7UwXX1hXcMs3u4qzT6AZ3vUrDhLErWEZzWmoV1obYqWySdgTqaP1bb0Mbf_E2NGRXi6YEzrd3QUBnOB0ouw8PZe_hoew_PJRHDw_l8cNDefLwUJ4-PJRn3zDKbocrsb9dnB3uhVPwp8GypMFcIn3X1_aEnrnZCNTdI4S5l0h3lxu2vLBEl4GV9nYKjeqdQiVd9zU_8cOsemcHl4S9R5Uu1_kw5ldGNliiS3c5yWSmD0EbyRkElTkjlECEEAIMjcuNOixqTFjsFnpOD5jwC72AgQk5zXiqh9IgvLj25oxA9ulBOg_ZvD6Pacymmi9V38dUTniqJlTS7R6LYbEMhr7T7Mc7qBLczKdRkDwmgxhSTqyvrFbggP39RsxVz4P48blBs96JyKQoL0pFzF6jFozyAz_wVcRcXIPu66viG6YB_AX5dDe9IZpPXoOYnorRRF0m7uQpQHgB_1efJtQG3KCAqK97A7pY66ABudfjF9c5smdHAhNs-NnSrLPhZ-J7k6-u_DxjHK2meKdbtlLU2dktXFwPZLVcMG4hz1l5xVhcIsfI_BHrgxKLRBbg8fxHDtkDDdQ1eONGvMuX4H3lLepQP-W2W0C_EVuEDaDROxbe7jq37XgeXvFUHfY1ovpbr_Qmy65FS6Bu4LBhsafqMfnf_yF4VEiOKdnkbPVEdAvCRHgu9nZwon_lzurt8RE9GZJTcEt8eIEuj-WXLBw-foSgYlmMYN7qLtYmJvqARhWeXCdaFegCNNNcMG1RHEPX2qDbdIcHC-k6Sm5sBLRnd2oV2hvkOSp32Rp_r5UjjJH4VQyub3G0jUqzZOI54rU80giKTXoFXCLZ8isZCT_kUgVtjBDqlzpUuAL0vX5--oz88vL1c_k7B1T9RxN9ZKJqOPgaYxfhRGTVSJ3tudV7NQO_jg87wKpkPa2g6qThSaM8NfE4o8tAtM_iJRTEWoVtOOkZPlwi2Omjdp7JDVAeChMXvJrryoCYJXQRs1CfV4OoRQOQlPup_gVtCi3VUrJrKWKF4olgs9SIp-K3gksNDzyiQq_Dl_bxEKRUm-OZ_Ij9XlwiSBZtTjj-g9yUTUpwOFbhaPPcaA8SphTxpDzLaIMB0mowbSsKxphgzqSS203sVY-6GNXN-30WclH1CaSFke08_yAjpxoV7ay1G1BNtjbfN1naXFxln514JSFL83KVxlEaZHn6G1uWQQjAUVxcmHnizITDbaW7EYzuQLT3FRS3BTmLgbTQRKmCkC-NLQUyeC0eklcCmWJ_YjVM7e4Zbx6v9jaq2z50ZSsw7VNnyu0zI-rSzOnv2MhWii885ZRXzfDbeFTjibMHZFDmIWWiAYS8oFWK2xxxZ_kz2kGRP29ZeCHNdkfePJNp800Js80T5gQ8ekZDvk2EhtNGFPYhAmnfhi2wy9Rh-f0zRBcUsMOht4xgK35oyHaG8LsIEqiPGe6tmAFjnqXLsjp6vj9WePNGs8eX5IZ3W9VQjbr3z4-J4kdRMrCRBUSV7HY8WcZR1rdl-D0Ia5GmF1uaX_Qzxr8VYwzvfb9M0Zf0ljRm-DVgvRzxNUdM6F6uVJB9XFwZ3VZdfpaFvPvnjL6WCWm9hXJlt-RNbKDYb2RxZopfFtXNGhmnNTyuGaxqtzutgbWGsyMZzfJgxq7BR8k6Zni1m99z1CNUmDLrAVZlRaPenK2AB53OG92WgGh32NUMhpOe6asBjG4DCOdzWhN9IcNB01vPOqFrFvnsXCKKRSiETOwacReXfYFKts3K67u94OsK-wNh6kpcXNa5ndO-DXdw7tMwxGyY_JSs0s9g0j3vv_vkmvy6ECTa1Gt5g5brtSVKN6qZULc2iBEdem7Muafp8IHleZr7th8sojXn7DIV5Q4PZulsfOQXyHnjoHJ7tXmMjBwekeevX798raypBpRf4KBbgSGWON9EBcmAUrKl12RDLxlZMJaQbXoJkXyak5DFDALrIfk7I8UOUuYyJfxYh1xc4ylKkbEYBLYeKpnoxUTEbCaS-hWud_PdTvcLlHRcMBsr43K-w6rOXRd49aVqvE6t_thDda3TV-3pSZrzBlehhA72eXtcJy_ScgPyISvkNO95Pc5OztI8vz4ki11JEvkeElgQayilKrIdrAgWQ_IqZrCTSJlfE7qmUUKuonJDcEuTMFqtGBbyyQW7RnEUw-Oj7EQ32kchU9es9r4Ow3wvhV57P6vec7u0ZaIoVU9cXEetUAFqVta8AjcxMZJur3b1DM-P9iAwOdfBrDmdXwErZTevsRn4X6UpL2Xky30yDQIWC67NeyDGQuxSVUBqEEiZiA3QoBS6tuIrz8krKhwlGUKw_DJasiCRCS0eAtIlw2hXI1-HrB8zSpdz07ToQkFb1Ca4xazuLWZFXCcSR8uLW0_q3Y4DOA5MZHLDtOIUTW69q6VlNrMbJVND6FblKVRhwm1AZHka7pallcFMajtor-HydUSAZqFPsZrVGd-EkC_bVvXa4XZJWaua4C1hVKQyB5yi1AgdsW7MnQYeLhD4-QbvRpKnBrBy3PUZNuU2FjvWrd8F2CUWtt4KO2y07Tdg2l7zUw7s5X7bdhOgYBmv91TXBDaOeUtcMJsIT968ePb8NXn68sXZ-es3T89_evkCjKTDgX09kb7LPVww0wleiFtMGdaQErlxBd4TZMnAXFyelfC53CUs_BO_W6MuEdQuE_hN9nxDzaodZ1237Vh1m6Qti1wiUDHODIOcv0VbtK5kl8ffax_Pvw1kKDo0aRYV3MPD0L-KltRcJy8zlvzljCaY49iH8FwnOvThg48fxvBhjB8m8AH-RIODHx4_WqTh9fvHj-TXWc2JDc8g5FxcR4n4_IE8fjSUgj0kw0rK7-EFb1EVS8_JYICrE1xcfXBI-rpiG9O-lxMhD-dkbGfvXDDA6HGFZyN4BiPqza1z4nBQE13xWUak88ePcDJSf0icKR_G17xSK9g4ujm_ywG5EOfkO3fqhaMpPCAce4MVNQJcXG-fXDDPrs00dafL2fiH2xBUwzLBGnqs2NdmE1AqSpXnhC4KsG4l4yutYIKR_Wf4DEo9XCf-CD9aF2hyqhbkOeEf0eT91_cWgB9UD_4pHuCobfr7x40hOKj46HXSjx3xkeDkA_ARD4GX3EJcIvcayuILyYVRkcUUtDzi96KsRZwuL1AQKpjNVgHehq58wAyvyJvxk9tcMOK1BHUruQntGNBFvFtLmKwFBlOo6r6lbUxE6mc4ssCk4WsIoC_aG6iTVzlMYeKYBRfLDP140xmGmHVmIKrn8Jj8wiPPolbQ6GAJrmuMMfPKOl94uQ2eWlXwy78gCQF5iGvgoeb8EZ8XKjhugtbxsM0xNVwixRCNhy3x0HE13q6JEp51y5DHQ9-05pYCdai64D3iXCf6oqHOuP7E_1wiBOOW6NRWV8eXuXBN8PCaiXNRFEttdkuE4S1LwKjJePrxK0yaK3AH2bGA20rCyPdvSYKh7e0rTNuZNO4jgV8WVCvU1KZ9DX_aToX4Jq4OKvCi55K3HcoakK7PqRhaVm9cIq4WZhFNdiWoKzxGWKCKjL5--9v-Sz0U7Tq_XDDYOHI13qLvL0qal42_QqEBwpLaHI7qN-lBcbZHQCAjqSocE_FNgzDI7cRf4CCrQgvOMkf0P4iaSMEbgcSLmfzKuRowIMhLxeIrt9RjfpxcXH0pC0aTsl2wWkPel6yqMrbKwfmFOtHso5_7zWZTvdS4rbNCZkiFgsIkoaNq3QQ1FELmuLXTa68RTGo88NIrfolMyLaQoctv_E2zCubD_wHm6euv';
					$theme_options['elementor-infostack']	= 'eNrdPWtv20iS3wPkP_RqcMAEZ9p8SbI0jnezmdzsXDA7SS52MLc4BESLbEkcUySXbNnxBPlB9zf2l21Vv9ikRNrJxIl9eZlqVndXVVfXq6sVOvfH4_mHej6bj-qLNI-LrKhGP9Tz6Xz0nesmExrgp8l8lNHrYsvxQzgfXaUJw0fveD5abrMswoaIZWzDcl6PfqBzb_4hnbuy65rRhMGoH6EDzEOTS5rHLOJrXDAXE9ZirKB5ZdDwYLIagPKEVtdt5IJgEVIBM7NgnFXF2oDL2ZIuBaDvzkeLjMYXab2OFlvOi7xvSPi4yooFzaIFwK-qYptcJ0jWFHk1no_SDV0JDsCQqrtoShOrEUivWMkot9qAYWVRpzwtcqvVg5-UcxqvkYHWCyQ__d2eCSZvk1wnfknmwoRpnrPqISENi5cVKB_pZmUPfty0A4pRvK15sbEBfFhcIgbEwhotC5yfXCJGHwQFS7pJs2tFztvFNudbLWLImm3pNBA-gJzTdbGhB-RcJxjwEn7WNK-dGuZeKowvaZVSSeQUGbTaZtQIKGfvucMr6LMsKhtHoA1RczQ3XDBlbyx6eUBdmjNnzdLVmqt3_liPmDHOWeXUJY3TXFywBTq4-zg5S-iCLjVDaJY5iKrchWJQuWShxERxZFUUq4xJmXEFJheOPWrClnSbcbMO5r1jUR4KDSGQQsGzgNbFJTMITtmCukKJeID72otQG1wwUWbRZjtrBnBnNK1o_5IBUs9gQbID8jeWXTKexjcsGowyUbh-4oKFbv-ChZ-xYI2S6V8TZJT_0BgVDEh26N4do4IHx6gBiQruUKLCb8ao8ecxyh-QqOAOJWr80CTKd78NoyYPjVGD1veOGOVLB_j_iyb370yc6u3imzDqNg4dcGlblqyKac36ZCsckC2vn2tAhHc4HvbtBqULXCIfDg7fXDDTbuEE3wnXvoUb3M8qT8StK8YfjFoPBph0fDf7EPrKyNgwaXIfmNTdf72Ee4Pk-aEhjxflooCnTVTSJFEDoGQKxvrwtGFJut1EFjtsAQ506mGRFauoAsW1KSoW1WtaMjVx_c8trZjmksqORDzliM3XY-xnel-SEf2SAiMvF7Ry7MxcMBBQaSHVXDDRYtXkc1ww_4RWF5ik0SGhhPlCCQugIy-c5vPnZy7E5lFxbHcj6Zj2o0UBsrahE1qv1ilnWpYsEJHIiFrjJUlcML904knArmmeZKyK0hgxp4DZBwGbpYuKVteqXCem0NLltRZF9VLIKr1idbFhOjxfUrKkDq2q4spJiqu8CdtlF9QwMFWtY_7LGJqI-NdZbBeLjOn10j06c6uPiC_hqQOM3cotF-yhKIqzomZ_mK6wTde2_KJUYbqwQ5VC2153Sc6-dTdrueB5axN0c62olVqAe0TEY9NgIcVJz6yMGYBtN3nU5GdRl0YTI3lZQTmoN9yqC1BTF2WR5jqP6_lSN_izPkCnSbxZ8Ggm6nVxJbQoelwwi7mnGClbhjY9YmVBdYjF9a5cMInv3QM_CA-C8YF7ODt-ohmqOg7strAD1Bnf98z4BP744zH8PPTHT8ySW527Sn-sBUwBZWzJBaQUMED9ZJuROKN1_RRhHPTNaMxHp1wnWXp6kppXbbHKipiiinLKNAfQo_QUSFwn5xWYn3J9QP5e1ORZvgIDUh-Q5zRLQXnnKSj-t2dcJ0c47tDYPN2AEhOD_gItDjmjnBwfui48evjzUI5xtM1OO0wWqtyQ50_czySPbWiaSRRe4OOcnFCyrtjy6Qg_8mKe5sviL-w93ZQZO4yLDf4dnXZbT47o6c0Eb4pFCvtaTAfMgtk8PyDheEKmxzPPbaj9X75x6lwiBmvqYPKyJrwoMp6WT8GEjPSHSJuPpyPpLozetbk0sKnCPTA9-wmHQ7-gu3VA1JoOQs0aqGGL6eGQa87Len50dHV1dShOWzgDkwd9OLLz6KqokrJidX20qNLLXCKnR8pHKSpcJ6GcHl3JFYaWo22J2fj6CJjB6qPJke96syN3coR6d7Fy-KZcMA_VO_ytXFztGuoQsxCz2acaa3QgYpibVUSx_g-abty4auuL34eu98ScShnGtlVLawFQdxi4exnUI3tiWqYctMTvfZFqOO2PK8Z3kwURe0Fz7lsF-gHKoXt3Qb57c2TyGXFri3WoSJK42m4W9zDcv5XweQNBrTe7m8g_sDh4mbIrBY3WW_t_1rbWCEGv0Jtq9Sw5j_Fgn3rGg0Rrffb5Nl0FNHafGEthEMCj9GYcxRowSQpTmlxcRhwBwWegVawNw3PK2aqorsmzKl6nl6yek50enK50jxAPPVcdYD-wgEEVc2Fh02XKEo3ma2itSdNOwFwwsUrNdWx1p1u-Lio9HTDwmWjoohfo8oA2471gYo4M5Wub7d3oygLpcnxqOB74ByHyPHyiFwtMBAp-Fun-9-XU_JMNWBDg_HUJoQ7wNurnR1tdoxpQsFbv_ohGnMmvCn5dajQNc_Qr5SzCPH-VPoVSA_hyWNuDPtoU9yZB6U8GFP3009WU7-LvQTU1lVxcEnUQFDbBBzGZ7UL5Clm-BsXgbKtM4hjesafne0fu7Ahxc7yx-34aHpaSWFX9YzBxp18NE4mCCsSFcG3o-2jfoTNIUw3ScnEd6TokGaxirNdSPZEEU72nrtYurd79emi2D7IvuPW9A_kHgtvJEyNOcvkNXCJdKWjEtSUBjb6xV0O0fpQkdBjUpjTwO5q4ZqC21yaoRxaIlijNS5liwDHPQQuQX2E5yfma5eQFOuqHh1pNyR64z3TCU9qPv6WwgYsrCGNz8ivDvVxckn8U2z_r3SZRqPl1ph0IjAJr0JcXbRATlyrqreXUmYwdkOkuCAVD2zE9_qwzHuayor40XCfCGRR1MgaCIckIWJOTJL3Uoaoc0BFJvVNiv5FNTVAr81pb0G3OJpHB7MkRwOt_dwdVuwZg18Hpa-AhbK4M-LxcMP3FT46g8WQ9Pv3vLeYP0HCfcbpcXEL7WA3ZSwy_kmp5OvljxAiZrZ0C83SfTNBPjJM3rN5mnLzKUSUbis5gIWtB0Wt4wsqnLlH-PqLWFVNCOW6TxTfOZYypuECmN2CuiliNqZgesKLtHqoYzQK1e6FpgZVsNeFRgSMPCVrtKPzOMqPcbr0SMurkBWkhiPVWTTJRZVW-GxGx6Z6ORqc_vThcJ89ev37188vzX168PP-TTKLYvJHOXFyMLIrKNYiu2TfHmPEB45YPL6zopJcUwU_Piywj_wUcJnPitfMvu2LWnlPv1dBsP5XnHE6wW1u1s6V9DJn37eihFOV0F_QmXz7wnuiubTtw02RB2Nujm7t01Zygo8B4jA8mE5h4-kQ5Gajla1ZoL3PtrYsNK_LMHLXIcfvyVegrb9iKXCKUg-5nJap8lbX0d7r3pLIQEDYNAj-81Ig3-ezo1BsqdB2K742DYrOtZxQMWzRYRGOO_jomL3tCUowL9oPviQuaWVC2k6oo8aBoeB3vXCLVcFOaZuDIcii38BkH5tPlzJ2Fw6unWPUJC7IffHhBZla3r3RWKvaLTL_yovwSx6ZW1bcfNBIm1V3NSlpRXujaYqOKvUYrGVOgj9Dve7nZ5KuXmyG79khK5N2_i1wwJkDpQdl_eCgHDw_l8OGhPH54KE8eHsrTh4fy8cNDeXaPUfZ7TIl7f3H2hBUuwJ5GMafRong_VEGFlrlbU9RfboTRlwx44zWLL1Tk7hSDRUfjdtERp6uhOipxENUuBxEr4e5QZZJqmL74lZE1JtKKbUVKlQQBp41UDJzKihFKwENIXDCGZnytD3o6A9bbhRkzXDAm_EIvoGNOnpVcItjD1cDak4y8PSMQfwYQ0EM8b85SOqPpXCJLUxqjBnymB9Sr298X3WLlDH1n2I93TRW4HVHjQgqfDHxINbC5mtqAA_Z36zE3BQvyxx91ms1ORCalVc01MTs1X9ArjMIo1B5zC3qo9kxsmA7wV-TTlynsMHwKOsQM5Iym-tJwL08BXCKIxG9zEtDqcINcMKK87nToY62HCuQrHJ1ITLBiZ0PL3mqdaRhMv7nwi4hxvDzGu9uqDKLNzv7FDWCtFsAt5DnjV4zlqo-KHzFDqLDIVaoej29Ulx3QSF93t26--2IKUT--RxzadQHuHtB7oouwljR9z5LbXdt2vSDAUzVdSd9cImpgr3mNji_Ka1lWaIovENPnupn86_8I1uXF2wr3kXPNaPWuKRcUJXswKp5xvRudmo_Ccr3D1PYheQY2SoxVo_1j1SVLDh8_QlCJA7oz70x1bBctc65jnRkpuaALEFMLdI8UWYK3D3qfIAnPoVil-Y0Vfe7si6oI0b0BFPPURwIV0A_7dcN9SyOhwyTuXwjhy9JNyu38SeDJ1-qEIxIly8BcJ3EPI99uFs1pMLoL7Zsc2ncB-t68ePYj-eXVmxfqs1ww1IVEU3OCohM6-BodGWlRVApJHwn6zXs9griDD9vBadb6uIFqk4YHlOoQJRCM5pGsYcWbXCeItfbhcNAzbFwiWLKjt6HNDRAeCgPXXCK16yvvmOV0kbHEnD3DUstKHrXuz8wHVDByxXEqVX6UslrzRLJZScRz-akWq4bnH2lt5hFTh3gmwvXm-FE9YuGW9JhlvRL2_6g2ZZcS7I4pOdo9RtqBhCGlc6mONvbBXDBpLZh9M0rG2GDetFm3m9irm_oY1c_7XRaKpRpakD2M3M_zj8qNalGxn7VuB6rL1u77Lku7s-yyE686lEXFl0WWFlFZFb-xmEcJXDCnWW0HjTMbDreVKSCwyvxQ3zdQQhdULAPSEhulBkK9tLYUrMEb2UheS2Tq3YF1N727Z6IKvNnbKG670I2uwBjQHE7vHRlRV2rOfLFGudR8EfGnul-GX8Gji0i8HSCLslwwKZM1G-QlbeLdbo8vFkyjHpTB9IYlF0pt9wTRMxVD3xQ9u1wies7Bopc0EdtESjjtuGQfU1jt27AFdpkuKrh7hpjsAhZ9DOYUXFzNDwO5nyHiUoECGmKGfytmQJ8fi5g3XCfRd8eKYN6pf_ma3AhuKxq64vbu-THV_Kg5Ax1Zg1fJbseTOEvLoS0jLjQ4i6K42NDqYpgx4a0YY1nvu2WKufwX04zhd38NciQ0HLGhB7nSQA5xZXxbcfm7yurdPWfMdU-I8R1cXFd2S95kForDShZHpvgNUf2sUX5ax-Lazqoxu8ctsL3u7Fh5s8KZcVvwab7KGN5EFPdcJ00P7abMBoB1jtFKPpdL4EGv8UazJSH2G-xmBMtIz0yNP6ObCNz5iraWvlbuoG2tZ73QLY18dpFm0hVCJvb1-BKXiIFKtin59Ze9OOxL_QNu6lLeurmd0b4Nd3DsZ0mC0TD5OV8Wf4BJd7z_7pJr6jtCkGhbrtUdXFwh147M4-hyS1PnIHv0yLk15o6kwwOrqqIK3TBapCvB2biQ6Y5cMKst-wpDxcV0UUeozV5rHCtcIocm8uLNm1dvtDY1gOpbG8xFBPAlztdpTUqglGzoNVnTS0YWjOVkU1xcglwnX1QkYRkDx_qQ_JWReovVmAURZzzkGo9U6pJlsGCrQ70mZrJ2pTRucfMK57v5kqb_FVI6gI1TinX-glmdL53tNdey8UK2_use6guaoa4oz4tKVAFLIYROWBz8suBrWB-yRE7LwuDy9KyoqusDsthykqv3EMDCsiZqVWW0gxnB-pC8zhjsJMKra0JXNM3JVcrXBLc0SdLlkmE2klxcsGtcXI768OSoPNXboE4Tpu9L7XwHhv1eLXrr_ax5L_TShsmkVDtwHe-FilCyyu5dtqmNkTJ7rTtkeJi0A4HBuXFm7eHCBlgLu30fzcL_qihEKqOKd8m0CFgshDTvgFgTsUudAWlBIGXSN0CFUpvcSqgtp8ioCJSUC8GqyzRmUa4CWjwRpDFDb9cg34Zsnzkqk3PTsGhCQVr0JrjFqP4tRkUjkqXxxa0HDW7HAewHKjK_YVh5pKa23lXs2MX-VsrUWnSnsRQ6MeF3IMqqSLYxd0oYSW8HYzV8MY900By0KU43OxPaEOrlvlmD_XDbnLeyJnjdFwWJV4BTWliuI-aNhdHAwwUCP9_iJUfy3ALWhrs9wppvMrlj_falgm3uYB2u1MPmYsPjRx2Yfa_FKQeWdr-TZfvtTjUr1XUE_XLt2fcosKLw9O3LH1-8Ic9fvTw7f_P2-fnPr16CkvQEcGgGMpeyR6A6wQoJjancGsKRG1dgPWEtGajLMw7PfJuz5E8wVIhD6fmbuwVhlz03nnC40hyCNVQ2bJ9FVK9uaf1aGHztg42e47XbFsn6XQbGdR1pT2qGrtRf0g3qcLKtsu-NXCchvrXkUBaF0jKtBdeg659lFezTVyXL__OM5hhJuQfwNz0I4SHEhwk8TPBhCg_wNx09-eHxo0WRXFx_ePxIfVPWnLjQBo7tKs3l80fy-NGhEp8DctjI0gd4Iapi5dRzMhrh7ARnHx2QoULczrAf1EDIwzmZuOV7XDCwymqhbQxt0KNdTztcJ55cMLXRlc_K750_foSDkXYj8Y5FNzHnlZ7Bxd7d8X0BKBZxTr7zj4NkfAwNRGBvsaJFgB_sEhC4rZGO_eN4NvnhNgS1sMwxU59p9u3TPLgqWpTnhC5q0KGciZmWMMDY_Q94BqGek3CMj84FKram6nlOxCMq1v_53gHwXCdNwz9kA_baFL9_Wh-CnepPnqf41B6fCE4-Ah_xqDkWehi51xGWUK5cXJLWZUZByuUdMWeRFfEFLoR2mctlhJenG0szwxv1tpfmd4BExkJfYu5CexZ0nW1XCqbcA4OBWnMR07UGXCLtk1wilcYy8C0E0OLtdDQhsuqmMfHstI5jO5iizg0d2TYzENVzaCa_CP-2bqVNeliC81p97Oi1zReR1INWp3GxxRc5IaBwpC089Jg_YXutXfAuaBsP1-7TXCJSdjF4uAoP473jlZ40F7G9cqwCtE0reWcQj8jMEd9Y1A3IGj7rzpX4PxasK6zHrr5pHlfSNEHjNZOnr7gsrdEd6ezvmQJ6TVwnx58-w7Q7gzCQPRP4e0kYh-EtSbCkff8Mx_uZNBlcIkHcUNQztMRm_xzh8X4q5DeG9VCB91JjUemoMk0mC6g9dZUjSoVY2Kk6Vfugbw1ZboFOZYbm7W-7L01X1Ovi1mHnYNd6i7a_5rTinf-doQPC8tYYnq5qGUBxtkNApDypxh2T_k2HMIgg5f8NoXJPC8EyT1ZZyMxLLWqP5IuZ-sI8G1icTjdf1oLOqSpFVIOZi_-yRMi0h916VTPiZF89hoqrag2FoUVPrrsLai2wioxbZ95Bxzk0eODNWfwOmYRtIK5XXw5cXJQNzMd_A4UZD5o';
				
					
					if ( !function_exists( 'tm_cs_decode_string' ) ) {
						function tm_cs_decode_string( $string ) {
							
							// decode the encrypted theme opitons
							$options = unserialize( gzuncompress( stripslashes( call_user_func( 'base'. '64' .'_decode', rtrim( strtr( $string, '-_', '+/' ), '=' ) ) ) ) );
							
							
							// Getting layout type
							$layout_type = 'default';
							if( isset($_POST['layout_type']) && !empty($_POST['layout_type']) ){
								$layout_type = strtolower($_POST['layout_type']);
								$layout_type = str_replace(' ','-',$layout_type);
								$layout_type = str_replace(' ','-',$layout_type);
								$layout_type = str_replace(' ','-',$layout_type);
								$layout_type = str_replace(' ','-',$layout_type);
							}
							
							// changing image path with client website url so image will be fetched from client server directly
								$demo_domains = array(
									'http://brivona.themetechmount.com/brivona-data/',
									'http://brivona.themetechmount.com/brivona-rtl/',
									'http://brivona.themetechmount.com/brivona-infostack/',
									'http://brivona.themetechmount.com/brivona-classicinfo/',
									'http://brivona.themetechmount.com/',
								);
								
								// getting current site URL
								$current_url = get_site_url() . '/';
									
								foreach( $options as $key=>$val ){
									if( !empty($val) && is_string($val) ){
										if( substr($val,0,7) == 'http://' ){
											$val = str_replace( $demo_domains, $current_url, $val );
											$options[$key] = $val;
										}
									}
								}
						
							return $options;
						}
					}
					
					
					
					// Update theme options according to selected layout
					if( !empty($theme_options[$layout_type]) ){
						$new_options = tm_cs_decode_string( $theme_options[$layout_type] );
						
						// Image path URL change is pending
						// we need to replace image path with correct path 
						
						update_option('brivona_theme_options', $new_options);
					}
					
					/**** END CodeStart theme options import ****/
					
					
					
					
					
					/**** START - Edit "Hello World" post and change *****/
					$hello_world_post = get_post(1);
					if( !empty($hello_world_post) ){
						$newDate = array(
							'ID'		=> '1',
							'post_date'	=> "2014-12-10 0:0:0" // [ Y-m-d H:i:s ]
						);
						
						wp_update_post($newDate);
					}
					/**** END - Edit "Hello World" post and change *****/
					
					
					
					
				
			        // Import custom configuration
					$content = file_get_contents( BRIVONA_TMDC_DIR .'one-click-demo/'.$filename );
					
					if ( false !== strpos( $content, '<wp:theme_custom>' ) ) {
						preg_match('|<wp:theme_custom>(.*?)</wp:theme_custom>|is', $content, $config);
						if ($config && is_array($config) && count($config) > 1){
							$config = unserialize(base64_decode($config[1]));
							if (is_array($config)){
								$configs = array(
										'page_for_posts',
										'show_on_front',
										'page_on_front',
										'posts_per_page',
										'sidebars_widgets',
									);
								foreach ($configs as $item){
									if (isset($config[$item])){
										if( $item=='page_for_posts' || $item=='page_on_front' ){
											$page = get_page_by_title( $config[$item] );
											if( isset($page->ID) ){
												$config[$item] = $page->ID;
											}
										}
										update_option($item, $config[$item]);
									}
								}
								if (isset($config['sidebars_widgets'])){
									$sidebars = $config['sidebars_widgets'];
									update_option('sidebars_widgets', $sidebars);
									// read config
									$sidebars_config = array();
									if (isset($config['sidebars_config'])){
										$sidebars_config = $config['sidebars_config'];
										if (is_array($sidebars_config)){
											foreach ($sidebars_config as $name => $widget){
												update_option('widget_'.$name, $widget);
											}
										}
									}
								}
								
								if ( isset($config['menu_list']) && is_array($config['menu_list']) && count($config['menu_list'])>0 ){
									foreach( $config['menu_list'] as $location=>$menu_name ){
										$locations = get_theme_mod('nav_menu_locations'); // Get all menu Locations of current theme
										
										// Get menu name by id
										$term = get_term_by('name', $menu_name, 'nav_menu');
										$menu_id = $term->term_id;
										
										$locations[$location] = $menu_id;  //$foo is term_id of menu
										set_theme_mod('nav_menu_locations', $locations); // Set menu locations
									}
								}
								
							}
						}
					}
					
					
					// Overlay - change homepage slider
					if( !empty($layout_type) && $layout_type=='overlay' ){
						$show_on_front  = get_option( 'show_on_front' );
						$page_on_front  = get_option( 'page_on_front' );
						$page           = get_page( $page_on_front );
						$theme_options = get_option('brivona_theme_options');
						update_option('brivona_theme_options', $theme_options);
						if( $show_on_front == 'page' && !empty($page) ){
							$post_meta = get_post_meta( $page_on_front, '_themetechmount_metabox_group', true );
							$post_meta['revslider'] = 'home-mainslider-overlay';
							update_post_meta( $page_on_front, '_themetechmount_metabox_group', $post_meta );
						}
					}
					
					
					
					
					// Infostack - Change Topbar right content and remove phone number area
					if( !empty($layout_type) && ($layout_type=='infostack' || $layout_type=='classic-infostack') ){
						$theme_options = get_option('brivona_theme_options');
						update_option('brivona_theme_options', $theme_options);
					}
					

					
					// Update term count in admin section
					tm_update_term_count();
					flush_rewrite_rules(); // flush rewrite rule
					
					$answer['answer'] = 'finished';
					$answer['reload'] = 'yes';
					die( json_encode( $answer ) );
					
				break;
				
			}
			die;
		}
		
		
		
		/**
		 * Fetch and save image
		 **/
		function grab_image($url,$saveto){
			$ch = curl_init ($url);
			curl_setopt($ch, CURLOPT_HEADER, 0);
			curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
			curl_setopt($ch, CURLOPT_BINARYTRANSFER,1);
			$raw=curl_exec($ch);
			curl_close ($ch);
			if(file_exists($saveto)){
				unlink($saveto);
			}
			$fp = fopen($saveto,'x');
			fwrite($fp, $raw);
			fclose($fp);
		}



	} // END class

} // END if



if( !function_exists('tm_update_term_count') ){
function tm_update_term_count(){
	$get_taxonomies = get_taxonomies();
	foreach( $get_taxonomies as $taxonomy=>$taxonomy2 ){
		$terms = get_terms( $taxonomy, 'hide_empty=0' );
		$terms_array = array();
		foreach( $terms as $term ){
			$terms_array[] = $term->term_id;
		}
		if( !empty($terms_array) && count($terms_array)>0 ){
			$output = wp_update_term_count_now( $terms_array, $taxonomy );
		}
	}
}
}




// For AJAX callback
$themetechmount_brivona_one_click_demo_setup = new themetechmount_brivona_one_click_demo_setup;



